0.222 2020-06-26
----------------


MAME Testers Bugs Fixed
-----------------------
- 00434: [Graphics] (gaplus.cpp) gaplus: Reverse scrolling background moves too slowly. (sasuke)
- 00480: [Graphics] (galaga.cpp) bosco and clones: Background is not erased correctly during title sequence. (hap)
- 00783: [Misc.] (nycaptor.cpp) nycaptor: High score initials entry times out too quickly. (GoldS_TCRF)
- 01731: [Graphics] (atarifb.cpp) atarifb, atarifb1, atarifb4, abaseb, abaseb2: LEDs are connected incorrectly. (hap)
- 05148: [Misc.] (ht68k.cpp) ht68k: System hangs when attempting to boot from floppy. (AJR)
- 05766: [Documentation] (armedf.cpp) armedf, armedff: Correct title is Armed F, not Armed Formation. (J.J.Boy)
- 06456: [Graphics] (seta2.cpp) mj4simai: Missing pan/zoom effects on scene transitions. (David Haywood)
- 06559: [Gameplay] (apple2gs.cpp) All sets in apple2gs.cpp: System 6.0.x freezes on boot. (Peter Ferrie)
- 06833: [Misc.] (einstein.cpp) All einstein.cpp sets: Buffer overrun on DSK image file with more sides than drive heads. (MetalliC)
- 06898: [Documentation] (8080bw.cpp) spclaser and clones: Space Laser and Intruder appear to be hacks of Space War. (GoldS_TCRF)
- 07171: [Documentation] (megadriv.cpp) genesis [babyboom]: Release year is incorrect. (ArcadeShadow)
- 07198: [Documentation] (slapfght.cpp) tigerh and clones: Title should be hyphenated. (AntoPISA)
- 07269: [Graphics] (seta2.cpp) penbros and clones: Incorrect scene transition effects. (David Haywood)
- 07369: [Graphics] (namconb1.cpp) machbrkr: Character sprite animations display incorrectly. (cam900)
- 07536: [Graphics] Prescale option does not work properly with D3D renderer. (Ryan Holtz)
- 07551: [Crash/Freeze] (nes.cpp) nes [galivan]: Game freezes after selecting start or continue. (girosintornillos)
- 07591: [DIP/Input] (pacman.cpp) crush, maketrax: Coin counter increases continuously. (Ivan Vangelista)
- 07620: [Gameplay] (tubep.cpp) tubep, tubepb: "GAME OVER" and stage clear screens are skipped. (hap)
- 07629: [Documentation] (ladybug.cpp) snapjack: Release year is incorrect. (jkburks)
- 07634: [DIP/Input] (subsino2.cpp) mtrain: "Double Up" DIP switch settings are reversed. (joepublic)
- 07635: [DIP/Input] (subsino2.cpp) mtrain: Big/Small button functions are not labeled. (joepublic)
- 07640: [Graphics] (armedf.cpp) armedf and clones: Vertical blanking interval is incorrect, truncating screen vertically. (sasuke)
- 07648: [DIP/Input] (dkong.cpp) dkong3: DIP switch settings use different terminology to game manual. (xelnia)
- 07651: [Documentation] (warpwarp.cpp) sos: Title, manufacturer and release year do not match earliest advertisements. (jkburks)
- 07652: [Documentation] (m10.cpp) andromed: Title, manufacturer and release year are incorrect. (jkburks)
- 07653: [Documentation] (galaxian.cpp) galaxiani: Game appears to be officially licensed, not bootlegged. (jkburks)
- 07656: [Known Issues/To-Do's] (atarisy1.cpp) Two BIOS ROMs are bad dumps. (hap)
- 07657: [DIP/Input] (selz80.cpp) selz80, dagz80: Keyboard auto-repeats when it shouldn't. (AJR)
- 07663: [Graphics] (gaplus.cpp) gaplus and clones: Star field drawing area is incorrect. (sasuke)
- 07664: [Crash/Freeze] (skylncr.cpp) All machines in skylncr.cpp: [debug] Assertion failure in tilemap code. (AJR)
- 07667: [Crash/Freeze] (pengo.cpp) schick: [debug] Assertion failure on palette initialisation. (David Haywood)
- 07668: [Crash/Freeze] (seattle.cpp) sfrush, sfrushrk and clones: [debug] Assertion failure on start. (AJR)
- 07671: [DIP/Input] (atarisy1.cpp) roadblst and clones: Steering does not automatically return to center. (Tafoid)
- 07673: [Sound] All: Recorded MNG and WAV files are out of sync. (hap)
- 07674: [Media Support] (bbc.cpp) bbcb: Solidisk DFS (8271) *CAT command returns Diskfault error. (Carl)
- 07675: [DIP/Input] (gaelco2.cpp) wrally2, wrally2a: Analog steering control doesn't work. (Ivan Vangelista)
- 07676: [Sound] (gaelco2.cpp) wrally2, wrally2a: Audio channels do not match default screen positions. (Ivan Vangelista)
- 07678: [DIP/Input] (btime.cpp) btime3: Bonus Life DIP switch settings are labeled incorrectly. (Tafoid)
- 07686: [Documentation] (sms.cpp) gamegear [shinobi2]: Title is abbreviated. (ArcadeShadow)


New working machines
--------------------
Black Hole (EFG Sanremo) [f205v, Ivan Vangelista]
Fidelity Electronics Mini Sensory Chess Challenger (1982 version) [hap, Berger, Achim]
Fidelity Electronics The Gambit (1989 version) [hap, Berger, Achim]
Game & Watch: Popeye (Panorama Screen) [algestam, Ryan Holtz]
Grant Searle Simple 6502 Machine [Frank Palazzolo]
Grant Searle Simple 6809 Machine [Frank Palazzolo]
Grant Searle Simple CP/M Machine [Frank Palazzolo]
Grant Searle Simple Z-80 Machine [Frank Palazzolo]
Hegener + Glaser Mephisto Junior (1982 version) [hap, Berger, Achim]
Micro Vs. System: Donkey Kong 3 [algestam, Ryan Holtz]
Millennium 2000 GmbH Millennium M505 Arcade Neo Portable Spielkonsole (Family Sport 100-in-1) [TeamEurope]
Millennium 2000 GmbH Millennium M521 Arcade Neo 2.0 (Family Sport 220-in-1) [TeamEurope, David Haywood]
Morrow Designs MDT 60 Video Display Terminal [Bitsavers, AJR]
Saitek Kasparov Simultano (ver. C) [hap, Achim]
SciSys Chess Champion: Super System IV [hap, Berger, Achim]
SciSys Mini Chess [hap, Sean Riddle]
Radica / Capcom / Sega Street Fighter II: Special Champion Edition [Ghouls'n Ghosts] (Radica, Arcade Legends) (USA)
  [Sean Riddle, David Haywood, Kev (FBN), anonymous]
Radica / Sega Genesis Collection Volume 2 (Radica, Arcade Legends) (USA) [Sean Riddle, David Haywood, Kev (FBN), anonymous]
Radica / Sega Super Sonic Gold (Radica Plug & Play) (USA) [Sean Riddle, David Haywood, Kev (FBN), anonymous]
Speed Racer (Senario) [Sean Riddle, Kamaal Brown, David Haywood]
Super Motor (prototype) [Mirko Buffoni, Roberto Fresca, Retromaniacs, Recreativas.org]
TwinBee (Bubble System) [Raki, The Dumping Union, David Haywood]
Vs Power Plus 30-in-1 [Sean Riddle, Kitsune Sniper]
Zudu-go / 2udu-go [Sean Riddle, David Haywood, anonymous]


New working clones
------------------
Air Duel (US location test, M82 hardware) [halowarrior40]
Circus (bootleg) [f205v, caius]
Cleopatra Fortune (Ver 2.1O 1996/09/05, bootleg) [Jorge Silva, White_Spot]
Dirt Dash (Rev. DT1 Ver.A, Japan) [Guru]
DonPachi (Japan, Satsuei version) [PEG]
dreamGEAR My Arcade Gamer V Portable Gaming System (DGUN-2573) (set 2, older) [Sean Riddle]
DTK Group PC-XT-Clones with DTK/ERSO-BIOS [rfka01]
Fidelity Electronics Mini Sensory Chess Challenger (1981 version) [hap, Sean Riddle]
Gals Panic (Taiwan, EXPRO-02 PCB) [jordigahan, ClawGrip]
Golden Par Golf (Joystick, V1.0) [Brian Troha, The Dumping Union]
Hegener + Glaser Mephisto Portorose 32 Bit (v1.04) [Berger]
Hot Blocks - Tetrix II (set 2) [jordigahan, mariorq, ClawGrip]
Hot Blocks - Tetrix II (set 3) [Victor Fernandez (City Game), ClawGrip]
Jackie Chan - The Kung-Fu Master (rev 4?) [coolmod, The Dumping Union]
Karate Dou (Arfyc bootleg) [Retromaniacs, ArcadeHacker, Recreativas.org]
Matra & Hachette Alice with MCX-128 [Tim Lindner]
Novag Super Expert (version A, set 3) [Berger]
Pit Boss Superstar (9221-12-02, Minnesota version) [David Viens]
Police Trainer (Rev 1.3B, Rev 0.3 PCB) [Brian Troha, The Dumping Union]
Prebillian (bootleg) [Kevin Eshbach]
Raiden II (Spain) [Jorge Silva]
Road Fighter (set 3, unencrypted) [Porchy]
SciSys Superstar 36K [Berger, Achim]
Shuffleshot (v1.35)
  [Phil Bennett, Aaron Giles, FactoryDavey, Bri Hefele, Joe Drilling, runwhiteboyrun, Christian "Ferris Bueller" Deitering,
  Justin Khan, ColdPie, Joe Boyd, Vitorio Miliano, JFlow @scrapbrain, Darkstar, Tom Summersell, Ryan Holtz, Brian Troha]
Shuffleshot (v1.38)
  [Phil Bennett, Aaron Giles, FactoryDavey, Bri Hefele, Joe Drilling, runwhiteboyrun, Christian "Ferris Bueller" Deitering,
  Justin Khan, ColdPie, Joe Boyd, Vitorio Miliano, JFlow @scrapbrain, Darkstar, Tom Summersell, Ryan Holtz, Brian Troha]
Street Fighter (Japan, bootleg) [f205v]
Tandy Radio Shack MCX-128 [Tim Lindner]
Trivia (Questions Series 12 Alt Question Rom) [Brian Troha]
Trivia (Questions Series 14 Alt Question Rom) [Brian Troha]
Trivia (Version 1.03a Sex questions, Alt revision questions) [Brian Troha]
Vampire Savior: The Lord of Vampire (Brazil 970519) [Renan Eler, Roberto Louzada, Filipe Nascimento, CPS Raptor group, SHVB]
Varth: Operation Thunderstorm (bootleg, set 2) [gmx, The Dumping Union]
Video Pinball (4 ROMs version) [f205v]


Machines promoted to working
----------------------------
Bingo Time [TeamEurope, Ivan Vangelista]
Excalibur Electronics Ford Racing [David Haywood]
GRiD Computers Compass 1101 [usernameak]
Kick and Run (World) [dink, David Haywood]
Ritam Master Monty [hap]
Ritam Monty Plays Scrabble [hap]
Tetris + Cherry Master (Corsica, v8.01, set 2) [Ioannis Bampoulas]


Clones promoted to working
--------------------------
Kick and Run (US) [dink, David Haywood]
World Class Bowling Tournament (v1.30)
  [Phil Bennett, Aaron Giles, FactoryDavey, Bri Hefele, Joe Drilling, runwhiteboyrun, Christian "Ferris Bueller" Deitering,
  Justin Khan, ColdPie, Joe Boyd, Vitorio Miliano, JFlow @scrapbrain, Darkstar, Tom Summersell, Ryan Holtz, Brian Troha]


New machines marked as NOT_WORKING
----------------------------------
Crazy Balls [TTL] [f205v]
Dardomania (v2.1) [Juan Romero, ClawGrip]
Densha de GO 3! Tsukin-hen (V2.03J) [andynumbers, The Dumping Union]
dreamGEAR My Arcade Go Gamer Portable (Family Sport 220-in-1) [Sean Riddle, Kev (FBN), anonymous]
GNAT Computers GNAT System 10 [Don Maslin Archive, AJR]
High Roller [malcor]
Indra / Amper Consola EMT [ClawGrip]
Jackpot (Ver 16.16L) [f205v]
JoMoX XBase 09 Midi Controlled Analogue Drum Module [DBWBP]
Korg DVP-1 Digital Voice Processor [DBWBP]
Lexibook Compact Cyber Arcade - Marvel Ultimate Spider-Man [Sean Riddle, Kitsune Sniper]
Matthew Sarnoff Ultim809 [Robbbert]
Micro-Term / Kurzweil Computer Products ERGO 201 (Special #9233) [Bitsavers]
Novation BassStation Rack Analogue Synthesizer Module [DBWBP]
Novation Drum Station [DBWBP]
Novation Super Bass Station [DBWBP]
Roland Boss GX-700 Guitar Effects Processor [DBWBP]
Roland Boss SE-70 Super Effects Processor [DBWBP]
Roland Boss SX-700 Studio Effects Processor [DBWBP]
Roland TR-909 Rhythm Composer [anonymous, DBWBP]
Trebol [PinMAME]
TV Learning Station (VTech, Germany) [Sean Riddle, TeamEurope]
Yamaha DX11 Digital Programmable Algorithm Synthesizer [DBWBP]
Zenith Data Systems Z-22 Terminal [Bitsavers]
Zone 3D [Sean Riddle, David Haywood]


New clones marked as NOT_WORKING
--------------------------------
Corona Data Systems, Inc. Corona PPC-21 [rfka01]
FreeWay (V4.31) [Cristiano-MDQ]
G2 Systems MasterPieCe 800 Series [Ian Bradbury]
G2 Systems MasterPieCe 900 Series [Ian Bradbury]
G2 Systems MasterPieCe 900GX Series [Ian Bradbury]
International Business Machines PS/1 2011 (international models with ROM DOS) [rfka01]
International Business Machines PS/1 2121 [rfka01]
International Business Machines PS/1 2121 (international models with ROM DOS) [rfka01]
International Business Machines PS/1 2123 [rfka01]
International Business Machines PS/1 2133 [rfka01]
IQ Unlimited (Germany) [Alexandre]
Jackpot (Ver 1.16L) [f205v]
JUKO NEST 8088 and V20 [rfka01]
Konglongwang - D-Kids VS Alpha Yaosai (China, Ver 2.501) (MDA-C0081) [tenyuhuang]
Magic Bomb (Ver. A3.1A) [Cristiano-MDQ]
Magic Bomb (Ver. AA.72D, 14/11/05) [Cristiano-MDQ]
Magic Bomb (Ver. AB4.2, 11/10/01) [Cristiano-MDQ]
Magic Bomb (Ver. AB4.5A, 07/10/02) [Cristiano-MDQ]
Magic Bomb (Ver. L3.5S) [Cristiano-MDQ]
Monotech NuXT [rfka01]
Monotech NuXT v2 [rfka01]
NCR Class 3302 Model 0110 [rfka01]
The Raid (alternate set) [jordigahan, ClawGrip]
Schneider Rundfunkwerke AG 386SX System 40 (VGA) [rfka01]
Schneider Rundfunkwerke AG Tower AT 201, 202, 220, 240 and 260 (286,EGA) [rfka01]
Sergey Kiselev Micro 8088 [rfka01]
Sergey Kiselev Sergey's XT [rfka01]
Sergey Kiselev Xi processor board [rfka01]
Shinobi (Datsu bootleg, set 3) [hammy]
Star Wars (1.01) [PinMAME]
Super Six Plus II English Mark Darts (Spanish) [jordigahan, ClawGrip]
Torch Computers Torch Model 301 [Nigel Barnes, Centre for Computing History]
Torch Computers Torch Model 725 [Nigel Barnes, Jules Richardson]
Twilight Zone (L-5) [PinMAME]


New working software list additions
-----------------------------------
apple2_flop_clcracked:
  Animal Watch: Tracks (cleanly cracked), Animal Watch: Whales (cleanly cracked), Animal Watch: Wolves (cleanly cracked),
  Deutsch: Aktuell 1 (Second Edition) (cleanly cracked), Deutsche Grammatik: der-die-das (cleanly cracked),
  Dinosaur Construction Kit: Tyrannosaurus Rex (cleanly cracked), German Word Order (cleanly cracked),
  German Word Order (Revision 2) (cleanly cracked), Homonyms I (Revision 2) (cleanly cracked),
  Homonyms II (Revision 2) (cleanly cracked), Jabbertalky (cleanly cracked),
  MECC-A757 Computer Generated Mathematics Materials Volume 1: Problem Solving (Version 1.3) (cleanly cracked),
  MECC-A816 Electronic Money (Version 1.0) (cleanly cracked), MECC-A816 Electronic Money (Version 1.1) (cleanly cracked),
  MECC-A824 Classification (Version 1.0) (cleanly cracked), Pronouns I (Revision 2) (cleanly cracked),
  Pronouns II (Revision 2) (cleanly cracked), Rhymes and Riddles (Revision 2) (cleanly cracked),
  Sentence Combining (cleanly cracked), The Wizard of Id's WizMath (cleanly cracked), Verbs I (Revision 2) (cleanly cracked),
  Verbs II (Revision 2) (cleanly cracked) [4am, Firehawke]
apple2_flop_orig:
  Ace Detective, Algernon: An Introduction to Programming Logic, Amazing Arithmetricks (Version 1.0), Animal Hotel,
  Asteroids in Space, Backyard Birds (Version 1.0), Bag of Tricks (Version 2.1), Ballyhoo (Release 97 / 851218),
  Barron's SAT: 1st Edition, Barron's SAT: 2nd Edition, Behind The Wheel: Blue Level, Bluegrass Bluff (Version 1.0), Bounce!,
  California Games, Cavity Busters (Version 1.0), Championship Golf, Cleanwater Detectives (Version 1.0), Colossus Chess IV,
  CommuniKeys (Version 1.1), Conquering Decimals (+, -) (Version 1.0), Conquering Decimals (*, /) (Version 1.0),
  Conquering Fractions (+, -) (Version 1.0), Conquering Fractions (*, /) (Version 1.0), CryptoQuest (Version 1.0),
  Decimal Concepts (Version 1.0), The Demon's Forge, Deutsche Grammatik: der-die-das, Dr. Livingstone, I Presume? (Version 1.0),
  Dunjonquest: The Datestones of Ryn, Eerieville Library (Version 1.0), Electrifying Adventures (Version 1.0),
  Estimation Activities (Version 1.0), Estimation Strategies (Version 1.0), Estimation: Quick Solve I (Version 1.0),
  The Executive Secretary (Version 4.2), Exploring Chaos (Version 1.0), Exploring Gas Laws (Version 1.0),
  Exploring Sequences and Series (Version 1.0), Fish School (Version 1.0), Five-Star Forecast (Version 1.0),
  Fossil Hunter (Version 1.0), Fraction Munchers (Version 1.0), Fraction Practice Unlimited (Version 1.1), Fraktured Faebles,
  Garbage Gang, GFL Championship Football, GraFORTH, Grammar Gobble (Version 1.0), Grammar Madness (Version 1.0),
  Grammar Toy Shop (Version 1.0), History Makers (Version 1.0), The Incredible Laboratory, Invisible Bugs (Version 1.0),
  The Last Gladiator, The Legend of Blacksilver, The Living Cell (Version 1.0), Lunar Greenhouse (Version 1.0), Magical Myths,
  Matterhorn Screamer, Measure Works (Version 1.0), Micro-LADS 1: Plurals and Noun/Verb Agreement, Micro-LADS 2: Verb Forms,
  Micro-LADS 3: Prepositions, Micro-LADS 4: Pronouns, Micro-LADS 5: Negatives,
  Micro-LADS 6: Deictic Expressions, Passive, WH-questions, Micro-LADS 7: Prepositions II, Miner's Cave (Version 1.0),
  Money Works (Version 1.0), Moving Museum (Version 1.0), Murphy's Minerals (Version 1.0), Number Munchers (Version 1.3),
  Nutrition Nabber (Version 1.0), Odd One Out, Paper Plane Pilot (Version 1.0), Path Tactics (Version 1.0),
  The Personal Secretary (Version 1.1), Phonics Prime Time: Blends and Digraphs (Version 1.0),
  Phonics Prime Time: Final Consonants (Version 1.0), Phonics Prime Time: Initial Consonants (Version 1.0),
  Phonics Prime Time: Vowels I (Version 1.0), Phonics Prime Time: Vowels II (Version 1.0), Picture Chompers (Version 1.0),
  Picture a Story (Version 1.0), Pizza To Go (Version 1.0), Poker Parat, Problem Solving with Nim (Version 1.0),
  Rocket Factory (Version 1.0), Science Toolkit Plus (Version 2.0), The Seven Cities of Gold,
  Snooper Troops and the case of The Granite Point Ghost, Stoichiometry, Sun and Seasons (Version 1.0),
  Take a Chance! (Version 1.0), Those Amazing Reading Machines I (Version 1.0), Those Amazing Reading Machines II (Version 1.0),
  Those Amazing Reading Machines III (Version 1.0), Time Navigator Around The World (Version 1.0),
  To Preserve, Protect and Defend (Version 1.0), Treasures for Sale (Version 1.0), Tycoon (Version 2.1), A View To A Kill,
  Weeds to Trees (Version 1.0), Wild West Math Level 5, Winnie the Pooh in the Hundred Acre Wood (Sunburst Communications release),
  Wonderland Puzzles (Version 1.0), Words at Work: Compound It! (Version 1.0), Words at Work: Contraction Action (Version 1.0),
  Words at Work: Prefix Power (Version 1.0), Words at Work: Suffix Sense (Version 1.0), World Games, Writer Rabbit (Version 1.3)
  [4am, Firehawke]
bbc_flop_z80: Z80 Winchester Utilities [Nigel Barnes]
bbc_hdd:
  Master 128 ADFS Hard Drive Image V1.03, Master 128 ADFS Hard Drive Image V1.05, Model B ADFS Hard Drive Image B1.06e,
  Model B ADFS Hard Drive Image B1.31 (Retro Software), Model B ADFS Hard Drive Image B1.42, Model B ADFS Hard Drive Image T1.07
  [RetroClinic]
bbc_rom:
  512 FastBoot 1.00, 65C02 Assembler 1.60, AJS Fortran, Acorn DFS 2.45 Rev 1191, Advanced Disc Toolkit 1.71, Amcom E-Net 5.18,
  AMPLE Nucleus (patched), AMPLE Nucleus ID 108801, AMPLE Nucleus ID 57315, AMPLE Nucleus ID 73863, AMPLE Nucleus ID 80327,
  AMTOR MkII 3.05, The Artist 1.00, BeeBASE-1 1.02, Bitstik Service ROM 0.51, Chameleon ROM 1.0, Colour Dump Rom, Commstar 9003,
  CPFS+ 1.20, CTS Palette 1.10, Hierarchical DFS 1.05, HKR Utilities 1.00, HKR Utilities 1.10, HKR Utilities 1.20,
  HKR Utilities 1.30, Instat B00741, Master ROM 1.05, MasterPieCe 1.10, MasterPieCe 800 Manager 2.40,
  MasterPieCe 900GX Manager 1.20, Maxim 1.0, Meta Assembler 3.30A, Opus Challenger 1.00, Opus Challenger 1.01, Opus Challenger 1.03,
  OrthoCAM 0.02, Pen-Friend 1.21, Plotter 1.0, Prisma-3 1.30, Prisma-3 2.30, Pull Down RAM Driver 1.00, Quest 2.1B, RAMDisc 1.01,
  Sciways 2.01, SJ Control ROM 0.23, SJ Control ROM 0.30, System Delta 2.017, Text To Speech 1.01, U2 2nd Processor Utility 1.5,
  VideoNuLA 1.03, View A1.4, View A3.0 pms (Hack?), Workstation 1.4 #0135, Workstation 1.4 #0148, Workstation 1.5 [Nigel Barnes]
cgenie_cass: Megapede, Pole Position [Juergen Buchmueller]
compis:
  Action1 Glosprogram (nat/skollicens), Coulombs lag (nat/skollicens), Datorn i kommunikation (enanvandare),
  Datorn i matematik (nat/skollicens), Far dataregister skvallra? (enanvandare), Far dataregister skvallra? (komplement),
  Internationella ord fran grekiskan (nat/skollicens), Internationella ord fran latinet (nat/skollicens),
  Jorden skiftas, folket skingras (nat/skollicens), Kinetik (nat/skollicens), Matematikverkstad I (beta, nat/skollicens),
  Millikans forsok (enanvandare), Mat energi (enanvandare), MatEtt (enanvandare), RitEtt (enanvandare),
  Rakna latt, rakna ratt (demo, version 6175), StatEtt - Analys, Stava ratt pa nytt satt (version 8481),
  Stil-Plus (alfa 1.0, nat/skollicens), Video-butiken (enanvandare) [FakeShemp]
eti660_quik: Music Maker, Pong, Wipeout [Robbbert]
excalibur64: Boot disk [Robbbert]
fidel_msc:
  Challenger Advanced Chess [hap, Berger, Achim]
  Challenger Book Openings [Berger]
fmtowns_cd:
  Dracula Hakushaku - Bishoujo-tachi no Chi no Shitatari, Hyper Planet, Lemon Cocktail Collection,
  Maerchen Toshokan - Grimm Douwa - Bremen no Ongakutai, Nihon no Rekishi - Ishin-hen - Kurofune Raikou, Phobos,
  Towns Chiri - Jigsaw World [redump.org, r09]
ggm: Capablanca Edition - Master Chess Endgame [Berger, Achim]
ibm5150:
  The Amazing Spider-Man, Eye of Horus [ArcadeShadow]
  Centipede, Ms. Pac-Man [r09]
ibm5170:
  Alone in the Dark 2 (France), Cruise for a Corpse, Formula One Grand Prix (Euro),
  Leisure Suit Larry 1: In the Land of the Lounge Lizards (EGA release),
  Leisure Suit Larry 1: In the Land of the Lounge Lizards (VGA release), Police Quest in Pursuit of the Death Angel (VGA release),
  Roberta Williams' Laura Bow in "The Dagger of Amon Ra", Silverball 2 Plus, Speed Racer in the Challenge of Racer X,
  Subwar 2050 - The Underwater Combat Simulation [ArcadeShadow]
  Chuck Yeager's Air Combat (Gravis Ultrasound version), Dune (5.25"), Frontier - Elite II,
  Gravis UltraSound (GUS) Installation - V2.05 [r09]
msx1_cart: Ink - Exxon Surfing [anonymous]
pc98:
  Eimmy to Yobanaide (Demo), Ekispert, Ekudorado - Kagami no Naka no Oukoku, Elm Knight - A Living Body Armor (Demo),
  Elthlead Senshi, EO System 3.0 (v1.10 installer), EPSON Jiko Shindan Program, EPSON MS-DOS 2.11 (Rev. E22),
  EPSON MS-DOS 2.11 (Rev. R15), EPSON Nihongo Disk BASIC v2.0, Estate, eXOn, eXOn (Demo), Expert-98 [Neo Kobe Collection, r09]
qx10_flop: CP/M-80 R2.2 for QX-10 & QX-16 1983 [Carl]
saitek_schess: Strong Play Module [Berger, Achim]
sgi_mips:
  Barco Creator 7.2, CATIA V5R16, Diagnostics 5.3, Hot Mix 4, IndiZone, IRIX 4.0.2, IRIX 4.0.4B for IP4, IP5, IP6, IP12 and IP17,
  IRIX 4.0.5, IRIX 5.3 Current Patches December 1997, IRIX 5.3 Recommended/Required Patches September 1997, IRIX 6.0.1, IRIX 6.1,
  IRIX 6.5.22, IRIX 6.5.30 [archive.org, Davide Cavalca]
  IRIX 6.5.15 [archive.org, fsck.technology, Davide Cavalca]
  IRIX 4.0.4 [archive.org, jrra.zone, Davide Cavalca]
  Ada95 Compiler 1.2 for IRIX 5.3, 6.2 and 6.3, Ada95 Compiler 1.3 for IRIX 6.2, 6.3, 6.4 and 6.5, C++ Translator 3.2,
  Compiler Execution Environment 7.3 for IRIX 6.5 through 6.5.4, Cosmo Software for IRIX 5.3, 6.2, 6.3 and 6.4, Cosmo Suite,
  DCE 1.2.2 Base Executive/Client for IRIX 6.5.2, Digital Media Dev Option 1.1, Documenter's Workbench 4.1.3,
  ENlightenDSM 3.1 for UNIX and NT, Hot Mix 18 - Explore Tools and Technologies for Silicon Graphics, Hot Mix 19,
  ImageVision Library 3.2, ImageVision Library 3.2.1, IRIS Development Option 4.1.1,
  IRIS Performer 2.2 Friends Demo CD for IRIX 6.2 and later, IRIS Performer 2.2 Yosemite Demo CD for IRIX 6.2 and later,
  IRIS Performer 2.2 for IRIX 6.2 and later, IRIS Inventor 1.1.2, IRIX 4.0.5H, IRIX 4.0.5H and 4.0.5IOP R4400 Patch, IRIX 5.1.1,
  IRIX 5.2, IRIX 5.3 for Indy R4400 175MHz, IRIX 6.2 Development Foundation, IRIX 6.2 Development Libraries,
  IRIX 6.3 Development Foundation, IRIX 6.3 Development Foundation 1.2 for IRIX 6.3, IRIX 6.3 Development Libraries,
  IRIX 6.4 Applications August 1997, IRIX 6.4 Development Foundation, IRIX 6.4 Development Libraries,
  IRIX 6.4 for Origin, Onyx2 and OCTANE, IRIX 6.5.1, IRIX 6.5.6, IRIX Development Foundation 1.2 for IRIX 6.2,
  IRIX Development Foundation 1.2 for IRIX 6.4, IRIX Networker 4.1.3, IRIX Patch 5.1.1.1, MineSet 2.0.1 for IRIX 6.2 and later,
  MIPSpro 7.2, MIPSpro 7.3, MIPSpro All-Compiler CD May 1999 for IRIX 6.5 and later, Molecular Inventor Development Kit 1.1,
  NetWorker 4.2.5 for IRIX 5.3, 6.2, 6.3 and 6.4, Networker 4.2.5 for IRIX 6.2, 6.3 and 6.4, O2 Out of Box Experience,
  Open Inventor 3D Toolkit 2.1.2, Origin and Onyx2 System Disk Patches, Origin/Onyx2 Patch Supplement for IRIX 6.5,
  Performance Co-Pilot 1.3 for IRIX 5.3, 6.2, 6.3 and 6.4, Performance Co-Pilot 2.1 for IRIX 6.2, 6.3, 6.4 and 6.5.5,
  Performance Co-Pilot for Oracle 2.0 for IRIX 5.3, 6.2, 6.3, 6.4 and 6.5,
  Performance Co-Pilot for Web Servers 2.0 for IRIX 5.3, 6.2, 6.3, 6.4 and 6.5, Performance Co-Pilot for WebServers 1.1,
  ProDev Developers Suite, ProDev Workshop 2.6.5 for IRIX 6.2, 6.3 and 6.4, SCSL Scientific Library 1.2 for IRIX 6.4 and 6.5,
  Silicon Graphics 1600SW Flat Panel Monitor Owner's Manual, Silicon Graphics MultiLink Adapter Documentation,
  Visual Magic Tools 1.0, Wavefront Composer 3.5.1 Visualizer Paint 3.5.1, WebFORCE February 1998,
  WorkShop Pro MPF 2.7 for IRIX 6.2, 6.3 and 6.4 [Bitsavers, Davide Cavalca]
  Desktop Special Edition 1.0 for Support Customers, European Language Module 1.3,
  Freeware 2.0 - Unsupported Software compatible with IRIX 6.2 and later, Hot Mix 18,
  IRIX 6.3 and 6.4 Recommended/Required Patches October 1997, IRIX 6.3 Applications August 1997, IRIX 6.5.13, IRIX 6.5.5,
  IRIX 6.5.7, IRIX 6.5.9, Insignia SoftWindows 95 4.0 for IRIX 6.3 and 6.4, Network File System 5.3,
  O2 Demos 1.1.1 for IRIX 6.3 including R10000, O2 IRIX 6.3 Recommended/Required Patches August 1997,
  ONC3/NFS Version 2, for IRIX 6.2, 6.3 and 6.4, Patch SG0000466, Support Advantage 12/95, Support Advantage 9/95,
  SupportFolio 5/96, SupportFolio June 96 [ClawGrip, Rampa]
  Alias|Wavefront Advanced Visualizer 4.2, Alias|Wavefront Maya Composer 5.5, Alias|Wavefront PowerAnimator 7.51,
  Alias|Wavefront PowerAnimator 8.2, Common Desktop Environment 4.3, Cosmo Compress 1.1.1, Database Accelerator 3.0,
  Desktop Special Edition 1.1, Discreet Effect 6.1.3, Discreet Flame 4.0.2, ENlightenDSM 1.1 for UNIX and NT,
  European Language Module 1.2, Gauntlet 4.1 INTERNATIONAL for IRIX 6.2, 6.3, 6.4 and 6.5, Hot Mix Volume 11, Hot Mix Volume 12,
  Hot Mix Volume 17, Hot Mix Volume 8, I-DEAS Master Series Release 6, IMPACT Demos CD 6.2, IMPACT Digital Media 2.1,
  Indigo2 IMPACT Video for IRIX 6.5, IndiZone^2, IndiZone^3, Insignia SoftWindows 95 5.0 for IRIX 6.5, IRIS PERFORMER 2.0,
  IRIX 5.2 for Indy R4600SC/XZ and Presenter, IRIX 6.2, IRIX 6.2 Applications August 1996, IRIX 6.2 with Indigo IMPACT 10000,
  IRIX 6.3 for O2, Including R10000, IRIX 6.5.2, IRIX 6.5.26, IRIX 6.5.29, IRIX 6.5.4, IRIX 6.5.8,
  NetWorker 4.2.9 for IRIX 6.2, 6.4 and 6.5, Open Inventor 2.1.5 for IRIX 6.2, 6.3, 6.4 and 6.5,
  Patches for IRIX 6.2 with Indigo2 8/96, PRISMS 6.4, Samba 2.0.0 for IRIX for IRIX 6.5 and later, SGImeeting 1.0 for IRIX 6.5.2,
  SupportFolio 10/96, Teleffect 1.0 for IRIX 6.2, 6.3, 6.4, 6.5 for Microsoft NT 4.0 [Davide Cavalca]
  IRIX 5.3, IRIX 6.5 [Davide Cavalca, ClawGrip, Rampa]
  Adobe Illustrator 5.5, Adobe Photoshop 2.5.2, Adobe Photoshop 3.0.1, IRIX 6.5.10, IRIX 6.5.11, IRIX 6.5.12, IRIX 6.5.14,
  IRIX 6.5.16, IRIX 6.5.17, IRIX 6.5.18, IRIX 6.5.21, IRIX 6.5.23, IRIX 6.5.3 [fsck.technology, Davide Cavalca]
  Indy IRIX 5.1.1, IRIS Development Option 4.0, IRIS Development Option 4.0.1, IRIS Development Option 5.0,
  IRIS Development Option 5.1, IRIS Development Option 5.3, IRIS Development Option 6.2, IRIX 4.0.1, IRIX 5.0, IRIX 5.2 Beta II,
  IRIX 5.3 All Indigo2 IMPACT, IRIX 5.3 for Indy including R5000, IRIX 6.2 Applications May 1996, IRIX 6.2 Auxiliary Applications,
  IRIX 6.5 Beta, IRIX 6.5.19, IRIX 6.5.27, IRIX 6.5.28, IRIX Update 4.0.4, IRIX W4D Update 4.0.1, Network File System 5.0,
  Network File System 5.0.1, Network File System 5.1, Network File System 5.2, NFS/ONC3 for IRIX 6.2 Version 1.2,
  O2 Demos 1.0 for IRIX 6.3 including R10000, O2 Demos 1.3 for IRIX 6.5 and later,
  O2 Out of Box Experience 2.4 for IRIX 6.5 and later, OCTANE Demos 1.3 for IRIX 6.5 and later,
  Silicon Graphics General and Platform Demos 6.5.12 [jrra.zone, Davide Cavalca]
  Discreet Flame 7.6 [unixfiles.org, Davide Cavalca]
super80_flop: CP/M boot disk, Super-80 DOS disk, Super-80 DOS disk with games [Robbbert]
vgmplay:
  Joe Montana II - Sports Talk Football (GEN/MD), Lotus Turbo Challenge (GEN/MD), Madden NFL '95 (GEN/MD), Teddy Boy Blues (GEN/MD),
  Urusei Yatsura - Dear My Friends (Sega CD) (GEN/MD) [Project2612, Tafoid]
  8-bit ADV Steins;Gate (NES), AntZ Racing (Nintendo Game Boy Color), Arkanoid - Revenge of DOH (ZX Spectrum 128), Batman (Arcade),
  Battle Gorilla (Music Mode) (NEC PC-8801), Battle Gorilla (NEC PC-8801), Bob the Builder - Fix-it Fun! (Nintendo Game Boy Color),
  Bonanza Bros. (ZX Spectrum 128), Commando (Atari 7800), Gauntlet (ZX Spectrum 128), Gauntlet II (ZX Spectrum 128),
  Gauntlet III - The Final Quest (ZX Spectrum 128), Golden Axe (ZX Spectrum 128), Hyper Olympic 1 (MSX), Hyper Olympic 2 (MSX),
  Hyper Sports 1 (MSX), Hyper Sports 2 (MSX, PSG), Hyper Sports 2 (MSX, SCC), Hyper Sports 3 (MSX, PSG), Hyper Sports 3 (MSX, SCC),
  L.E.D. Storm (ZX Spectrum 128), LEGO Island 2 - The Brickster's Revenge (Nintendo Game Boy Color),
  Mickey's Speedway USA (Nintendo Game Boy Color), Missile - Ground Zero (ZX Spectrum 128), Off The Wall (PC Engine),
  Puyo Puyo (NES, FDS), Road Runner (Atari System 1), Robot Construction R.C. (Sharp X68000), Sky Jaguar (MSX, PSG),
  Sky Jaguar (MSX, SCC), Solar Invasion (ZX Spectrum 128), Spawn (Nintendo Game Boy Color), Tetris (Fujitsu FM77AV),
  Tetris (NEC PC-88VA), Tetris (NEC PC-9801), Tom & Jerry - The Ultimate Game of Cat and Mouse! (NES), U.S. Classic (Seta 1),
  UWC (NES), Wild Gunman (NES) [vgmrips.net, Tafoid]
vsmile_cart:
  Bob le Bricoleur - Les P'tits chantiers de Bob (France), Lil' Bratz Au Top de la Mode - Complices, Cools et Class' (France),
  Mission Pilote (France) [DisizDream]


Software list items promoted to working
---------------------------------------
amigaocs_flop:
  Budokan - The Martial Spirit (Euro), Dragon's Lair: Escape from Singe's Castle (Euro), Dungeon Master (Euro, v3.6),
  Dylan Dog - Ritorno al Crepuscolo (Ita), Elvira - Mistress of the Dark (Euro), Escape from Colditz (Euro), F1 GP Circuits (Euro),
  Fred (Euro), Graffiti Man (Euro, 5th Anniversary), Great Courts 2 (Euro), Journey to the Center of the Earth (Euro),
  Knight Force (Euro), Little Computer People (Euro), Loom (Euro, v1.2 19900510), Major Motion (Euro),
  Moebius - The Orb of Celestial Harmony (USA), North & South (Euro), Omega (Euro), Over the Net (USA),
  Ports of Call (Euro, v1.1, A600 Smart Start), Seconds Out (Euro, Budget), Shadow Warriors (Euro), Sim City (Euro, v1.2),
  Skrull the Barbarian (Euro), Strider II (Euro), Sword of Honour (Euro), Terramex (Euro), Thexder (Euro),
  Wonderland (Euro, v1.27i 19910422) [Angelo Salese, Dirk Best]
bbc_rom:
  Solidisk ADFS 2.1 11/10/85, Solidisk ADFS 2.1S, Solidisk DDFS 1.5, Solidisk DDFS 1.9, Solidisk DFS 2.0 (Feb 85),
  Solidisk DFS 2.0 (Jan 85), Solidisk DFS 2.0A (8271/1770), Solidisk DFS 2.0J (8271/1770), Solidisk DFS 2.0L (8271/1770),
  Solidisk DFS 2.0m (8271/1770), Solidisk DFS 2.1 (Mar 85), Solidisk DFS 2.1A (1770), Solidisk DFS 2.1J (1770), VideoNuLA 1.02
  [Nigel Barnes]
jaguar: Attack of the Mutant Penguins, Troy Aikman NFL Football [Angelo Salese]
pc98:
  Eimmy to Yobanaide, Elvira - Mistress of the Dark, Engage Errands - Miwaku no Shito-tachi,
  Engage Errands II - Hikari o Ninau Mono, Es no Houteishiki, Escape!, Eteris, Etsuraku no Gakuen, EVE - Burst Error,
  Exceed Jack - Casinopolis [Barry Rodewald, Angelo Salese, r09]
x68k_flop: Ajax, Dai Makaimura, Nemesis '90 Kai [Angelo Salese]


New NOT_WORKING software list additions
---------------------------------------
apple2_flop_orig: Wortgefect [4am, Firehawke]
bbc_rom:
  ADDER 1.01, Artist Plus (Palette Pad), Artist Plus (Userport Pad), Futures 2.0a, Replay System WD1770 1.11,
  Richardson Hard Disk (306) 2.0, SEHK Terminal 2.00, SEHK Terminal 4.01 [Nigel Barnes]
eti660_quik: Maze 2, Space Invaders [Robbbert]
fmtowns_cd: Lip 3 - Lipstick Adventure 3 [redump.org, r09]
gmaster: Space Invader, Tank War [Sylver BRUNEAU]
hyperscan_card:
  Ben 10: All Thumbs (Villain Defense), Ben 10: Astro-Nought (Villain Defense), Ben 10: Backpack (Ultimate),
  Ben 10: Behemoth (Defense Mod), Ben 10: Ben Tennyson (Character), Ben 10: Berzerker (Attack Mod), Ben 10: Big Smack (Power Mod),
  Ben 10: Binary Blaster (Attack Mod), Ben 10: Bio-Feedback (Villain Defense), Ben 10: Bite Radius (Attack Mod),
  Ben 10: Blast Furnace (Attack Mod), Ben 10: Bounce Back (Attack Mod), Ben 10: Brain Drain (Villain Defense),
  Ben 10: Crystal Shield (Defense Mod), Ben 10: Deep Six (Villain Defense), Ben 10: Diamondhead (Character),
  Ben 10: Diamondhead (Ultimate), Ben 10: Diffuse (Defense Mod), Ben 10: Dive Bomb (Speed Mod), Ben 10: Ectoslaught (Speed Mod),
  Ben 10: Fade Out (Defense Mod), Ben 10: Feral Slashes (Speed Mod), Ben 10: Firewall (Defense Mod),
  Ben 10: Flame Out (Villain Defense), Ben 10: Flamethrower (Projectile Mod), Ben 10: Fliptail (Power Mod),
  Ben 10: Four Arms (Character), Ben 10: Four Arms (Ultimate), Ben 10: Gear Shift (Attack Mod), Ben 10: Ghostfreak (Character),
  Ben 10: Ghostfreak (Ultimate), Ben 10: Goo Sting (Projectile Mod), Ben 10: Grandpa Max (Help),
  Ben 10: Gravity Pull (Villain Defense), Ben 10: Grey Matter (Character), Ben 10: Grey Matter (Ultimate),
  Ben 10: Ground Swell (Villain Defense), Ben 10: Gwen (Help), Ben 10: Harpoon (Villain Defense), Ben 10: Heatblast (Character),
  Ben 10: Heatblast (Ultimate), Ben 10: Hexa-Gone (Villain Defense), Ben 10: High Jump (Power Mod), Ben 10: Hive Mind (Speed Mod),
  Ben 10: Hyp-no! (Villain Defense), Ben 10: Hyper Wing (Attack Mod), Ben 10: Juggernaut (Attack Mod),
  Ben 10: Laser Wave (Attack Mod), Ben 10: Metal Fatigue (Villain Defense), Ben 10: Mini-Max (Attack Mod),
  Ben 10: Nano Blast (Projectile Mod), Ben 10: Omnicharge (Ultimate), Ben 10: Out Claw (Villain Defense),
  Ben 10: Overclock (Speed Mod), Ben 10: Prismforce (Attack Mod), Ben 10: Razor Quills (Attack Mod),
  Ben 10: Reverse Psychology (Villain Defense), Ben 10: Ripjaws (Character), Ben 10: Ripjaws (Ultimate),
  Ben 10: Rust Belt (Villain Defense), Ben 10: Scale Armor (Defense Mod), Ben 10: Shardblaster (Projectile Mod),
  Ben 10: Shell Shock (Villain Defense), Ben 10: Short Circuit (Villain Defense), Ben 10: Shrink Wrap (Defense Mod),
  Ben 10: Sixth Sense (Defense Mod), Ben 10: Smoke and Mirrors (Villain Defense), Ben 10: Snail Trail (Villain Defense),
  Ben 10: Soul Sink (Attack Mod), Ben 10: Spectral Shriek (Attack Mod), Ben 10: Spin Out (Defense Mod),
  Ben 10: Static Boom (Projectile Mod), Ben 10: Stink Swarm (Defense Mod), Ben 10: Stinkfly (Character),
  Ben 10: Stinkfly (Ultimate), Ben 10: Surface Tension (Villain Defense), Ben 10: Thermostat (Speed Mod),
  Ben 10: Thunderclap (Speed Mod), Ben 10: Turbo Charge (Attack Mod), Ben 10: Upgrade (Character), Ben 10: Upgrade (Ultimate),
  Ben 10: Wildmutt (Character), Ben 10: Wildmutt (Ultimate), Ben 10: XLR8 (Character), Ben 10: XLR8 (Ultimate),
  IWL: A Plight of Fists (Finishing), IWL: ACME Special Delivery (Battle Mod), IWL: Apocules (Game Mod),
  IWL: Apollo Quantum Duae (Game Mod), IWL: Aroma Borealis (Battle Mod), IWL: Aroma Borealis 2 (Battle Mod),
  IWL: Arrffin' Annie The Chupacabra (Character), IWL: Atlas Quantum Duae (Game Mod), IWL: Atlury (Game Mod),
  IWL: Atollus (Game Mod), IWL: Atules (Game Mod), IWL: Bad Dentist (Battle Mod), IWL: Balthazaar The Bash-ful (Character),
  IWL: Billy Ray The Evil Twins (Character), IWL: Black Hole (Battle Mod), IWL: Blinded by the Light (Battle Mod),
  IWL: Brother Beardsly (Character), IWL: Can't Touch This (Battle Mod), IWL: Canned Heat (Character),
  IWL: Caraba Chaba (Battle Mod), IWL: Cosmic Crush (Battle Mod), IWL: Cosmonut Cracker (Battle Mod),
  IWL: Davey Jones Locker (Finishing), IWL: Doll of Cement (Battle Mod), IWL: Eat My Dust (Finishing), IWL: El Mas Loco (Game Mod),
  IWL: Express Delivery (Finishing), IWL: Galacto The Magnificent (Character), IWL: Galaxy Shifter (Battle Mod),
  IWL: Gibbonator (Character), IWL: Growler da Pirate (Character), IWL: Hercules Quantum Duae (Game Mod),
  IWL: Humuhumunukunuku Apua'a (Finishing), IWL: Interstellar Ka-Boom (Battle Mod), IWL: Jacob's Ladder (Battle Mod),
  IWL: Jupiter Juice (Battle Mod), IWL: Laser Eyeballs (Battle Mod), IWL: Light Speed (Battle Mod), IWL: Lobstar (Character),
  IWL: Mandible (Character), IWL: Matsumo Clodsan (Character), IWL: Max Apollo Meyiotos (Game Mod),
  IWL: Max Atlas Meyiotos (Game Mod), IWL: Max Hercules Meyiotos (Game Mod), IWL: Max Mercury Meyiotos (Game Mod),
  IWL: Max Pan Meyiotos (Game Mod), IWL: Mercollo (Game Mod), IWL: Merculon (Game Mod), IWL: Mercury Heater (Battle Mod),
  IWL: Mercury Quantum Duae (Game Mod), IWL: Metal Folding Chair Launcher (Battle Mod), IWL: Orion's Belt (Battle Mod),
  IWL: Pan Quantum Duae (Game Mod), IWL: Panlas (Game Mod), IWL: Panollo (Game Mod), IWL: Panules (Game Mod),
  IWL: Panury (Game Mod), IWL: Pie in the Eye (Battle Mod), IWL: Planet Crusher (Battle Mod), IWL: Rain of Pain (Battle Mod),
  IWL: Rocket Boots (Battle Mod), IWL: Roid Rager (Battle Mod), IWL: Slap of 1000 Hands (Battle Mod), IWL: Star Gazer (Battle Mod),
  IWL: The Asimov (Finishing), IWL: The Banana Split (Finishing), IWL: The Big Kahuna (Character), IWL: The Cleaner (Battle Mod),
  IWL: The Deadly Cream Pie (Finishing), IWL: The Dragon Bucket (Finishing), IWL: The Ecto-Squeeze (Finishing),
  IWL: The Foot of Ra (Battle Mod), IWL: The Force... To Be Reckoned With (Battle Mod), IWL: The Fossil (Character),
  IWL: The Freedom Fryer (Finishing), IWL: The Mad Protoplasm (Character), IWL: The Milky Wake (Battle Mod),
  IWL: The Moon Shiner (Finishing), IWL: The Mutilator (Finishing), IWL: The Poser (Finishing),
  IWL: The Saber Tooth Cave Painting (Finishing), IWL: Tortoise (Battle Mod), IWL: Tria Apollo 3 (Game Mod),
  IWL: Tria Atlas 3 (Game Mod), IWL: Tria Hercules 3 (Game Mod), IWL: Tria Mercury 3 (Game Mod), IWL: Tria Pan 3 (Game Mod),
  IWL: Uber Tuber (Character), IWL: Ultimate Arrffin' Annie The Chupacabra (Ultimate),
  IWL: Ultimate Balthazaar The Bash-ful (Ultimate), IWL: Ultimate Big Kahuna (Character),
  IWL: Ultimate Billy Ray The Evil Twins (Ultimate), IWL: Ultimate Brother Beardsly (Ultimate),
  IWL: Ultimate Canned Heat (Ultimate), IWL: Ultimate Fossil (Ultimate), IWL: Ultimate Galacto The Magnificent (Ultimate),
  IWL: Ultimate Gibbonator (Ultimate), IWL: Ultimate Growler da Pirate (Character), IWL: Ultimate Lobstar (Character),
  IWL: Ultimate Mandible (Ultimate), IWL: Ultimate Matsumo Clodsan (Ultimate), IWL: Ultimate The Mad Protoplasm (Ultimate),
  IWL: Unum Apollo Daum (Game Mod), IWL: Unum Atlas Daum (Game Mod), IWL: Unum Herculaum (Game Mod),
  IWL: Unum Mercury Daum (Game Mod), IWL: Unum Pan Daum (Game Mod), IWL: Venus di Meltdown (Battle Mod),
  IWL: Vigor Trigger (Battle Mod), IWL: Warp Pile Driver (Battle Mod), IWL: Wise Guy (Battle Mod),
  Marvel Heroes: Back-Alley Bust Up (Area Mod), Marvel Heroes: Baron Zemo (Boss Mod), Marvel Heroes: Below Zero (Atmosphere Mod),
  Marvel Heroes: Biotronic (Area Mod), Marvel Heroes: Bullseye (Villain Mod), Marvel Heroes: Captain America (Character),
  Marvel Heroes: Captain America Challenge (Story Mod), Marvel Heroes: Cavern Clash (Area Mod),
  Marvel Heroes: Chaos Laboratories (Area Mod), Marvel Heroes: Daredevil (Character),
  Marvel Heroes: Daredevil Challenge (Story Mod), Marvel Heroes: Desolation Flats (Area Mod), Marvel Heroes: Doctor Doom (Boss Mod),
  Marvel Heroes: Doctor Octopus (Boss Mod), Marvel Heroes: Drab Town (Area Mod), Marvel Heroes: Dread Field (Area Mod),
  Marvel Heroes: Elektra (Character), Marvel Heroes: Elektra Challenge (Story Mod), Marvel Heroes: Fire Island Station (Area Mod),
  Marvel Heroes: Force Factor (Area Mod), Marvel Heroes: Gale Force (Atmosphere Mod), Marvel Heroes: Heat Wave (Atmosphere Mod),
  Marvel Heroes: Hobgoblin (Villain Mod), Marvel Heroes: Hulk (Character), Marvel Heroes: Hulk Challenge (Story Mod),
  Marvel Heroes: Human Torch (Character), Marvel Heroes: Human Torch Challenge (Story Mod), Marvel Heroes: Iron Man (Character),
  Marvel Heroes: Iron Man Challenge (Story Mod), Marvel Heroes: Jungle Tech (Area Mod), Marvel Heroes: Klaw (Villain Mod),
  Marvel Heroes: Lady Deathstrike (Villain Mod), Marvel Heroes: Last Chance Bog (Area Mod),
  Marvel Heroes: Lightning Ridge (Area Mod), Marvel Heroes: Loki (Villain Mod), Marvel Heroes: Magneto (Boss Mod),
  Marvel Heroes: Mount Fury (Area Mod), Marvel Heroes: Mountain Meltdown (Area Mod), Marvel Heroes: Municipal Mayhem (Area Mod),
  Marvel Heroes: Mystery (Atmosphere Mod), Marvel Heroes: Omega Red (Villain Mod), Marvel Heroes: Rat House Rumble (Area Mod),
  Marvel Heroes: Scraps (Area Mod), Marvel Heroes: Snow Squall (Atmosphere Mod), Marvel Heroes: Space-Station Omega (Area Mod),
  Marvel Heroes: Spider-Man (Character), Marvel Heroes: Spider-Man Challenge (Story Mod), Marvel Heroes: Spiral (Villain Mod),
  Marvel Heroes: Storm (Character), Marvel Heroes: Storm Challenge (Story Mod), Marvel Heroes: Target X (Area Mod),
  Marvel Heroes: Techno Terror (Area Mod), Marvel Heroes: Thanos (Boss Mod), Marvel Heroes: The Owl (Villain Mod),
  Marvel Heroes: Thick Soup (Atmosphere Mod), Marvel Heroes: Thing (Character), Marvel Heroes: Thing Challenge (Story Mod),
  Marvel Heroes: Thor (Character), Marvel Heroes: Thor Challenge (Story Mod), Marvel Heroes: Thunderhead (Atmosphere Mod),
  Marvel Heroes: Tunnels of Terror (Area Mod), Marvel Heroes: Ultron (Boss Mod), Marvel Heroes: Vanguard Forest (Area Mod),
  Marvel Heroes: Venom (Villain Mod), Marvel Heroes: Wastes of Warfare (Area Mod), Marvel Heroes: Whirlwind (Villain Mod),
  Marvel Heroes: Witching Hour (Atmosphere Mod), Marvel Heroes: Wolverine (Character),
  Marvel Heroes: Wolverine Challenge (Story Mod), Marvel Heroes: Wretched Acres (Area Mod), Spiderman: Air Evac (Red Suit Mod),
  Spiderman: Arachnophobia (Red Suit Mod), Spiderman: Attitude Adjustment (Black Suit Mod), Spiderman: Bad Habit (Black Suit Mod),
  Spiderman: Big Apple 1 (Mission Mod), Spiderman: Big Apple 2 (Mission Mod), Spiderman: Big Apple 3 (Mission Mod),
  Spiderman: Big Apple 4 (Mission Mod), Spiderman: Big Apple 5 (Mission Mod), Spiderman: Black Flail (Black Suit Mod),
  Spiderman: Black Widow (Black Suit Mod), Spiderman: Camouflage (Red Suit Mod), Spiderman: Comic Book Mode (FX Mod),
  Spiderman: Daddy Long Legs (Red Suit Mod), Spiderman: Daily Bugle (FX Mod), Spiderman: Disguised (Black Suit Mod),
  Spiderman: Disintegrator (Enemy Mod), Spiderman: Divine Reflex (Red Suit Mod), Spiderman: Ego Boost (Enemy Mod),
  Spiderman: EZ Does It (Enemy Mod), Spiderman: Fly Paper (Red Suit Mod), Spiderman: Goo Hammer (Black Suit Mod),
  Spiderman: Guilt Trip (Enemy Mod), Spiderman: Hang 'em High (Red Suit Mod), Spiderman: Health Drink (Arsenal Mod),
  Spiderman: Invincibility (Arsenal Mod), Spiderman: Jumping Spider (Black Suit Mod), Spiderman: Light As A Feather (FX Mod),
  Spiderman: Octattack (Black Suit Mod), Spiderman: Parade Route (FX Mod), Spiderman: Quick Learner (Enemy Mod),
  Spiderman: Safety Net (Red Suit Mod), Spiderman: Shaky Ground (Black Suit Mod), Spiderman: Slow Motion (Red Suit Mod),
  Spiderman: Snap Back (Black Mod Suit), Spiderman: Sonic Drubbing (Enemy Mod), Spiderman: Sound Mode (FX Mod),
  Spiderman: Spider Agility (Enemy Mod), Spiderman: Spider Bite (Black Suit Mod), Spiderman: Spider Shield (Red Suit Mod),
  Spiderman: Spider Speed (Arsenal Mod), Spiderman: Spider-Man (Character), Spiderman: Spidey Sense (Red Suit Mod),
  Spiderman: Stopwatch (Arsenal Mod), Spiderman: Super Jumper (FX Mod), Spiderman: Super Slinger (Red Suit Mod),
  Spiderman: Super Strength (Arsenal Mod), Spiderman: The Bowling Ball (Black Suit Mod), Spiderman: The Tarantula (Black Suit Mod),
  Spiderman: Time Twist (FX Mod), Spiderman: Trap Door Spider (Black Suit Mod), Spiderman: Trip Web (Red Suit Mod),
  Spiderman: Tritium Card (Enemy Mod), Spiderman: Tuffanuff (Red Suit Mod), Spiderman: Up And Away (Black Suit Mod),
  Spiderman: Wacky Noises (FX Mod), Spiderman: Web Fluid (Arsenal Mod), Spiderman: Web Flurry (Arsenal Mod),
  Spiderman: Web O Mondo (Red Suit Mod), Spiderman: Web of Steel (Enemy Mod), X-Men: 52 Card Slice (Finishing Move),
  X-Men: Absorption (Attack Mod), X-Men: Accelerated Healing (Defense Mod), X-Men: Adamantium Claws (Attack Mod),
  X-Men: Adamantium Mayhem (Finishing Move), X-Men: Adamantium Skeleton (Defense Mod), X-Men: Adaptive Mode (Defense Mod),
  X-Men: Amphibian Assault (Attack Mod), X-Men: Armored Helmet (Defense Mod), X-Men: Auto Duck (Defense Mod),
  X-Men: Auto Jump (Defense Mod), X-Men: Beast (Character), X-Men: Below Zero (Defense Mod), X-Men: Big Chill (Attack Mod),
  X-Men: Blob (Character), X-Men: Brutal Force (Attack Mod), X-Men: Chaos Magick (Attack Mod), X-Men: Colossus (Character),
  X-Men: Cool Head (Defense Mod), X-Men: Cyborg Assault (Attack Mod), X-Men: Cyclops (Character),
  X-Men: Dead Man's Hands (Finishing Move), X-Men: Death Dealer (Attack Mod), X-Men: Devastating Optic Blast (Finishing Move),
  X-Men: Durability Room (Danger Room), X-Men: Energy Projection Room (Danger Room), X-Men: Escape Artist (Defense Mod),
  X-Men: Escape Flight (Defense Mod), X-Men: Fighting Skills Room (Danger Room), X-Men: Gambit (Character),
  X-Men: Goop Swoop (Defense Mod), X-Men: Gravity Press (Finishing Move), X-Men: Half as Nice (Attack Mod),
  X-Men: Head Crush (Finishing Move), X-Men: Hover Hold (Defense Mod), X-Men: Iceman (Character),
  X-Men: Intelligence Room (Danger Room), X-Men: Irresistible Force (Finishing Move), X-Men: Jean Grey/Phoenix (Character),
  X-Men: Juggernaut (Character), X-Men: Killer Instinct (Attack Mod), X-Men: Kinetic Cover (Defense Mod),
  X-Men: Lady Deathstrike (Character), X-Men: Lethal Injection (Finishing Move), X-Men: Magnetic Maneuver (Defense Mod),
  X-Men: Magneto (Character), X-Men: Melee Shield (Defense Mod), X-Men: Melee Vengeance (Attack Mod),
  X-Men: Mental Bolt (Finishing Move), X-Men: Metallic Mayhem (Attack Mod), X-Men: Morph Queen (Attack Mod),
  X-Men: Mutant Extermination (Attack Mod), X-Men: Mystique (Character), X-Men: Nightcrawler (Character),
  X-Men: Omega Red (Character), X-Men: Passive Aggression (Defense Mod), X-Men: Power Driver (Finishing Move),
  X-Men: Power of Cyttorak (Attack Mod), X-Men: Professor X (Character), X-Men: Projectile Shield (Defense Mod),
  X-Men: Projectile Vengeance (Attack Mod), X-Men: Psychic Shield (Defense Mod), X-Men: Rapid Fire Destruction (Finishing Move),
  X-Men: Rapid Recovery (Defense Mod), X-Men: Real McCoy (Attack Mod), X-Men: Red Guard (Defense Mod),
  X-Men: Reflective Mode (Attack Mod), X-Men: Resurrect (Defense Mod), X-Men: Rogue (Character), X-Men: Sabretooth (Character),
  X-Men: Scarlet Leather (Defense Mod), X-Men: Scarlet Witch (Character), X-Men: Sentinel (Character),
  X-Men: Shapely Shifting (Defense Mod), X-Men: Shrapnel (Finishing Move), X-Men: Speed Room (Danger Room),
  X-Men: Spinning Death (Finishing Move), X-Men: Steel-like Skin (Defense Mod), X-Men: Storm (Character),
  X-Men: Strength Room (Danger Room), X-Men: Sun Burst (Finishing Move), X-Men: Super Freeze (Finishing Move),
  X-Men: Super Shield (Defense Mod), X-Men: Super Speed (Attack Mod), X-Men: Superhuman Resistant (Defense Mod),
  X-Men: Tele-Driver Spin (Finishing Move), X-Men: Telepathic Touch (Attack Mod), X-Men: Teleportation (Attack Mod),
  X-Men: Thermonuclear Holocaust (Finishing Move), X-Men: Throat-Rip (Finishing Move), X-Men: Thunder n' Lightning (Attack Mod),
  X-Men: Toad (Character), X-Men: Total Drain (Finishing Move), X-Men: Toxic Spew (Finishing Move),
  X-Men: Toxic Tentacles (Attack Mod), X-Men: Triple Strike (Attack Mod), X-Men: Ultimate Beast (Character),
  X-Men: Ultimate Blob (Character), X-Men: Ultimate Colossus (Character), X-Men: Ultimate Cyclops (Character),
  X-Men: Ultimate Gambit (Character), X-Men: Ultimate Iceman (Character), X-Men: Ultimate Jean Grey/Phoenix (Character),
  X-Men: Ultimate Juggernaut (Character), X-Men: Ultimate Lady Deathstrike (Character), X-Men: Ultimate Magneto (Character),
  X-Men: Ultimate Mystique (Character), X-Men: Ultimate Nightcrawler (Character), X-Men: Ultimate Omega Red (Character),
  X-Men: Ultimate Rogue (Character), X-Men: Ultimate Sabretooth (Character), X-Men: Ultimate Scarlet Witch (Character),
  X-Men: Ultimate Sentinel (Character), X-Men: Ultimate Storm (Character), X-Men: Ultimate Toad (Character),
  X-Men: Ultimate Wolverine (Character), X-Men: Unstoppable Force (Attack Mod), X-Men: Vapor-eyes (Attack Mod),
  X-Men: Wolverine (Character) [Sandro Ronco]
ibm5150: Wizzardz & War Lordz [LGR]
mobigo_cart:
  Disney Fairies Explore Your Talents (USA), Disney Jake and the Neverland Pirates (USA), Disney Princess (USA),
  DreamWorks/Nickelodeon The Penguins of Madagascar - Mission Madness (USA), Thomas & Friends - Really Useful Engines (USA)
  [TeamEurope, Sean Riddle]
  Disney La Casa de Mickey Mouse (Spain), Nickelodeon Bob Esponja - Defendiendo la Formula Secreta (Spain) [Sean Riddle, ClawGrip]
nuon:
  Ballistic, FreeFall 3050 A.D., Iron Soldier 3, Merlin Racing, Space Invaders XL, Tempest 3000, Toshiba Sampler (11-1-2000) [incog]
pc98:
  Eisei Meijin II, Elysion (2DD version), EPSON Software Installation Program (v2.17), EPSON Software Installation Program (v2.23),
  EPSON Software Installation Program (v2.27), EPSON Software Installation Program (v3.02) [Neo Kobe Collection, r09]
st_flop: Street Fighter II: The World Warrior (Euro) [Mikerochip, FakeShemp]
tvgogo: Baseball (US), Whac-A-Mole (US) [Sean Riddle, David Haywood]
vsmile_cart: DreamWorks Monstres contre Aliens (France) [DisizDream]
vsmileb_cart: L'arche de Noe - L'aventure des animaux (France), Les decouvertes de Mickey et ses amis (France) [DisizDream]
vsmilem_cart:
  Disney La Princesse Et La Grenouille - Le grand reve de Tiana (France), Disney Manny et ses outils (France),
  Shrek 4 - Il etait une fin (France) [DisizDream]
  Disney Meister Manny's Werkzeugkiste (Germany) [TeamEurope]


Merged pull requests
--------------------
- 3190: Added a Nuon software list. [incog]
- 6543: seattle.cpp, vegas.cpp: Removed unused inputs, and removed imperfect sound flag from NBA Showtime games. [Hydreigon223]
- 6592: luaengine.cpp: Consolidated code for parsing enum strings representations. [npwoods]
- 6596: Moved sprite delay implementation into screen vertical blanking callback for some drivers. [cam900]
- 6597: machine/tms9914.cpp: Implemented service request and parallel poll state machines, and fixed a typo. [F.Ulivi]
- 6598: galaga.cpp: Fixed sub CPU reset for Galaga bootlegs. [hackbar]
- 6599: Heavily improved GRiD Compass 1101 emulation, allowing the system to boot without patches. [usernameak]
- 6600: compis.xml: Added five new dumps. [FakeShemp]
- 6601: sgi_mips.xml: Added a software list for SGI MIPS CDs, hooked up to the Indy and 4D drivers. [Davide Cavalca]
- 6602: hp80.cpp: Fixed a bug that prevented correct keyboard auto-repeat for non-English HP86 keyboard layouts. [F.Ulivi]
- 6603: jedutil: Added support for GAL20V8. [Kevin Eshbach]
- 6604: nscsi/cd.cpp: Added a stub handler for the eject command used by IRIX. [Davide Cavalca]
- 6605: machine/tms9914.cpp: Simplified handling of CIDS state. [F.Ulivi]
- 6606: sgi_mips.xml: Eleven additions and one re-dump. [ClawGrip]
- 6607: sgi_mips.xml: Fifteen additions. [Davide Cavalca]
- 6608: Merged release0221 branch master. [Vas Crabb]
- 6609: Plug and Play work. [David Haywood]
- 6610: sgi_mips.xml: Added two entries, sorted the list, and improved naming. [ClawGrip]
- 6611: sgi_mips: new software list additions [davide125]
- 6612: cpu/i960: Added ten missing opcodes to disassembler, and changed operand order to match manual. [SailorSat]
- 6615: sgi_mips.xml: Added 16 entries. [Davide Cavalca]
- 6616: n64.xml: Documented a few more cartridge PCBs. [FakeShemp]
- 6617: sgi_mips.xml: Added twenty entries. [Davide Cavalca]
- 6619: indy_indigo2.cpp: Fixed #include ordering. [Davide Cavalca]
- 6620: bus/coco: Fixed loading for CoCo cartridges that are smaller than 16KiB. [Tim Lindner]
- 6621: coco12.cpp: Disabled Becker Port by default (it conflicts with cartridge devices). [Tim Lindner]
- 6622: sgi_mips.xml: Added missing IRIX 6.5 discs, merged product set entries, added metadata, and replaced some dumps.
  [ClawGrip, Rampa]
- 6623: sgi_mips.xml: Added 57 entries. [Davide Cavalca]
- 6624: cpu/avr8: Added preliminary support for ATMega328, allowing Arduino UNO to boot. [hiromasa]
- 6625: indy_indigo2.cpp: Added IP24 boot PROM Version 5.3 Rev B7 as a BIOS option. [Davide Cavalca]
- 6626: video/vtvideo.cpp: Implemented horizontal pixel stretching (fills one-pixel gaps in 80-column mode). [Oyvind Kolas]
- 6627: startouch.cpp: Added a notewgrip]
- 6628: compis.xml: Added eight new entries. [FakeShemp]
- 6629: cgenie_cass.xml: Corrected some authors and publishers. [schnitzeltony]
- 6630: coco3.cpp: Enabled Becker Port by default for coco3dw1. [Tim Lindner]
- 6632: bus/coco: Added Disto no-halt caching disk controller. [Tim Lindner]
- 6633: coco3.cpp: Fixed jostick button labels. [Tim Lindner]
- 6634: diimage.cpp: Removed colon from path separator characters. [Tim Lindner]
- 6635: jedutil: Fixed output feedback mode for GAL16V8 and GAL20V8 devices in simple mode, and added more regression tests.
  [Kevin Eshbach]
- 6636: vsmile.cpp: Replaced vsmilem BIOS with one from a real V.Smile Motion. [Sean Riddle, TeamEurope]
- 6637: cpu/i960: Re-wrote disassembler using manuals for reference. [SailorSat]
- 6638: sound/c140.cpp: Updated data bus behavior and added support for 12-bit PCM. [cam900, superctr]
- 6639: kikikai.cpp: Hooked up kicknrun microcontroller, and split up driver state class. [David Haywood, dink]
- 6642: machine/keyboard.cpp, machine/gridkeyb.cpp: Fixed typos in PORT_CHAR definitions. [Frank Palazzolo]
- 6643: Added drivers for Grant Searle's Simple machines (Z80, CP/M, 6502 and 6809). [Frank Palazzolo]
- 6645: cpu/m6809: Made $10, $20 an illegal instruction on for the HD6309 family. [Tim Lindner]
- 6646: nemesis.cpp: Convert twinbeeb program to the form that the driver expects. [David Haywood]
- 6647: raiden2.cpp: Dumped U0342 PAL for Raiden II and clones. [neSneSgB]
- 6648: natkeyboard.cpp: Added support for input port conditions. [Frank Palazzolo]
- 6649: sgi_mips.xml: Added seven entries. [ClawGrip, Rampa]
- 6650: cpu/i960: Don't raise a fatal error on documented (but unimplemented) IAC messages. [RyogaMasaki]
- 6651: cpu/m6809: Corrected illegal branch form for HD6309 family. [Tim Lindner]
- 6652: sgi_mips.xml: Added 31 entries. [Davide Cavalca]
- 6657: sound/c140.cpp: Revert #6638. [R. Belmont]
- 6658: sgi_mips.xml: Fixed stray leading space in description. [ClawGrip]
- 6659: sound/c140.cpp: Updated bus behaviour, added 12-bit PCM support, and cleaned up device interface (fixes issues with #6638).
  [cam900, superctr]
- 6660: Added -debuglog option to log debugger console output to a file. [Stephen Oberholtzer]
- 6661: hxchfe_dsk.cpp: Fixed segmentation fault when writing to a mixed-density image file. [Klaus Kaempf]
- 6662: sgi_mpis.xml: Fixed a spelling error in a disc label. [ClawGrip]
- 6663: nes.xml, famicom_flop.xml, msx1_cart.xml: Minor metadata fixes. [quasiscroto]
- 6664: bus/coco: Added Disto RAM cartridge. [Tim Lindner]
- 6665: dragon.cpp: Connected an RS-232 port to the ACIA. [Tim Lindner]
- 6666: sgi_mips.xml: Added three entries, added a missing CD for IRIX 6.5.13, and merged two entries with their packages.
  [Davide Cavalca]
- 6667: video/gp9001.cpp: Reduced cycles consumed per tile from 64 to 32 (fixes MT07642). [cam900]
- 6668: seta2.cpp: Refactored sprite drawing in preparation for implementing zoom. [David Haywood]
- 6669: Added support for byte accesses and cleaned up code. [cam900]
- 6670: vsmile_cart.xml: Added two entries. [DisizDream, ClawGrip]
- 6671: vsmile_cart.xml: Added three entries. [DisizDream, ClawGrip]
- 6673: gticlub.cpp: Added 68000 CPU to thunderh so its program shows in the debugger (not connected to anything). [Hydreigon]
- 6674: seta2.cpp: Started implementing vertical zoom. [David Haywood]
- 6675: gal3.cpp, namcos21.cpp, namcos21_c67.cpp, namcos21_de.cpp: Derive C140 clock from a known source on the board. [cam900]
- 6676: ibm5170.xml: Added two entries. [ArcadeShadow]
- 6677: seta2.cpp: Improved vertical zoom behaviour. [David Haywood]
- 6678: vsmilem_cart.xml: Added one entry. [TeamEurope, ClawGrip]
- 6679: ibm5170.xml: Added two entries. [ArcadeShadow]
- 6680: machine/k056230.cpp: Added notes. [Hydreigon]
- 6681: spg2xx.cpp: Added TV Learning Station (VTech, Germany). [Sean Riddle, TeamEurope, ClawGrip]
- 6682: midxunit.cpp: Updated comment. [cam900]
- 6683: seta2.cpp: Started implementing horizontal zoom. [David Haywood]
- 6684: seta2.cpp: Improved horizontal enlargement cases. [David Haywood]
- 6685: sgi_mips.xml: Added ten entries, and added missing CDs to existing entries. [Davide Cavalca]
- 6686: iqunlim.cpp: Added VTech IQ Unlimited. [Alexandre, ClawGrip]
- 6687: hh_sm510.cpp: Added Game & Watch: Popeye (Panorama Screen). [algestam, Ryan Holtz]
- 6688: sgi_mips.xml: Removed duplicates and corrected hashes. [Davide Cavalca]
- 6689: cpu/jaguar: Updated condition for commented check for running GPU code from external RAM. [cam900]
- 6690: st_flop.xml: Added one entry. [FakeShemp]
- 6691: cpu/jaguar: Refactored GPU/DSP core to use I/O maps. [Angelo Salese]
- 6692: Fixed MT07369 and cleaned up code. [cam900]
- 6696: netlist: Added CD4013, DC4069 and CD4070 devices, and increased propagation delay for CD4001. [Frank Palazzolo]
- 6697: hotblock.cpp: Added two new Hotblocks - Tetrix II sets. [ClawGrip]
- 6698: cpu/i8085: Remove a leftover logerror() call. [Frank Palazzolo]
- 6699: dec8.cpp: Corrected thee bad bits in csilver microcontroller dump, and replaced microcontroller simulation.
  [dink, David Haywood]
- 6700: sgi_mips.xml: Added nine entries. [Davide Cavalca]
- 6702: compis.xml: Added seven more dumps. [FakeShemp]
- 6703: pc2000.cpp: changed pc2000s LCD controller to SED1278-0B. [ClawGrip]
- 6705: imgtool: Added Dragon DOS module. [Tim Lindner]
- 6706: redalert.cpp: Improved panther sound and controls, and added preliminary extra video layer for demoneye.
  [Tomasz Slanina, Angelo Salese]
- 6707: ibm5170.xml: Added three entries. [ArcadeShadow]
- 6708: ibm5150.xml: Added on entry. [ArcadeShadow]
- 6709: video/gime.cpp: Fixed 0xFExx memory accesses when in ROM mode (fixes CoCo cartridges). [Tim Lindner]
- 6710: ibm5170.xml: Added one entry. [ArcadeShadow]
- 6711: docs: Cleaned up documentation and examples for command-line options. [Firehawke]
- 6714: x68k_flop.xml: Re-tested Sharp X68000 software and updated notes. [Angelo Salese]
- 6716: pleiads.cpp: Fixed log messages, and disabled messages that aren't errors by default. [Frank Palazzolo]
- 6717: Support SYMBOLS=1 make option to include debugger symbols in Visual Studio Release builds. [Frank Palazzolo]
- 6719: cps1.cpp: Added Varth: Operation Thunderstorm (bootleg, set 2). [TwistedTom, gmx, The Dumping Union]
- 6720: cpu/tms32031: Corrected device names/descriptions, and added notes on internal peripherals and differences between variants.
  [cam900]
- 6720: machine/6850acia.cpp: TDRE should read clear in reset, and set when coming out of reset. [68bit]
- 6722: seta2.cpp: Added notes on hardware configurations and emulation issues, and fixed clocks for P0-113A PCBs. [cam900]
- 6723: pgm.cpp: Added some hardware notes. [cam900]
- 6725: Some small GPL16250 tweaks/hacks allowing tkmag220 and lazertag to show sprites with expected colours. [David Haywood]
- 6726: ibm5170.xml: Added one entry. [ArcadeShadow]
- 6727: vsmile_cart.xml: Added two entries. [DisizDream, ClawGrip]
- 6729: vsmileb_cart.xml: Added two entries. [DisizDream, ClawGrip]
- 6730: apple2_flop_orig.xml, apple2_flop_clcracked.xml: Add latest dumps for May. [4am, Firehawke]
- 6731: bus/qbus: Added skeleton DEC Qbus and PC11 paper tape reader/punch. [shattered]
- 6732: rt1715.cpp: Use CAS decode PROM for rt1715w memory accesses. [shattered]
- 6733: cps1.cpp: Marked varthb2 graphics ROMs as bad dumps. [TwistedTom]
- 6735: ibm5170.xml: Added two entries. [ArcadeShadow]
- 6736: ibm5150.xml: Added one entry. [ArcadeShadow]
- 6737: GPL16250: Added notes for getting tkmag220 to show something, and corrected some logging masks. [David Haywood]
- 6738: bus/rs232: Implemented XON/XOFF flow control for null_modem device. [shattered]
- 6379: picno.xml: Added note about undumped game. [ClawGrip]
- 6740: cpu/unsp: Fixed an unsp20 opcode decode priority bug that caused an ASR instruction to decode as a MUL. [David Haywood]
- 6741: cps1.cpp: Fixed 4-pixel scroll offset affecting many Street Fighter 2 bootlegs. [TwistedTom]
- 6744: play_3.cpp: Added The Raid (alternate set). [jordigahan, ClawGrip]
- 6745: GPL16250: Added I/O ports, and identified tkmag220 as a bad dump. [David Haywood]
- 6746: gaplus.cpp: Fixed star field active area, scrolling speed/direction, and blinking on direction change (MT00434, MT07663).
  [sasuke]
- 6747: mc10.cpp: Added MCX-128 and Alice with MCX-128 machines. [Tim Lindner]
- 6748: luaengine.cpp: Added rom_entry library. [feos]
- 6750: machine/mm58174.cpp: Added MM58174 real-time clock device and used it in seven drivers. [shattered]
- 6751: GPL16250: Adjusted DMA and drawing behaviour. [David Haywood]
- 6752: gaplus.cpp: Changed default gaplus bonus life DIP switch setting to match manual, and updated comments. [sasuke]
- 6753: mappy.cpp: Changed default grobda bonus life DIP switch setting to match manual. [sasuke]
- 6755: bloodbro_ms.cpp: Dumped and added remaining PROMs for bloodbrom. [jordigahan, ClawGrip]
- 6756: Added AsmJit machine code generation library to 3rdparty. [Patrick Mackinlay]
- 6758: at.cpp, europc.cpp, genpc.cpp, pc.cpp: Added additional systems and BIOS options. [rfka01]
- 6759: video/k037122.cpp: Updated notes; hornet.cpp: Added raw screen timing parameters and expanded notes. [cam900]
- 6760: mw8080bw.cpp: Added netlist audio for 280zzzap. [Colin Howell]
- 6763: sound/rf5c68.cpp: Verified default register map against datasheet. [cam900]
- 6764: Re-wrote SPG2xx video code in preparation for supporting newer games, fixed some glitches, and added newly dumped TV games.
  [David Haywood]
- 6765: sound/nes_apu.cpp: Corrected noise generation algorithm. [cam900]
- 6766: armedf.cpp: Corrected vertical blanking interval (addresses MT07640). [sasuke]
- 6767: SPG2xx: Fixed two graphical regressions introduced in #6764. [David Haywood]
- 6768: tubep.cpp: Implemented "shadow" effect (a black pixel is drawn when the blitter switches from drawing background to sprite).
  [sasuke]
- 6770: rt1715.cpp: Added native keyboard and serial ports to rt1715w. [shattered]
- 6772: Fixed a graphics memory addressing error in the hp9845c driver and a signal corruption bug in the remote IEEE488 device.
  [F.Ulivi]
- 6773: mobigo_cart.xml: Added seven entries, and corrected some release years and descriptions. [TeamEurope, Sean Riddle, ClawGrip]
- 6774: Started implementing SPG2xx vertical tile compression, and added newly dumped TV games. [David Haywood]
- 6775: Added PIC17 CPU core to arcade subtarget. [MASH]
- 6776: hornet.cpp: Added notes for scope screen and fixed screen timing parameters. [cam900]
- 6777: msx1_cart.xml: Added one entry. [Wilbert Pol]
- 6778: pc.cpp: Added Sergey Kiselev's and Monotech's modern XT machines. [rfka01]
- 6780: Prepared SunPlus video rendering code for sharing between SPG2xx and GPL16250 SoCs. [David Haywood]
- 6781: debugger: Added condump command to export the console buffer to a file. [Stephen Oberholtzer]
- 6782: pc.cpp: Put version numbers in the labels for modern XT BIOS ROMs. [rfka01]
- 6784: dcheese.cpp: Corrected titles for fredmem and clones. [phweda]
- 6785: tiki100.cpp: Re-wrote graphics emulation to draw by rows, fixed palette changes, and fixed inaccurate keyboard emulation.
  [Frode van der Meeren]
- 6786: bus/hp_hil: Implemented keyboard auto-repeat. [shattered]
- 6787: consola_emt.cpp: Corrected CPU clock speed and consoemt release year. [ClawGrip]
- 6788: bus/coleco: Added support for ColecoVision Megacart. [Andrew Green]
- 6792: taitowlf.cpp: Updated comments. [Hydreigon]
- 6793: Initial work on sharing SunPlus video rendering code between SPG2xx and GPL16250 SoCs. [David Haywood]
- 6794: fmtowns_cd.xml: Added eight entries, and replaced five entries with better dumps. [redump.org, r09]
- 6795: twinkle.cpp: Changed all games on Konami Twinkle platform to use 16:9 physical screen aspect ratio. [tertu marybig]
- 6796: Removed some palette bank hacks from SPG2xx/GPL16250 video rendering code. [David Haywood]
- 6797: SPG2xx/GPL16250: Added support for double-height tilemaps and improved other functionality used by jak_pf. [David Haywood]
- 6799: sound/sid.cpp: Fixed memory corruption bug (GitHub #6798). [cam900]
- 6800: spg2xx_zone_32bit.cpp: Added Millennium M521 Arcade Neo 2.0 (Family Sport 220-in-1). [TeamEurope, David Haywood]
- 6801: ibm5150.xml: Added original dumps for Centipede and Ms. Pac-Man. [r09]
- 6802: pgm.cpp: Switched Ketsui Arrange to use a 4-button input layout. [Alex Marshall]
- 6803: Updated Travis CI configuration to use GCC 10 on Ubuntu and Xcode 11.5 on macOS. [Belegdol]
- 6805: gameboy.xml, famicom_flop.xml, nes.xml: Corrected some metadata and parent/clone relationships. [quasiscroto]
- 6806: iqunlim.cpp: Re-dumped iqunlimgr ROM at the correct size. [TeamEurope, ClawGrip]
- 6807: sound/rf5c68.cpp: Started implementing differences between RF5C68 and RF5C164. [cam900]
- 6808: kchamp.cpp: Added Karate Dou (Arfyc bootleg). [Retromaniacs, ArcadeHacker, Recreativas.org, ClawGrip]
- 6809: sound/ics2115.cpp: Flagged imperfect sound. [cam900]
- 6810: Corrected system name in master list (fixes linking after #6808). [ClawGrip]
- 6811: cpu/unsp: Fixed unsp20 ASR instruction. [David Haywood]
- 6812: ioport.cpp: Added support for programmatically setting analog input values (e.g. from Lua scripts). [Tim Lindner]
- 6813: pc98.xml: Added twenty entries from Neo Kobe Collection, re-tested software, corrected metadata, and added usage notes.
  [r09]
- 6814: Preliminary work on Speed Racer I2C memory and Ford Racing steering/pedal inputs. [David Haywood]
- 6816: megadriv.xml: Added notes about games that should be re-dumped. [ICEknight]
- 6817: arachnid.cpp: Added Super Six Plus II English Mark Darts (Spanish). [jordigahan, ClawGrip]
- 6819: sound/okiadpcm.cpp: Began implementing looped sample support. [cam900]
- 6820: arachnid.cpp: Added notes about DIP switches. [ClawGrip]
- 6821: sound/okiadpcm.cpp: Fixed sample looping. [cam900]
- 6822: luaengine.cpp: Exposed ioport_setting as a table. [feos]
- 6823: ibm5170.cpp: Added four entries. [r09]
- 6826: Added inputs to Ford Racing, and hooked up battery status to Zone TV games. [David Haywood]
- 6827: formats/imd_dsk.cpp: Added support for saving ImageDisk IMD floppy images (tested with Zorba and Kaypro II). [lfantoniosi]
- 6828: machine/microtch.cpp: Fixed typo in ROM label. [ClawGrip]
- 6829: arachnid.cpp: Added notes about ROM versions. [ClawGrip]
- 6830: nes_vt.cpp: Added Zudu-go / 2udu-go, and re-dumped dgun2573 and dgun2573a. [Sean Riddle, David Haywood, anonymous]
- 6831: startouch.cpp: Added notes about hardware variants. [ClawGrip]
- 6834: cave.cpp: Added DonPachi (Japan, Satsuei version) [PEG, David Haywood]
- 6835: sound/ics2115.cpp: Implemented device_memory_interface for sample storage, and implemented u-law expansion. [cam900]
- 6836: cps1.cpp: Fixed sf2rk graphics ROM loading/decoding, and added a note about the dark screen issue. [TwistedTom]
- 6840: sound/okim6295.cpp: Fixed an outdated header comment. [cam900]
- 6842: Moved schick out of pengo.cpp to its own source file, and removed the not working flag from fordrace and senspeed.
  [David Haywood]
- 6843: apple2_flop_clcracked.xml, apple2_flop_orig.xml: Added latest original dumps and cracks with lots of MECC. [4am, Firehawke]
- 6846: hh_sm510.cpp: Added Micro Vs. System: Donkey Kong 3. [algestam, Ryan Holtz]


Source Changes
--------------
-(nw) battles: fixed crash at start. Sounds are missing though, to be investigated. [Robbbert]

-fix warning with vs2019_clang, from_ticks() takes whole numbers. (nw) [smf-]
 * .\..\..\..\src\mame\machine\namco06.cpp(211,44): error : implicit conversion from 'double' to 'osd::u64' (aka 'unsigned long
    long') changes value from 0.5 to 0 [-Werror,-Wliteral-conversion] 91>..\..\..\..\..\src\mame\machine\namco06.cpp(211,44): error
    :                 m_nmi_timer->adjust(attotime::from_ticks(.5, clock()), 0, attotime::from_hz(clock() / divisor) / 2);
    91>..\..\..\..\..\src\mame\machine\namco06.cpp(211,44): error :                                     ~~~~~~~~             ^~

-simpsons: Correct video clocks [P. Bennett]

-tms9914: added SR & PP FSMs, typo fixed [fulivi]

-companyname correction (nw) [hap]

-Input cleanups (#6543) [Hydreigon]

-apple2: fix DHGR shift, NTSC artifact colors work with HLSL (GitHub issue #6308) [Colin Howell, R. Belmont]

-Namco custom fix (#6598) [Mike]
 * namco06: clarify timer delay is zero.
 * galaga: fix bootlegs
 * For both, set sub & sub2 reset lines
 * Wire up 51xx cs and rw lines for galaga bootlegs.

-Heavily improved emulation of GRiD Compass 1101 (#6599) [usernameak]
 * Changes:
   - added known dump checksums of 1101 BIOS
   - high-level emulation of GPIB disk devices
   - partial implementation of DMA (currently ignores ACCRQ so devices must have zero latency in order for it to work)
   - serial is now properly memory-mapped
   - modem stub in order to make system properly ignore modem device
   - it now boots without any patches and debug scripts
   - merged #6597 (needed in order to make disk devices work)
   - Still not implemented:
   - RTC/MACHINE_ID
   - modem
   - has problems with multiple disk devices working simultaneously (possibly BIOS bug because this BIOS had some problems with that
      on real device)

-gridcomp.cpp: Identify chip (nw) [AJR]

-compis.xml: Five new dumps [Rebecca Wallander]

-sgi_mips: add software list [Davide Cavalca]

-(nw) mame.lst: Fill in copyright year for a couple of Unico games [braintro]

-hp86: fixed a bug in key auto-repeat function (nw) [fulivi]

-misc demacroization (nw) [Ivan Vangelista]

-Consolidated code for pasing enum strings in (#6592) [npwoods]
 * src/frontend/mame/luaengine.cpp

-Move sprite delaying behavior into screen_vblank for some drivers (#6596) [cam900]
 * Move sprite delaying behavior into screen_vblank gaiden.cpp, tecmo16.cpp, suprnova.cpp : Move delayed sprite drawing function
    into screen_vblank suprnova.cpp : Use generic gfx layout, Fix CPU clock related to XTAL, Use device for screen
 * xtal.cpp : Add notes of super kaneko nova system (suprnova.cpp) XTALs
 * xtal.cpp: Further notes

-cischeat.cpp: add oki mirrors to Arm Champs II, fixing missing/erratic sounds [Angelo Salese]

-Added GAL20V8 support to the jedutil tool (#6603) [Kevin Eshbach]

-nscsi/cd: handle eject command for SGI drives [Davide Cavalca]

-tms9914: simplify handling of CIDS state (nw) [fulivi]

-(nw) I also replaced the IRIX 5.3 image with a cleaner one (Plextor, without C2 errors) [ClawGrip]

-z22: Add EEPROM; differentiate hardware better from MDT 60 (nw) [AJR]

-sgi_mips: new software list additions [Davide Cavalca]

-New working clone [braintro]

-Nuon softlist (#3190) [incog]

-sparc: remove unused file from when device was renamed (nw) [hap]

-nuon: rename to xml (nw) [hap]

-netlist: Fix clang-tidy warnings. (nw) [couriersud]

-netlist: More clang-tidy fixes. (nw) [couriersud]

-netlist: More clang-tidy fixes. (nw) [couriersud]

-netlist: fix some windows build issues in build/makefile. (nw) [couriersud]

-Netlist: Added 74163 to netlist. [Couriersud]

-netlist: improve const-awareness and tidy changes. (nw) [couriersud]
 * Identified a number of code locations which could accept const arguments.

-netlist: more code maintenance. (nw) [couriersud]
 * Make some calls private which were public before. Eliminate functions which would be executed only once. Make terminal reference
    functions in twoterm.h return const. Clearly identify the use cases which need a non-const ref to terminals.

-netlist: Fix "--cmd=listdevices". [Couriersud]
 * Broken for quite a while this is now working again.

-netlist: Fix documentation build on windows in makefile. (nw) [couriersud]
 * Documentation should be created on Windows using make mingw PARAMS=doc
   - Admittedly this is ugly and the makefile needs to be changed to use something like "make HOSTOS=windows doc".

-netlist: Fix some edge cases in static compile. (nw) [couriersud]
 * Comes with a new version of static_solvers.cpp

-kidniki: reduce namespace pollution. (nw) [couriersud]

-(nw) Also (somehow) sorted the list, merged the two "Freeware May 2000" CDs on the same entry and unified the entries name scheme.
 [ClawGrip]

-315-5838_317-0229_comp.*: Fix handlers (nw) [AJR]
 * Regrettably, offset must be included whenever mem_mask is specified to avoid ambiguity in overloaded calls.

-sgi_mips.xml:  Fix incorrect parent names and short names which exceeded 16 characters.  Now passes -validation (nw) [Scott Stone]

-i960dasm: add missing opcodes [SailorSat]
 * i960dasm: add missing opcodes [SailorSat]

-Some initial changes. [Aaron Giles]

-Added some missing infrastructure. Now TL081 shows up in device list. [Aaron Giles]

-Stub implementation of 566 VCO [Aaron Giles]

-netlist: add NE566 to netlist.lua. (nw) [couriersud]

-leonardo: figure out some io (nw) [hap]

-Fixed indenting in netlist.lua. (nw) [couriersud]

-sgi_mips: new software list additions (#6611) [Davide Cavalca]

-mc6845: Note (nw) [AJR]

-(nw) psi98.xml: added usage for kos boot; merged utils with kos since utils isn't bootable. [Robbbert]

-z29: Add skeleton for undumped keyboard; try (and fail) to make this work with the MDT 60 keyboard instead [AJR]
 * z22: Separate driver (nw)

-triforce.cpp replace vs4jc dump with RAW/2352 [MajorPBX]

-ddenlovr.cpp: corrected dips as per dip sheet and added dip locations [Guru]
 * astrcorp.cpp: minor metadata and notes update (nw)

-sgi_mips: new software list additions [Davide Cavalca]

-n64.xml: Document a few more cart PCBs [Rebecca Wallander]

-sgi_mips: new software list additions [Davide Cavalca]

-indy_indigo2: fix include ordering [Davide Cavalca]

-Add corrected MCU dump and emulation of Heath HE 191-3425 keyboard for Z-29 and MDT 60 [AJR, Al Kossow, Bitsavers]

-mdt60: Minor notes (nw) [AJR]

-mc6845: max visible lines might not be what really is displayed, see 8088mph (nw) [cracyc]

-vgmplay.xml: 24 new entries from most recent release [vgmrips.net, Tafoid]

-Changed default of Becker Port to be off [tim lindner]

-Fixed ROM fill routine [tim lindner]

-(nw) gimix.xml: added usage [Robbbert]

-(nw) taito_f3.cpp: Explain the recent Cleopatra Fortune bootleg [braintro]

-netlist: Add the NE566 as a macro device. [Couriersud]
 * The device can be found in nlm_other.cpp. Removed nld_ne566.* Added SYS_SW, SYS_SW2 and SYS_COMP. These are single switch,
    alternating switch and a analog comparator with digital outputs. Renamed RES_SWITCH to SYS_SW. Added example ne566.cpp in
    netlist/examples.

-Add 74393 device and unit test. [Aaron Giles]

-Remove explicit logging since it can be done on the command line via nltool. [Aaron Giles]

-netlist: add 393 to netlist.lua (nw) [couriersud]

-netlist: nld_log now writes out last value at end of run. (nw) [couriersud]

-netlist: Fix inclusion of examples in documentation. (nw) [couriersud]

-netlist: Fix a bug introduced by latest nld_log change. (nw) [couriersud]

-netlist: Readding accidentially delete nld_ne555.h. (nw) [couriersud]

-netlist: Removed more magic numbers from the code. (nw) [couriersud]

-netlist: more magic number removal. (nw) [couriersud]

-decide against using sensorboard interface for keypad chesscomputers (nw) [hap]

-small note (nw) [MetalliC]

-netlist: Fixed polarity issue in CCCS device [Colin Howell, Couriersud]
 * Note: This affects all use cases of CCCS. I have changed all uses in MAME.

-simpsons, k053260: Fix the pan, fix the interrupts, fix the general volume [O. Galibert, P. Bennett]

-Plug and Play work (#6609) [David Haywood]
 * new WORKING machines Millennium M505 Arcade Neo Portable Spielkonsole (Family Sport 100-in-1) [TeamEurope]
 * new NOT WORKING software list entries tvgogo.xml : Baseball (US) [Sean Riddle, David Haywood] tvgogo.xml : What-A-Mole (US)
    [Sean Riddle, David Haywood]
 * added internal NAND dump to didj [Sean Riddle, Clawgrip]

-hash/cgenie_cass.xml: Add Mega Pede (mega84) [Juergen Buchmueller]

-hash/cgenie_cass.xml: fix author/copyright (nw) [Juergen Buchmueller]

-dpb7000: Code cleanup, removed disused individual card devices, hooked up MFM disk image support. [Ryan Holtz, ZrX]

-Add missing discs to IRIX 6.5 [ClawGrip, Rampa]
 * Merged CDs that came on the same bundle and add features with metadata on all entries (nw)
 * Replaced some images with cleaner ones (Plextor, without C2 errors) (nw)

-novag sexpertc1 is version 3.0 (nw) [hap]

-netlist: Faster LM3900 model. [Colin Howell]

-netlist: Unknown parameters really should be fatal. [Couriersud]
 * Unknown parameters like Solver.ABCD now will cause a fatal error to be generated.

-netlist: Small improvement to visibility in four terms. (nw) [couriersud]

-pc1512.cpp: Simplify handler signatures (nw) [AJR]

-redalert, demoneye: Audio updates [AJR]
 * More accurate emulation of 555-based IRQ timing
 * Use 6821 PIA device to generate sound IRQ in Demoneye
 * Simplify handler signatures (nw)

-primo: Cleanups (nw) [AJR]
 * Make better use of object finders
 * Simplify handler signatures
 * Eliminate get_read_ptr

-mc1502: try to work around issues (nw) [cracyc]

-mc6845: use disable enable signal with machines that blank part of the screen [cracyc]

-netlist: Fix unknown parameter on ne566 and VS 2019 build. (nw) [couriersud]

-am2901b: Added a skeleton device for the AMD Am2901B 4-bit Bipolar Microprocessor Slice. [Ryan Holtz]

-Added a preliminary support for Arduino UNO booting by avr8 (#6624) [hiromasa]
 * avr8.cpp: Added ATMega328 support. [hiromasa]
   - Fixed m_pc to be initialized correctly when in the boot loader section.
   - Fixed bootloader size based on BOOTSZ specification.

-hash/cgenie_cass.xml: add Pole Position (polepo) [Juergen Buchmueller]

-netlist: Fix a long standing bug in proxy/family code. (nw) [couriersud]
 * This never materialized because proxies were always connected to GND in existing netlists. Now I ran into an example were it
    kicked in.

-netlist: Add simple ZDIODE model. [Couriersud]
 * The model is driven by three additional model parameters: NBV, IBV, BV.
   - Example code how to define a typical 7.5V Zener diode:
     * ZDIODE(ZD, "D(BV=7.5 IBV=0.01 NBV=3)")
       - or
         * NET_MODEL("A1234 D(BV=7.5 IBV=0.01 NBV=3)") ZDIODE(ZD, "A1234")

-netlist: change license for netlists in examples to CC0. [Couriersud]

-(nw) super80: cleanup (step 1) [Robbbert]

-Fix GCC 10 uninitialized struct warning (nw) [arbee]

-GCC 10 fix for sqlite3 (nw) [arbee]

-vtvideo.cpp: Implement pixel stretching of characters. [Oyvind Kolas]
 * This fills in 1px gaps in 80column wide mode, details which are lost unless the line-mode is double-wide. This reintroduces
    functionality lost in commit d0fa593c1ea1ad.

-startouch.cpp: Add note (nw) [ClawGrip]

-netlist: stand-alone build fixes and improvements. (nw) [couriersud]

-i86, i186, i286: Don't automatically clear IRQ state upon acknowledgment [AJR]
 * i86, i386, v20, v30 & related CPUs: Add exception hook for debugger gex command

-Add file missing from e9fe64ecdb7c4da51da9e595de75dfaa1db394a2 (nw) [AJR]

-leonardo: fix lockup and add buttonpanel leds (nw) [hap]

-m6801: Clear OCF when output compare register is rewritten, not read from [AJR]

-m68000: Add exception hook for debugger gex command [AJR]

-naomigd: Eliminate get_read_ptr (nw) [AJR]

-t11: More accurate emulation of interrupt acknowledgment; add PF and HLT interrupts [AJR]
 * (nw) This is accurate behavior for the T11, but it makes some of the driver changes a bit more awkward than they probably should
    be, given that one device is standing in for every CPU vaguely related to the PDP-11 family. Galaxy Game obviously wasn't
    written for a T11, and the BK-0010's K1801VM1 doesn't look like a lot like the T11 either.

-CoCo: Changed driver coco3dw1 to have a default on becker port. [tim lindner]

-netlist: Adding prandom.h (nw) [couriersud]

-netlist: Fix some tidy warnings. (nw) [couriersud]
 * moving over to clang-tidy-11 and enabling more warnings.

-cgenie_cass.xml: Some nits [Andreas Mueller]
 * polepo: It was me
 * polepo/spaceattack: Why not my full name
 * polepo/megapede: They should run on 16K / move to games section / add '/' to start
 * Signed-off-by: Andreas Mueller <schnitzeltony@gmail.com>

-netlist: Add two noise sources. [Couriersud]
 * The two sources act as voltage sources, though noise may also be injected as conductivy or current noise.
   - SYS_NOISE_MT_U: Mersenne Twister uniform noise SYS_NOISE_MT_N: Mersenne Twister normal noise
     * nld_sys_noise is templated:
       - using NETLIB_NAME(sys_noise_mt_u) = NETLIB_NAME(sys_noise)<plib::mt19937_64, plib::uniform_distribution_t>;
         * Thus the approach is scalable. The implementation is state save aware, and thus reproducible results are guaranteed.
           - An example use case is provided as well, see examples/noise.cpp.

-netlist: simplify pfunction state handling. (nw) [couriersud]
 * Removes dependency on pstate.h.

-hh_pic16: rename sfxchas to flash (nw) [hap]

-cischeat.cpp: fix scudhamm/armchmp2 irq and refresh rate to be measured 59.17 Hz instead of 30 [Angelo Salese]
 * Move armchmp2 specific I/Os into own state machine, and demoted it to MNW because the arm input not exactly understood and not
    supposed to require user input at POST anyway;

-cischeat.cpp: make it explicit that I know this is an anti-pattern (nw) [angelosa]

-Fix OS X build (implicit inclusion differences between standard libraries strike again) (nw) [AJR]

-hh*: use full companyname for Ideal (nw) [hap]

-Refocus debugger on CPU when one of its watchpoints is hit. This solution may be less than ideal for some multiprocessing
 environments where CPUs share spaces, but it prevents the focus from shifting unpredictably to whichever CPU happens to be next in
 line to execute (e.g. when synchronization for a soundlatch write aborts the original CPU's timeslice). [AJR]

-indy_indigo2: add another ip24 prom (#6625) [Davide Cavalca]

-Add PC to debugger exception hit message [AJR]

-Coco3: jostick button label fix [tim lindner]

-remove colon as a patch seperator [tim lindner]

-fix license tag in vtvideo.cpp, this was discussed previously with both copyright holders (nw) [Lord-Nightmare]

-apple2gs updates: [R. Belmont]
 * Fixed shadowing of //e-style RAMWRT writes to auxram (missing graphics in Cinemaware games)
 * Removed an unnecessary memory system trip for bank 01 RAM writes

-Add optional condition parameter to debugger gex command [AJR]

-Move some RC timing macros out of the core (nw) [AJR]

-mc1502: fix FDD motor control (github #6613) [MetalliC]

-apple2gs: respect $C029 monochrome DHGR switch. [R. Belmont]

-i86, i186, i286: Add byte registers to debugger state; improve tracking of previous PC for debugger [AJR]
 * i286: Don't clear INT state upon acknowledgment; add exception hook for debugger
   - i86: Correct a fortuitously harmless typo in state registration (nw)

-i86, i286: Update m_prev_ip (and therefore CURPC) after taking interrupt (nw) [AJR]

-netlist: Restructered the save state system. (nw) [couriersud]
 * This change makes state saving contract based. Objects which need to save state need to have the following template member:
   - template <typename ST> void save_state(ST &st) { /* Example */ st.save_item(m_p,   "m_p"); st.save_item(m_buf, "m_buf"); }
     * This member function is called when the object is passed to the state manager save function.

-i960dasm: rewrote disassembler [SailorSat]

-renaissa: add some i/o (nw) [hap]

-nemesis.cpp: fixed copy/paste error pointed out by Haze (nw) [Ivan Vangelista]

-apricotf.cpp: Add daisy chain abstraction to vector interrupts [AJR]

-vtvideo: Change the license on the header as well (nw) [AJR]

-6801: that's not "TOH" (nw) [hap]

-nec, v25: Add byte registers to debugger state; improve tracking of previous PC for debugger; use more NEC register names [AJR]

-pokey: Remove unnecessary stealth include (nw) [AJR]

-dmac_0266: misc fixes (nw) [Patrick Mackinlay]

-ncr5380n: rewrite (nw) [Patrick Mackinlay]
 * Nearly a complete rewrite, now working with news_68k but only cursory testing with other systems.

-news_68k: wip (nw) [Patrick Mackinlay]
 * NetBSD 9.0 installs and runs; NEWS-OS boots the kernel but hangs during startup sequence.
   - corrected timer logic
   - corrected floppy dma
   - connected irq 1 and 2
   - corrected dip switch mapping
   - mapped some graphics hardware

-scn2674: Delayed commands use display pointer address, not screen 2 address [AJR]

-Fix typos in PORT_CHAR definitions (#6642) [Frank Palazzolo]

-hooked up kicknrun MCU [dink] (#6639) [David Haywood]
 * - hooked up kicknrun MCU [dink]
   - split up kikikai class [David Haywood]
 * remove note (nw)
 * this IS demo sounds (nw)
 * core changes not wanted(?)

-Update hd6309.ops [tim lindner]
 * $1020 is an illegal opcode on the 6309. On the 6809 it is a rarely used form of LBRA. I tested on a real 6309 and $1020 vectors
    to Illegal.

-cit220p: Emulate serial keyboard, hooking up MCU and identifying most keys [AJR]

-pcd: fix pcx keyboard and display width (nw) [cracyc]

-(nw) game seems playable, as far as I understand the rules. Also added preliminary sound [Ivan Vangelista]

-vgmplay.xml:  Added 5 new entries [project2612.org, Tafoid]

-sgi_mips: new software list additions (#6623) [Davide Cavalca]

-netlist: Fix two nlwav bugs. (nw) [couriersud]
 * First one corrupted wav files produced on windows. The second one produced wrong sample integration results.

-netlist: fix validate. (nw) [couriersud]

-netlist: nlwav - new functionality. [Couriersud]
 * nlwav now supports 16 and 32 bit integer format (wav16s, wav32s) as well as 32 bit float format (wav32f). The "wav" format is no
    longer supported. Added support for high and low pass filtering the wav output. Dynamic volume adjustment (use "-a 0")
   - -hpboost can suppress spikes at the beginning of the file (<10ms)
   - The addition of the float format simplifies debugging significantly since it covers the whole dynamic format.
   - Added nlwav to the local VS 2019 build.

-raiden2.cpp: add U0342 PAL to ROM definitions [neSneSgB]
 * https://twitter.com/neSneSgB/status/1232115385303879680 Discussion starting here, I successfully dumped a .jed from a location
    test US Raiden 2, and confirmed that the dump worked on a final Raiden 2 PCB. The .jed is downloadable from that thread, and I
    converted it to a binary using jedutil to generate the CRC and SHA1.

-ht68k: Fix floppy boot for kos [AJR]

-New working clones [braintro]

-Made World Class Bowling Deluxe & World Class Bowling Tournament v1.40 clones of World Class Bowling.  The new working World Class
 Bowling Tournament v1.30 doesn't have the flash bowling and the backgrounds are red like WCB, Deluxe and v1.40T have flash bowling
 and a blue background. [braintro]

-compis.xml: Add 8 new software [FakeShemp]

-ncr5380n: exit infinite loop (nw) [Patrick Mackinlay]

-compis.xml: fixed following validation errors (nw) [Ivan Vangelista]
 * Errors: Software List device 'flop_list': compis.xml: skvallra part flop1 ROM label 'Far dataregister skvallra.mfm' contains
    invalid characters Software List device 'flop_list': compis.xml: skvallrak part flop1 ROM label 'Far dataregister skvallra
    (Komplement).mfm' contains invalid characters

-z80scc: don't invent data (nw) [Patrick Mackinlay]

-Fixed regression in peps0615 introduced in 635f469c7dd0b5166455bafeddb0e898b1081165, the game writes to the page buffer then sends
 a spurious start condition before the stop condition that writes the buffer. [smf]
 * Created i2cmem sub classes for all used device types, fixed the buffer sizes that were wrong, removed the methods for modifying
    the data & buffer sizes and changed the drivers to use the correct types. [smf]
   - Switched aa310 & ertictac over to use device/machine/pcf8583.cpp, which is not currently based on i2cmem.cpp but might be worth
      merging in the future. [smf]

-delta1: add note (nw) [hap]

-attotime: Add to_string() to get a human-readable version of the time [O. Galibert] 6522via: Correct vocabulary, raise cb2 on shift
 in to make open-collector work correctly [O. Galibert] mackbd: Fix/partially rewrite [O. Galibert] mac128: Make emulated keyboard
 work [O. Galibert]

-delta1: 1 variable was missing for savestate (nw) [hap]

-Thanks clang (nw) [Olivier Galibert]

-Add partial support for all IAC messages [Damian Rogers]

-(nw) nes.xml : guardlgn and clones never worked, so marked as unsupported. [Robbbert]

-m68kfpu: add fmod instruction (nw) [Patrick Mackinlay]

-nw: 6309 fix my fix [tim lindner]

-New NOT_WORKING software list additions (#6649) [ClawGrip]

-(nw) Also added a partial dump (missing one CD) of IRIX 6.5.13 [ClawGrip]

-sgi_mips: new software list additions [Davide Cavalca]

-Fix for UI Paste with the Default Serial Terminal (#6648) [Frank Palazzolo]
 * This fixes the ability for one to use UI Paste with the Default Serial Terminal.  Without this fix, 8 characters @^&()\:" cannot
    be pasted from the UI.

-New working machines [Frank Palazzolo]
 * Grant Searle's Simple Z80
 * Grant Searle's Simple CP/M
 * Grant Searle's Simple 6502
 * Grant Searle's Simple 6809

-cgenie_cass.xml:  Fixed incorrect SHA1 hash for polepos (nw) [Scott Stone]

-sgi_mips.xml:  Fixed -validate error regarding duplicate description in use (nw) [Scott Stone]

-(nw) fixed the build. [Robbbert]

-c140.cpp updates [cam900, superctr]
 * Update data bus behavior and support 12 bit PCM, Verified from assault(namcos2) schematics Add/Update notes, Use shorter/correct
    type values, Fix address/data bus bits, Mordernize save states, Fix spacing, Reduce unnecessary lines, duplicates, Move little
    endian interface in c140.h namcos2.cpp, namcos21*.cpp: Fix c140 ROM loading, mirrored maps
 * Move bankswitch behaviors in each drivers, Reduce noisy sound regression in previous commit remain in vgmplay for compatiblity
 * Split C219 subclass
 * Implement some features from QuattroPlay.  Add notes, Split sound stream update and host interface

-Replaced Vsmile Motion BIOS with a correct dump [Sean Riddle, TeamEurope]

-Revert "c140.cpp updates [cam900, superctr]" [R. Belmont]
 * This reverts commit 5852df508676e7976234956434cad2905a7cf8e5.

-netlist: add elif processing to preprocessor. [Couriersud]

-sgi_mips.xml: Fix spacing (nw) [ClawGrip]

-mac128: cleanup and removal of keyboard HLE (nw) [arbee]

-(nw) super80 : save state support [Robbbert]

-(nw) super80: no error, but variable doesn't always exist there. [Robbbert]

-Fix focus command (nw) [AJR]

-chess* misc cleanup (nw) [hap]

-Fix clang nltool build [-Werror,-Wunused-private-field] (nw) [AJR]

-sf: Add the i8751 dump, remove the protection HLE [O. Galibert, FabC]

-c140.cpp updates [cam900, superctr]
 * Update data bus behavior and support 12 bit PCM, Verified from assault(namcos2) schematics
 * Add/Update notes, Use shorter/correct type values, Fix address/data bus bits, modernize save states, Fix spacing, Reduce
    unnecessary lines, duplicates, Move little endian interface in c140.h
 * Move bankswitch behaviors in each drivers, Reduce noisy sound regression in previous commit remain in vgmplay for compatiblity
 * Implement some features from QuattroPlay
 * Split sound stream update and host interface

-Debugger - add `-debuglog` option to log debug console output to file [Stephen Oberholtzer]
 * When this option is specified, all console output is echoed to a log file.
   - Some caveats/limitations:
     * The file-open process was copied from -log, so it has the same limits
     * Filename is hard-coded (debug.log)
     * File is overwritten if it exists
     * File is opened during emulation initialization
     * Thus, the file is cleared if you invoke the "Hard Reset" debugger command
     * Probably some other details I don't know about
     * Logging works as such: When a string is appended to the scrollback buffer, it is also written to the log file.
     * Some commands forcibly wrap their output (e.g. `help` to 80 columns.) Because this wrapping is done inside the scrollback
        buffer, the text written to the file is not wrapped.
     * This can be seen with `help execution`.

-fix HFE disk write [Klaus Kaempf]
 * this fixes https://mametesters.org/view.php?id=7526

-phantom: missed one (nw) [hap]

-nes.xml, famicom_flop.xml, msx1_car.xml: minor metadata fixes [quasiscroto]

-sgi_mips.xml: Typo (nw) [ClawGrip]
 * (nw) Sorry, my fault

-pic8259: z80/8085 slave pics need 32 bit vectors (nw) [cracyc]

-qx10: new charrom dump (nw) [cracyc]

-ncr5380: minor fixes (nw) [Patrick Mackinlay]
 * phase match isn't latched
 * corrected eop handling

-netlist: move nld_power_pins to nl_base.h (nw) [couriersud]
 * This removes a large number of dependencies on nlid_system.h.

-netlist: fix dependency building for nvcc build. (nw) [couriersud]

-netlist: reduce usage of NETLIB_CONSTRUCTOR_DERIVED. (nw) [couriersud]
 * Reduce the usage of NETLIB_CONSTRUCTOR_DERIVED to implement dip package objects. This aligns the programmatic approach with the
    approach used in the macro folder, i.e. using netlists.
   - Untangle model definition and interpretation as well.
     * This changes are a first step in aligning models and families and thus simplify the source further.

-netlist: bug fixes and maintenace. (nw) [couriersud]
 * nlwav: remove m_channels completely
 * nltool: add more comments to static_solvers.cpp
 * clang make: add -Wunused-private-field
 * Also updated static_solvers.cpp.

-z80scc: clear IUS not IP (nw) [Patrick Mackinlay]

-6522via: Don't lose sync on edge count when the serial clock is external [O. Galibert] mac: Don't go out-of-bounds on palette
 writes [O. Galibert]

-adb: Fix return when no data [O. Galibert]

-news_68k: wip (nw) [Patrick Mackinlay]
 * SCSI irq is probably routed through dmac, which has no eop.

-Fix compile. (nw) [couriersud]

-Fix colors in williams games. (nw) [couriersud]
 * This fixes color issue introduced by mysticm changes. I left mysticm as it was.

-gp9001.cpp : Fix MT 07642 [cam900]

-netlist: Fix VCCS definition. (nw) [couriersud]

-CoCo: Added Disto RAM cartridge (#6664) [tim lindner]
 * adding disto ram cart
 * logging update
 * minor change stil no worky
 * DSTOTEST.BIN passed tests.

-i8085: Stop in debugger after an interrupt is taken, not immediately before [AJR]

-nscsi hle: Reset on reset [O. Galibert]

-fp6000: Rewrite driver [Dirk Best]
 * Add and hook up interrupt controller and timer
 * Add keyboard support (HLE)
 * Clean up and improve graphics handling
 * Add initial cassette support (not working)
 * Add centronics printer support
 * Add beeper
 * More info to dip switches

-v4dealem: Fix gfxdecode color amount (nw) [Dirk Best]

-pic8259: Emulate three-cycle acknowledge for non-8086 mode [AJR]

-add init to convert twinbeeb bubble dump into something the driver can actually use (nw) (#6646) [David Haywood]
 * add init to convert twinbeeb bubble dump into something the driver can actually use (nw)
 * note checksum of reencoded data created by our function (nw)

-xbox_nv2a.cpp: more precise implementation of rcc and rcp vertex shader instructions (nw) [yz70s]

-Remove 2 comments about correct changes (nw) [yz70s]

-subsino2.cpp: MT7634 and MT7635 (nw) [Ivan Vangelista]

-circus.cpp, subsino.cpp: amendments to my previous commits (nw) [Ivan Vangelista]

-(nw) fp6000: cassette save working [Robbbert]

-ladybug.cpp: MT7629 (nw) [Ivan Vangelista]

-tx1.cpp: adjusted analog steering [Guru]

-pacman.cpp: MT7591 (nw) [Ivan Vangelista]

-Fix recent debugger regression with systems such as fi6845/fi8275 where a DMAC or other non-focusable executing device is scheduled
 first of all (nw) [AJR]

-slapfght.cpp: MT07198 (nw) [Ivan Vangelista]

-megadriv.xml: MT07171 (nw) [Ivan Vangelista]

-8080bw.cpp: MT06898 (nw) [Ivan Vangelista]

-qx10: fix display clocks (nw) [cracyc]

-refactor seta2.cpp in preparation for adding zooming (nw) [DavidHaywood]

-i8085: Interrupt updates [AJR]
 * Eliminate special-casing and three-in-one loading of CALL (and JMP) vectors in favor of fetching each byte in succession like a
    normal instruction
 * Add INTA callback, called only when INTR (and not any other interrupt) is acknowledged
 * Enforce that TRAP (NMI) must be held at a high level until acknowledgment
 * pic8259: Move recently-introduced inta_call hack down into the only Z80-based driver that still needs it. The hardware-accurate
    way of synthesizing multiple INTA pulses in a Z80 system (which involves rerouting what would otherwise be normal memory reads)
    is not so simple and deservedly rare. (nw)

-c352.cpp: Allow byte accessing, Modernize save states Add notes, Use shorter/correct type/argument values [cam900]

-(nw) tdv2324: validation error [Robbbert]

-Dragon64: connected ACIA to RS232 system (#6665) [tim lindner]
 * Hooked acia to format core, and connected intruupt.
 * Fixed some spacing
 * Helpfull logging
 * removed logging
 * Comment cleaning

-CoCo: added Disto no-halt disk controller (#6632) [tim lindner]
 * initial stab at the no halt floppy disk driver controller
 * removed the drive 3 and 4 like they were before
 * Clean up
 * comment fixes
 * comment fixes

-(nw) super80: update notes [Robbbert]

-(nw) jr100: added natural keyboard, updated notes. [Robbbert]

-monty, microvision: blend mode was backwards (nw) [hap]

-(nw) jr100: corrections to the key names [Robbbert]

-monty: modules were wrong way around for mmonty (nw) [hap]

-sgi_mips: new software list additions [davide125]

-New working software list additions (#6670) [ClawGrip]

-fix regression with partial revert of d3196bd99159f077316cf71e8536f41f75769ab0 (nw) [smf-]

-6801: remove hack, the real cause of adam locking up at boot was fixed recently with TCSR_OCF clear (nw) [hap]

-6801: tcsr upper 3 bits are read-only (nw) [hap]

-Add thunderh's I/O M68k stub [Hydreigon223]

-timers: Periodic timers are not adjustable, be a little more affirmative about it [O. Galibert]

-ddenlovr.cpp: rongrong dipswitches/diplocations, default palette to all_black (nw) [angelosa]

-Various XML format fixes including some comment placement fixes (nw) [Scott Stone]

-psion: does not need direct access to internal mcu reg (nw) [hap]

-netlist: remove family_setter and other maintenance. (nw) [couriersud]
 * removed family_setter
 * naming alignment, family becomes model.
 * architecture cleanups.)
 * reviewed reset logic.
 * pass truthtable family as string to factory.
 * This is another set of changes on the path to align logic families and models. As a side effect, the object model now makes a
    clear distinction between analog models and logic models.
 * The number of macros in nl_base.h has decreased significantly due to these changes.

-namcos22.cpp: Redumped bad dirtdash Point ROM from a different PCB (one was internally bad on the Dirt Dash DT2 Ver.A PCB). Updated
 documentation with many changes including measuring DSP and MCU clocks. [Guru]

-mac.cpp updates: [R. Belmont]
 * For machines with Egret or Cuda, don't autostart the 68k, let the 6805 do it
 * Fix maciivx/maciivi to start up

-seta2.cpp - start looking at y zooming (nw) [David Haywood]

-(nw) peplus.cpp: Minor doc update for CG2294 set [braintro]

-mac.cpp updates [R. Belmont]
 * Fixed maciisi booting
 * Fixed maciivx/maciivi ID bytes, System 7.1 now shows the correct model

-docastle.cpp: added PCB number for dowild (nw) [Ivan Vangelista]

-netlist: provide more information for warning ... [Couriersud]
 * on connecting two terminals already on the same net.

-New working software list additions [ArcadeShadow]
 * ibm5170: Police Quest in Pursuit of the Death Angel (VGA release), Silverball 2 Plus

-mame.lst: Fix build (nw) [AJR]

-namcos22: mark alpinesa with unemulated protection (nw) [hap]

-mingw: get rid of missing end-group warning (nw) [hap]

-seta2.cpp - y zoom improvements (nw) (#6677) [David Haywood]
 * fix yzoom issue (nw)
 * improve penbros, break grdians (nw)
 * test grdian improvement (nw)
 * minor adjustment (nw)
 * tweak (nw)
 * seta2.cpp - y zoom improvements (nw)

-(nw) kramermc: cleanup, added sound, added savestate, added natural keyboard. [Robbbert]

-ibm5170 New working software list additions [ArcadeShadow]
 * Speed Racer in the Challenge of Racer X, Subwar 2050 - The Underwater Combat Simulation

-nes.xml: MT07551 (nw) [Ivan Vangelista]

-netlist: logic devices now support model parameter. [Couriersud]
 * This a big forward to allow reuse of code. Still a longer way to go but the foundation there.
   - Also brings quite a number of simplifications and dead code removal.

-netlist: more family/model alignment. (nw) [couriersud]
 * Also remove dead code and dead comments.

-netlist: Added undef support to the preprocessor. [Aaron Giles]

-dpb7000.cpp: Fix insidious coding error (nw) [AJR]
 * Leaving out the termination resulted in the following wonderfully misleading error message when trying to so much as list or
    validate the driver on my OS X build:
   - > Assertion failed: (!owner), function create_driver, file ../../../../../src/emu/device.h, line 214.

-netlist: fix output stage on NE566. (nw) [couriersud]

-sexpert/diablo: like with monty, output screen in b/w and let artwork decide lcd color, also means MAME screen brightness slider
 works with these screens now (if above 1.0) (nw) [hap]

-microvision: workaround MT7586, no visible change (nw) [hap]

-vgmplay.xml:  Added 15 new entries from most recent release [vgmrips.net, Tafoid]

-warpwarp: sos by KK Tokki and screen color was inverted (nw) [hap]

-m10: correct metadata for andromed (nw) [hap]

-galaxian: don't mark irem version as bootleg (nw) [hap]

-(nw) midxunit.cpp: correct description (#6682) [cam900]

-dkong: change dkong3 difficulty string to numbers (MT07648)  (nw) [hap]

-gaelco: confusing Lives setting for biomtoy (nw) [hap]

-naomi.cpp: Naomi2 USA BIOS Rev.C dumped [xuserv]

-seta2.cpp - further work on zooming (nw) [David Haywood]

-gal3.cpp, namcos21*.cpp: Fix c140 input clock source according to crystal, add notes [cam900]

-handle some other zoom case (penbros end of level, attract modes of hunting games etc.) (nw) [DavidHaywood]

-sgi_mips: new software list additions [Davide Cavalca]

-model3.cpp: screen raw (nw) [angelosa]

-naomi.cpp: Naomi2 Korea BIOS Rev.B dumped [xuserv]

-note (nw) [MetalliC]

-netlist: Extended functionality and code cleanup. [Couriersud]
 * working macro level parameters
 * simplified code significantly
 * fixed a number of hidden issue
 * dead code removal
 * It is now possible to define netlist level parameters using:
 * static NETLIST_START(chip) DEFPARAM(parameter, 123) RES(R1, $(@.parameter)) .... NETLIST_END()
 * NETLIST_START(main)
 * chip(X1) PARAM(X1.parameter, 1000) ... NETLIST_END()
 * This will pass on 1000 to R1 as a parameter.
 * "@." will resolve to the current namespace. In this case it is X1, thus "X1.parameter. This is during parsing. During evalution,
    i.e. device creation, $(X1.parameter) is evaluated to 1000.
 * This also means, that global parameters are possible and accessible ...
 * DEFPARAM(P, 234) ... RES(R1, $(P))
 * or going forward
 * RES(R1, 1000) CAP(C1, 1.0 / $(R1.R))
 * This opens up the path to more possibilities ...
 * static NETLIST_START(DM9456_DIP) DEFPARAM(MODEL, "74XX") DM9456_GATE(X1) DM9456_GATE(X2) PARAM(X1.MODEL, $(@.MODEL))
    PARAM(X2.MODEL, $(@.MODEL)) ... NETLIST_END()
 * NETLIST_START(main)
 * DM9456_DIP(X1) PARAM(X1.MODEL, "LS74XX") ... NETLIST_END()
 * The code also has been prepared to allow something along the lines of
 * LIBENTRY_MODEL(DM74LS00_DIP, DM7400_DIP, "LS74XX")
 * to define a LS version on top of an DM7400_DIP bare TTL implementation. This however will need more efforts to existing devices
    to honour some timing adjustment in the model definition. It will already honour different output specifications between LS
    series and bare TTL if connected to analog components.

-netlist: commit missing file (nw) [couriersud]

-New working clone [braintro]

-ergo201: More driver work, preparing for keyboard emulation (nw) [AJR]

-New machines marked as NOT_WORKING (#6686) [ClawGrip]

-(nw) I've renamed the aready existing dump to "IQ Unlimited (Germany)" (this new one is the English version) and marked it as a bad
 dump, as it seems underdumped (half sized). [ClawGrip]
 * Add "Integrated Systems Inc." (nw)
 * Rename "iqunlim"->"iqunlimgr" and add "iqunlim" (nw)

-New machines marked as NOT_WORKING (#6681) [ClawGrip]

-Add 'vtechtvsgr' and rename 'vtechtvs' -> 'vtechtvssp' (nw) [ClawGrip]

-apple2: Allow attaching two images to a single CFFA2 [R. Belmont]

-sgi_mips: fix a few issues [Davide Cavalca]

-fidel_eag68k: don't overclock v11 by default, add note about wrong cpu timing (nw) [hap]

-056230 doc updates (#6680) [Hydreigon]
 * Konami 056230 documentation updates

-device.cpp: initialized a couple of variables, fixes numerous bugs in devnoclear debug build with bios roms in devices (nw)
 [Ivan Vangelista]

-(nw) pulsarlb: update [Robbbert]

-sshot: correct cpu type (nw) [hap]

-(nw) super80: take debug side effect into account. [Robbbert]

-jaguar.cpp: Add notes of debugging feature [cam900]
 * GPU code can be executed out of external RAM, Reference: Midsummer Technical Reference Manual

-i186.cpp: initialized variable as needed to avoid timing regression in some leland.cpp games in debug devnoclear builds (nw)
 [Ivan Vangelista]

-(nw) super80: more cleaning [Robbbert]

-atarisy1: some of the bios roms were wrong (nw) [hap]

-atarisy1: roadblstc1 also expects LSI bios (nw) [hap]

-(nw) sb8085: notes [Robbbert]

-ams40041: Move PC1512 VDU emulation down into device [AJR]

-st_flop.xml: Add Street Fighter II: The World Warrior [Rebecca Wallander]

-simplified some handlers (nw) [Ivan Vangelista]

-i8155: Allow writes to port registers to alter latches whether or not output mode is configured (nw) [AJR]
 * ams40041: Use make_unique_clear to initialize video RAM (nw)

-cp1: use pwm_display for 7segs, regression fixed now (nw) [hap]

-QA a selection of Amiga OCS games (nw) [angelosa]

-some more handlers simplified (nw) [Ivan Vangelista]

-pc1512: Remove PC_FDC_XT (nw) [AJR]
 * i8155: Turn logging back off (nw)

-apple2gs.cpp: respond to keyboard mode-set [Peter Ferrie]

-(nw) amigaocs_flop.xml: validation error [Robbbert]

-(nw) eacc: small cleanup [Robbbert]

-(nw) zorba: removed no-longer-needed comment. [Robbbert]

-(nw) i8085.cpp: Remove leftover logerror() (#6698) [Frank Palazzolo]

-(nw) instruct: added pwm device [Robbbert]

-(nw) 68ksbc: save some memory [Robbbert]

-lots of files: simplified handlers (nw) [Ivan Vangelista]

-(nw) savia84: added pwm device [Robbbert]

-(nw) instruct: kbd correction [Robbbert]

-dvp1: Add some logging (nw) [AJR]

-(nw) minor matters [Robbbert]

-ssystem4: add internal layout (nw) [hap]

-eurit30: Add LCD screen [AJR]

-savia84: simplify prev commit (nw) [hap]

-various drivers: simplified some more handlers (nw) [Ivan Vangelista]

-New working clones (#6697) [ClawGrip]

-eurit30: Underclock to keep accurate time (nw) [AJR]

-hd44780: Allow function set register to be updated again right after changing the data length [AJR]
 * eurit30: Eliminate busy timing hack (nw)

-eurit30: Add preliminary inputs [AJR]

-sgi_mips: new software list additions [Davide Cavalca]

-m37710: Rename some registers to agree with Mitsubishi documentation [AJR]

-am79c30: Correct a few debug logging statements (nw) [AJR]
 * eurit30: Add two more buttons (nw)

-(nw) cvicny: added pwm device [Robbbert]

-eurit30: Add two more keys (nw) [AJR]

-(nw) babbage: added pwm device [Robbbert]

-(nw) datum: added pwm device [Robbbert]

-(nw) dauphin: added pwm device [Robbbert]

-fix for vs2019, expression does not evaluate to a constant (nw) [smf-]

-(nw) emma2: added pwm device [Robbbert]

-(nw) mk14: added pwm device [Robbbert]

-(nw) pro80: added pwm device [Robbbert]

-datum,emma2: small fix to matrix() calls (nw) [hap]

-netlist: code cleanup and development stage tristate [Couriersud]
 * Code cleanup to better separate the following stages:
   - parsing
   - setup
   - run
   - In addition preliminary native tristate support was added. Not yet production ready, please don't use it.

-netlist: Add support for empty #defines to preprocessor. [Aaron Giles]
 * Also add detection and reporting of re-definitions.

-netlist: Add 74377/74378/74379 devices to netlist. [Aaron Giles]

-netlist: Re-do the 74377/8/9 as macros. [Aaron Giles]

-netlist: Fix typo in netlist macros. (nw) [Aaron Giles]

-hd44780: Add Epson SED1278-0B variant with European character generator ROM [AJR]

-(nw) tk80, zapcomp: minor cleanup [Robbbert]

-renaissa: add lcd screen (nw) [hap]

-netlist: fix breakout SLOW_BUT_ACCURATE. (nw) [couriersud]

-compis.xml: add seven more dumps [Rebecca Wallander]

-various drivers: READ/WRITE macros removal (nw) [Ivan Vangelista]

-(nw) tec1: added pwm device, added 74c923 device instead of custom code. Corrected scan rate in 74c922 device to fix random F
 characters. [Robbbert]

-mm74c922: Fix typo in device name (nw) [AJR]
 * eurit30: Yet one more key (nw)

-a last small bunch of macro removals before the week-end (nw) [Ivan Vangelista]

-pc2000.cpp: Move 'pc2000s' to use a SED1278-0B instead of an HD44780 (nw) [ClawGrip]

-netlist: Added devices CD4013, CD4069, CD4070 [Frank Palazzolo]

-jaguar.cpp updates [Angelo Salese]
 * move i/o handlers to specific maps, untangle register array usage, to be completed
 * Nuke duplicate I/O accesses, rename to iobus_r/w, make go_w to be an actual line
 * Fix addqmod & subqmod modulo mask for DSP
 * Refactor TOM to host CPU function, and fix GPU irq lv 3 when a GPU object is encountered. Fixes mutntpng and atarikrt booting
 * Fix Jaguar irq line to 2, trusted
 * Start reworking the blitter
 * Relicensed to BSD

-csilver: identified 3 bad bits in MCU dump, hooked up MCU [dink]

-(nw) fixed mess build: jaguar [Robbbert]

-(nw) merged tec1 in with the other trainers. [Robbbert]

-dec8.cpp: Apply changes discussed in #6699, restoring coin-up sound (nw) [AJR]

-(nw) pulsarlb: let's try a tap handle [Robbbert]

-a little more macro removal (nw) [Ivan Vangelista]

-(nw) super80: reworked the address maps again [Robbbert]

-(nw) c10: added tap [Robbbert]

-novag_presto: rename driver file (nw) [hap]

-(nw) more minor matters [Robbbert]

-redalert.cpp: various fixes [Tomasz Slanina, Angelo Salese] (#6706) [Angelo Salese]
 * Panther: fix input labels, mark ROMs as bad, volum (sic) lever is vertical not horizontal
 * Reduce input defs
 * Panther: communication hand-shake, fix audio mapping, emits a few sounds
 * Quick QA
 * Demoneye-X: better colors
 * Demoneye-X: add bitmap layer
 * Demoneye-X: fix drawing order, fix tile banking

-unsp: Added DIVQ and extended BIT_OP opcodes. [Ryan Holtz]

-namconb1.cpp updates: [cam900]
 * Reduce duplicates, move virtuals under protected:, use shorter/correct type values, fix spacing
 * Convert sprite bank delaying behavior into unique_ptr
 * Remove unnecessary device

-novag_micro2: change npresto/nocto to nmicro2 (nw) [hap]

-ibm5170: New working software list additions [ArcadeShadow]
 * ibm5170: New working software list additions Roberta Williams' Laura Bow in "The Dagger of Amon Ra", Leisure Suit Larry 1: In the
    Land of the Lounge Lizards (VGA release), Leisure Suit Larry 1: In the Land of the Lounge Lizards (EGA release)

-(nw) basic52: cleaned up, added sound, bypassed baud auto-detect. [Robbbert]

-netlist: rewrite rom devices from scratch. [Couriersud]
 * Thanks to Aaron Giles who made me think about a different approach.
   - This is a rewrite from scratch for rom devices. It uses a generic template to implement rom devices which is used together with
      a description struct to define a rom device. This leads to highly efficient code since all information is available at compile
      time.
     * This is also a step forward to support tristate outputs. All rom devices covered by this approach have tristate or open
        collector outputs and thus all code changes to support tristate outputs can now be made consistently in one file.

-netlist: Fix cd4013 implementation and include it in compile. (nw) [couriersud]

-selz80: Fix keyboard (MT 7657) [AJR]

-peyper.cpp: Simplify handler signatures; mask SL for reads (nw) [AJR]
 * turbo.cpp: More likely 8279 clock (nw)

-(nw) selz80: added pwm device, corrected clocks [Robbbert]

-sun4c_mmu: Improved cache behavior, though SunOS and Solaris still fail. [Ryan Holtz]

-ibm5150: New working software list addition [ArcadeShadow]
 * ibm5150: Eye of Horus

-sun4cmmu: Isolated memory logging behind a #define, nw [Ryan Holtz]

-i7000.cpp, mmd2.cpp: Simplify handlr signatures; correct 8279 handlers (nw) [AJR]

-i8279: Keyscan overhaul [AJR]
 * Improve handling of multiple key depressions
 * Emulate debounce cycles (emulation partly disabled due to MAME updating inputs only once per frame)
 * Add switch closed status flag for sensor matrix mode

-(nw) junior: added pwm device [Robbbert]

-sparc: Fixed FPU exception handling and IU interlocking. All SPARCstation 2 tests pass. [Ryan Holtz]

-crazybal.cpp: added [TTL] to the title for consistency with the other CPU-less games in MAME (nw) champbas.cpp: added PCB numbers
 for exctsccra set (nw) [Ivan Vangelista]

-IMGTOOL: Added Dragon DOS module [tlindner]

-audio/8080bw.cpp: periodic timer can't be adjusted (nw) [Ivan Vangelista]

-(nw) vcs80: added pwm device. [Robbbert]

-arcade.flt: added crazybal.cpp, which I had forgotten. Thanks to MASH (nw) [Ivan Vangelista]

-netlist: Add working 74125 and 74126 implementations. [Couriersud]
 * These tristate buffers natively support tristate outputs. For use cases with fixed enable inputs the devices support a parameter
    FORCE_TRISTATE_LOGIC which if being set to 1 makes the device behave like a logic output.
   - Added additional syntax and consistency checks for tristate outputs. Updated the example and added dip implementations
      including documentation.

-netlist: improve typesafety for source locations. (nw) [couriersud]
 * During object creation netlist tracks the source files which provide object creation. This is later used e.g. by nltool to create
    documentation from source.

-Fix compile. (nw) [couriersud]

-CoCo: fix  memory when in ROM mode. This gets cartridged working again. (nw) [tim lindner]

-sun4cmmu: Fix hang, nw [Ryan Holtz]

-demoted machine means demoted machine, not "let's promote it again for the sake of it" [Angelo Salese]
-https://youtu.be/uVZ4ichJJYU?t=6229

-further macro removal work (nw) [Ivan Vangelista]

-74S127 outputs are numbered starting at 0. [Aaron Giles]

-Added missing definition. [Aaron Giles]

-Add 7421 device. [Aaron Giles]

-a little more macro removal (nw) [Ivan Vangelista]

-nlm_ttl74xx.cpp: Fix clang build [-Werror,-Wunused-function] (nw) [AJR]

-i8279: Fix lockout #if (nw) [AJR]
 * maygayv1.cpp: Minor cleanups (nw)

-uPD765 family updates [AJR]
 * dp8473, pc_fdc_superio: Unmap registers not actually provided
 * upd72065, i82072, smc37c78: Increase number of steps for recalibrate command
 * wd37c65c: Duplicate write protect flag in SR3

-ibm5170: New working software list addition [ArcadeShadow]
 * Formula One Grand Prix (Euro)

-upd765: Move PS/2-class functionality out of base device (nw) [AJR]

-n82077aa, pc8477: SRA and SRB are not mapped in AT mode (nw) [AJR]

-unsp: Added support for Ext DS_Indirect opcodes. [Ryan Holtz]

-pc8477a, tc8566af: Increase number of steps for recalibrate command [AJR]

-more macro removal (nw) [Ivan Vangelista]

-emumem: Slight speedup [O. Galibert]

-emumem: Another slight speedup, implemented on the 680x0 for now [O. Galibert]
 * memory_access_specific is declared and used exactly like memory_access_cache, but does not cache.  It does, however, shortcut the
    virtual call into address_space, so that's one layer of call less. Gives another nice speedup for accesses with bad locality
    (e.g. anything that's not opcodes), at the expense of having a specifically typed object in the class.  Should do well for cpus
    in general, drivers can keep using the address_space access calls for easier logistics.

-(nw) mkit09: added pwm device [Robbbert]

-upd765: Fix copy/paste mistake (nw) [AJR]

-upd765: Fix another copy/paste mistake (nw) [AJR]

-(nw) removed myself from some machines [Robbbert]

-m6809/konami.ops: Fixed broken ROLD/RORD opcodes [RndMnkIII]

-another bunch of macro removals (nw) [Ivan Vangelista]

-6502: correct device names (nw) [hap]

-ax80: Correct CPU type (nw) [AJR]

-sun4: Make use of multiple address spaces in the SPARC core rather than having the MMU handle it all. [Ryan Holtz]

-naomi.cpp: dumped Namco JYU2/SWP JVS I/O board firmware [lukemorse1]

-oops, wrong place (nw) [MetalliC]

-wd_fdc: Improve HLD behavior, always activating output at start of type II & III commands [AJR]

-jedutil updates: [keshbach]
 * Initial support for viewing the logic equations of the PLS100, 82S100, PLS101 and 82S101.
 * Initial support for viewing the logic equations of the PLS100, 82S100, PLS101 and 82S101.
 * Added support to view the the logic equations of the PALCE22V10 device
 * Improved the documentation on the Magix game and the undumped PAL's (security fuses blown)
 * Added PAL22V10 as another device that is equivalent to ythe PALCE22V10 device.
 * Added initial registration test for the PALCE22V10/PAL22V10 devices
 * Adding PAL22V10 combinatorial regression test data.
 * Updated jedutil with a new command that will take a jed file and list the devices that the jed file could represent
 * Initial work on supporting the GAL20V8 device.
 * Adding an initial regression test for the GAL20V8.
 * Tweaked the function to print text to handle the end of line character.
 * Fixed some mis-configurations of the GAL20V8 device.
 * Added regression tests for the GAL20V8 device.
 * Fixed the output of the GAL20V8 when viewing a jed in simple mode to properly display outputs as also being inputs for certain
    pins
 * Fixed the output of a GAL16V8 device in Simple Mode to mark relevant output pins as providing feedback as documented in the
    datasheet.
 * Corrected the output feedback state when in simple mode for the GAL16V8 and GAL20V8 devices.

-netlist: improve timing accuracy for sound devices. [Couriersud]
 * Better alignment between netlist_time and attotime

-netlist: simplify factory call structure. (nw) [couriersud]
 * This change will make it a lot easier to add enhanced functionality to the factory infrastructure. Using integral constants also
    improves linking stability.

-netlist: improve syntax of generic device descriptors. (nw) [couriersud]

-netlist: Add tristate support for rom devices. [Couriersud]
 * Rom and prom devices now properly support tristate outputs. Native OC output still on the todo list.
   - In addition this commit fixes a number of bugs around dealing with macro level parameters and improves documentation by adding
      a parameter table.
     * Also srcclean.

-fidel_sc6: update notes (nw) [hap]

-Remove binary files that were inadvertently committed previously, nw [Ryan Holtz]

-(nw) sorcerer: added tap; cleanup [Robbbert]

-(nw) sorcerer: added back F4 display of PCG. [Robbbert]

-(nw) sorcerer: save state support [Robbbert]

-wd_fdc: Fix logerror messages; turn logging back off (nw) [AJR]

-sorcerer: new bios monitor 1.2 (thanks to exidyboy) [Robbbert]

-(nw) sorcerer: fixed comments [Robbbert]

-another bunch of READ* / WRITE* macros removal (nw) [Ivan Vangelista]

-Fix log messages and only log error by default [Frank Palazzolo]

-sparc: Use memory_access_specific for a minor speedup, nw [Ryan Holtz]

-(nw) mycom: removed writes to regions [Robbbert]

-devices/bus: a few macro removals (nw) [Ivan Vangelista]

-added varthb2 [TwistedTom]

-exelv.cpp, newbrain.cpp: Simplify handler signatures; modernize logging (nw) [AJR]

-atarigen: Transfer legacy slapstic handling routines to device (nw) [AJR]
 * slapstic: Move header file to src/mame/machine (nw)

-toobin.cpp: Note (nw) [AJR]

-note (nw) [MetalliC]

-trs80dt1: Use XTAL definitions; simplify handler signatures; replace spurious beeper (nw) [AJR]

-trs80dt1: Reinstate beeper, even though it looks wrong on schematics (nw) [AJR]

-(nw) trs80dt1: fixed year. [Robbbert]

-emumem: Another slight speedup.  masking before dispatch at top level is not needed because it's already done at the global mask
 level. [O. Galibert]

-cpu/tms32031/*: Add/Correct notes for Internal peripherals and Chip family differences Fix chip name (no NMOS variant exists) and
 some descriptions Fix Microcomputer mode when 320C30 internal ROM is empty reference: TMS320C3x User's Manual [cam900]

-switched PlayStation CPU over to memory_access_specific (nw) [smf-]

-(nw) trs80dt1,babbage,datum,emma2,mk14,savia84,selz80: save state support [Robbbert]

-mc6850: TDRE should read clear in reset, and set coming out of reset [68bit]
 * Fixes a lockup running UniFlex on the SWTPC09.
   - Tested on hardware, the TDRE flag reads as zero in the reset state and reads as set when taken out of reset, and even if data
      has been written to the data register while in the reset state.

-seta2.cpp: Add notes for hardware configs, emulation issues in some game Fix clock for P0-113A PCBs Fix source file name (.cpp
 instead .c) [cam900]

-pgm.cpp: Add some hardware notes [cam900]

-wd_fdc: Use attotime::to_string instead of custom time-to-string method; another command logging message fixed (nw) [AJR]

-last batch of changes to make the https://github.com/mamedev/mame/tree/devcb-no-space branch build. (nw) [Ivan Vangelista]

-xbox_nv2a.cpp: move poly_manager dependency to new nv2a_rasterizer class (nw) [yz70s]

-Modifiy .gitignore to ignore mk68kmake executable and object files (nw) [yz70s]

-Revert "Modifiy .gitignore to ignore mk68kmake executable and object files (nw)" [Olivier Galibert]
 * This reverts commit 7aefd0652e3633fce4d24d32f61401b5fec24ebf.
   - These files have not been generated since commit ea9cd8aea1bc1aa649645b52e43937815f2d87eb done Sep 13, 2018, which is the time
      where that specific ignore was removed.

-QA a selection of Sharp X68000 SWs (nw)  (#6714) [Angelo Salese]
 * QA x68k part 1
 * pandas automated injection
 * Refactor up to E
 * Refactored the rest of the notes
 * Standardize "this format is multi-disk", standardize drive -> DF#

-unsp: Fixed DIVQ operation and several Memory Bitop operations. [Ryan Holtz]

-devcb: Remove the space for the handlers, it is not needed anyomre [Ivan Vangelista, O. Galibert]

-unsp: Fix compile, nw [Ryan Holtz]

-(nw) pengo.cpp - various documentation updates [braintro]

-netlist: fix performance decrease. (nw) [couriersud]

-netlist: consolidate 9316-type counters. [Couriersud]
 * This needs more attention since for certain compilers there is a considerable performance degregation. It looks like this is only
    triggered if too many variants are declared in one cpp file and the compiler stops inlining.

-netlist: Fix performance issues and VC2019. [Couriersud]
 * For reasons unknown to me compile optimizations do not behave for template code. If the implementation is in separate compile
    units, the code compiles and performs.

-netlist: Fix OSX compile. (nw) [couriersud]

-Various buses and associated drivers: Simplify handler signatures (nw) [AJR]

-tvc64, tvc64p: Modernize banking by using address map bank devices [AJR]

-xbox.cpp: fix "xbox vprogdis" debug command (nw) [yz70s]

-(nw) first attempt at auto-sort of mame.lst [Robbbert]

-some small GPL16250 tweaks / hacks so that tkmag220 and lazertag (after a long time) show some sprites with expected colours, which
 might help with further debugging (nw) (#6725) [David Haywood]

-unsp: Removed outdated commnet related to Ext Push/Pop ops. The register decoding is correct. (nw) [Ryan Holtz]

-unsp: UINT_MAS needs climits [O. Galibert]

-(nw) reverted earlier commit - not wanted. [Robbbert]

-volt_reg: fix problem with dac stream slice update (nw) [hap]

-Remove obsolete paths, fix comment, and fix dummy.lua [Frank Palazzolo]

-drivers starting with y and z: further removal of READ and WRITE macros (nw) [Ivan Vangelista]

-apple2e: Mirror RamWorks III bank switch address according to the patent. [R. Belmont]

-Rename the HLE Apple floppy controllers as legacy to avoid future conflicts (nw) [arbee]

-lisa.cpp: Fix build (nw) [AJR]

-ibm5170: New working software list addition [ArcadeShadow]
 * ibm5170: Cruise for a Corpse

-(nw) cleanups, move SimLife to ibm5170 (#6728) [Justin Kerk]

-rv unintentional change (nw) [Justin Kerk]

-pdp11: qbus skeleton, pc11 [Sergey Svishchev]

-rt1715w: use CAS decode PROM (nw) [Sergey Svishchev]

-varthb2: mark gfx roms bad_dump [TwistedTom]

-Here's the May collection of Apple II disks per usual. (#6730) [Firehawke]

-A bit more Apple; this will be squashed.. [Firehawke]

-ibm5170: New working software list additions [ArcadeShadow]
 * ibm5170: Alone in the Dark 2 (France), Sam & Max Hit the Road

-ibm5150: New working software list addition [ArcadeShadow]
 * The Amazing Spider-Man

-Fix clang error: private field 'pc11_regnames' is not used [-Werror,-Wunused-private-field] (nw) [AJR]

-apple2: introduce new accurate IWM controller and switch apple2cr1/3/4 to use it [O. Galibert, R. Belmont]

-new files (nw) [arbee]

-apple2: support Disk II IWM Card using new IWM [O. Galibert, R. Belmont]

-emumem: Mask address where absolutely necessary (nw) [AJR]
 * This change fixes the edge case of an unaligned accesses to the top of the space not wrapping around, which was causing at least
    one driver (alpinesa) to crash.

-i386: Future-proofing for upcoming debugger refactoring (nw) [AJR]

-xbox.cpp: add debugger command "xbox vdeclaration" (nw) Used to decode the vertex shader declaration stored at a certain address.
 [yz70s]

-xbox_nv2a.cpp: add placeholder for methods 1e80-1e90 (nw) [yz70s]

-jackpot.cpp: small documentation update (nw) [Ivan Vangelista]

-cdi: Various changes. [Ryan Holtz]
 * Demoted Quizard and Quizard 2 sets to non-working.
 * Started hooking up the Quizard MCU.
 * Renamed CDI_SLAVE to CDI_SLAVE_HLE in prep for an LLE device.
 * Added more comprehensive notes to the driver.
 * Removed NO_DUMP cdic.bin as the CDIC is apparently not an MCU.
 * Copied SERVO and SLAVE MCUs into cdimono1 set from cdi910 set and marked with BAD_DUMP.

-very small macro removal bunch (nw) [Ivan Vangelista]

-netlist: various clang-tidy-11 fixes. (nw) [couriersud]

-netlist: fix a memory issue. (nw) [couriersud]
 * + cosmetic changes in nl_base.cpp and build/makefile

-netlist: Better integretation of INT128. (nw) [couriersud]
 * Also some minor optimisations bringing pong and breakout to previous performance.

-netlist: move penum into own header file. (nw) [couriersud]

-netlist: improve performance. [Couriersud]
 * pongf now peaks at 589% compared to 570% before.
   - Amongst a number of improvements in nl_base.h, the 7493 was touched. Also has some code cleanup and hopefully faster
      compilation due to extern template declarations.

-novag_const: nmi at poweroff (nw) [hap]

-iwm: Fix build (nw) [AJR]

-lc80: rename sc80 to lc80e, and lc80_2 is a homebrew mod (nw) [hap]

-lc80.h: unused function (nw) [hap]

-rs232 null_modem: XON/XOFF flow control (nw) [Sergey Svishchev]

-xbox_nv2a.cpp: some refactoring before modifying vertex data reading (nw) [yz70s]

-(nw) pengo.cpp: update pengo5 set PROMs with "ic" location [braintro]

-tms7000: Show A, B and all bits of PC in debug state [AJR]

-tms3556: Clean up register access handlers [AJR]

-s50: Get VDP to display something [AJR]
 * w30: Replace unmapped, not actually provided VDP with LCD unit (shows something now)

-exelv.cpp: Less logging noise (nw) [AJR]

-w30: This appears to have the same floppy status register (nw) [AJR]

-some notes for getting tkmag220 (gpl16250) to show something (nw) (#6737) [David Haywood]

-w30: Bank more SRAM (nw) [AJR]

-w30: Mask ROMs don't appear to have been dumped (nw) [AJR]

-Add note about undumped game (nw) [ClawGrip]

-s220, s550: Add BU3905 skeleton (nw) [AJR]

-emumem: A little more speedup.  cache and specific change syntax, and are not pointers anymore [O. Galibert]
 * The last(?) two changes are:
   - Add a template parameter to everything (theoretically the address space width, in practice a level derived from it to keep as
      much compatibility between widths as possible) so that the shift size becomes a constant.
   - Change the syntax of declaring and initializing the caches and specifics so that they're embedded in the owner device.  Solves
      lifetime issues and also removes one indirection (looking up the base dispatch pointer through the cache/specific pointer).

-unsp20 - fix opcode decode priority, we causing an ASR operation to be decoded as a MUL [David Haywood] (#6740) [David Haywood]

-Debugger expression and memory access overhaul [AJR]
 * Memory references in expressions no longer default to the console's visible CPU if no device name was specified, except when
    entered through the console itself. Expressions in view windows now use the context of the currently selected device instead.
 * The pcatmem debug command and similar qt mouseover function now produce an error message if the initial address translation
    fails.
 * Related internal changes (nw)
 * The debugger_cpu class no longer interprets memory accesses. The existing routines have been moved into symbol_table (which used
    to invoke them as callbacks), and reimplemented in most other places. Thecode duplication is a bit messy, but could be
    potentially improved in the future with new utility classes.
 * The cheat engine no longer needs to hook into the debugger_cpu class or instantiate a dummy instance of it.
 * The inclusion of debug/express.h within emu.h has been undone. Some debugging structures now need unique_ptr to wrap the
    resulting incomplete classes; hopefully the performance impact of this is negligible. Another direct consequence is that the
    breakpoint, watchpoint and registerpoint classes are no longer inside device_debug and have their own source file.
 * The breakpoint list is now a std::multimap, using the addresses as keys to hopefully expedite lookup.
 * The visible CPU pointer has been removed from the debugger_cpu class, being now considered a property of the console instead.
 * Many minor bits of code have been simplified.

-mac: mactw is (commented out) in mac128 driver (nw) [hap]

-exidy: update note regarding mtrap prom after jim redumped one (nw) [hap]

-hash/picno.xml: added Japanese title taken from auction (nw) [Ivan Vangelista]

-Last memory change fixes (nw) [Olivier Galibert]

-drivers starting with a and b: some macro removal (nw) [Ivan Vangelista]

-z8: fix emumem regression (nw) [hap]

-Fix unsp typo (nw) [Olivier Galibert]

-Typoed the 6809 (nw) [Olivier Galibert]

-netlist: move configuration entries into netlist namespace. (nw) [couriersud]

-netlist: move netlist parsing where it belongs. (nw) [couriersud]

-netlist: code maintenance. (nw) [couriersud]

-netlist: small memory system cleanup. (nw) [couriersud]

-netlist: split plists.h and fix nvcc compile for 10.2 (nw) [couriersud]
 * plists.h was splitted into plists.h, pmulti_threading.h and ptimed_queue.h. In addition removed plists.h from a number of files
    it wasn't used in.
   - Certain minor adjustment needed to be made for cuda toolkit 10.1 and 10.2.

-fix scroll offsets [TwistedTom]

-namcos22: change ss22 spot, a bit better, a bit worse (nw) [hap]

-bbc_cass.xml: Merged bbca_cass, bbcb_cass, bbcm_cass and added compatibility filters. No new software added (nw) [Nigel Barnes]

-bbc.cpp: Refactored video ULA implementation, and added video NuLA palette support. [Nigel Barnes]

-bbcb_de/bbcb_us: Use acorn8271 fdc device instead of duplicate 8271 implementation (nw) [Nigel Barnes]

-bus/bbc/userport/palette: Use pal4bit (nw) [Nigel Barnes]

-ZX-Spectrum Beta-disc FDCs: modernize/fix FDD motor control [MetalliC]

-dsk_dsk.cpp: be nice and allow to use DS images with SS drives (nw) [MetalliC]

-Fix crash when attempting to write to memory from debugger (nw) [AJR]

-rf5c400: Fix wrong bus width (nw) [Olivier Galibert]

-electron_cass: Keep BBC-compatible releases in bbc_cass list only, adding compatibility filters accordingly [AJR]
 * bbc_cass, electron_cass: Removed a few clones that were identical to originals

-identified tkmag220 as a bad dump, there's corrupt data in most banks and it fails test (nw) (#6745) [David Haywood]
 * tkmag220 notes (nw)
 * hook up banking for tkmag220 (nw)
 * unfortunately it also looks like a bad dump (nw)
 * sprite flip behavior seems connected to resolution (nw)

-New clones marked as WORKING mcx128 MC-10 with MCX-128 expanion [tim lindner] alice128 Alice with MCX-28 expansion [tim lindner]

-headonb: add 3bpp palette to blackhol (nw) [hap]

-luaengine: rom_entry library [feos]

-drivers starting with b and c: some more macro removal (nw) [Ivan Vangelista]

-Add MM58174 real time clock and use it (nw) [Sergey Svishchev]

-spectrum: Added prototype set [computinghistory.org.uk]

-drivers/d*: macro removal (nw) [Ivan Vangelista]

-gaplus : Fixed displaying of starfield (#6746) [sasuke-arcade]
 * gaplus : Fixed star behavior with reference to PCB.
   - Scrolling speed and direction (Testers-00434)
   - Clipping the Display Area (Testers-07663)
   - Modified to use sprite color instead of text color with refer to the PCB
   - Added blinking when the movement of the star changes

-New clones marked as NOT_WORKING (#6744) [ClawGrip]

-Add 'theraida' (nw) [ClawGrip]

-cache: protect against savage memsets [O. Galibert]

-Enable option to generate symbols in Release as well as Debug under Visual Studio.  (This is important because debugging Debug
 builds is too slow) [Frank Palazzolo]

-drivers starting with f, g and h: some macro removal (nw) [Ivan Vangelista]

-cmmb.cpp: fixed regression I introduced yesterday, thanks to hap (nw) [Ivan Vangelista]

-(nw) small cleanups in my drivers [Robbbert]

-grobda: Changed bonus life default settings to Namco's factory settings (10k only) (#6754) [sasuke-arcade]

-(nw) mc10: added missing required eol. [Robbbert]

-various GPL16250 tweaks (DMA, video rendering etc.) (nw) (#6751) [David Haywood]
 * some gormiti progress (nw)
 * debugging aids (nw)
 * trying (and mostly failing) to understand how background palette selection works (nw)
 * disable some older hacks for the time being, even if disabling then makes some bits worse (nw)
 * tweaks (nw)
 * some tweaks to DMA behavior in GPL16250 for Power Rangers Force in Time and Disney Fairies (nw)
 * slight unSP 'exp' change (probably never used tho) (nw)

-bloodbro_ms.cpp: Add missing PROMs to 'bloodbrom' [jordigahan, ClawGrip]

-armedf: correct game title (nw) [hap]

-asmjit: new 3rdparty library [Patrick Mackinlay]

-quizard: Replaced protection HLE with proper MCU hookup. Removed MUP flags. Re-promoted Quizard 1 and Quizard 2. [Ryan Holtz]
-scc68070: Improved UART Tx/Rx behavior, though it still functions in parallel rather than serial. [Ryan Holtz]

-renderer/d3d: Removed old StretchRect code. All drivers these days punt it to a shader backend anyway, and it's causing issues with
 -prescale. [Ryan Holtz]

-(nw) minor adjustment to my drivers [Robbbert]

-namcos22: small amount macro removal (nw) [hap]

-(nw) fixed the build: added MM58174 to mess.lua [Robbbert]

-drivers starting with i, j, k, l and m: more macro removal (nw) [Ivan Vangelista]

-dkong: use mirror() instead of trampolines in s2650_map (nw) [hap]

-megaste: Verify and split TOS 2.05 ROMs [DBWBP]

-gticlub.cpp: fixed regression I introduced. Many thanks to Tafoid for his testing efforts (nw) [Ivan Vangelista]

-igs009.cpp: make use of arrays and templates (nw) [Ivan Vangelista]

-chdman: support characters outside ASCII in command line arguments [Vas Crabb]

-hmcs40: this should fix savestate regression (nw) [hap]

-ste, megaste: Add necessary ROM mirror (nw) [AJR]

-(nw) tavernie: various improvements. [Robbbert]

-(nw) tavernie: don't need this file any more [Robbbert]

-tubep: quiet logging, improve soundlatch (nw) [hap]

-rt1715w: native keyboard and serial devices (nw) [Sergey Svishchev]

-Add disassembler for PIC17 family and preliminary PIC17C4X emulation [AJR]

-pic17.cpp: Minor comment update (nw) [AJR]

-No, these are not ready to add yet (nw) [AJR]

-k037122.cpp: Update hardware information (#6759) [cam900]
 * k037122.cpp: Update hardware information hornet.cpp: Add screen raw parameters (verified in both voodoo and K037122 display
    timing parameters), Add notes
 * k037122.cpp: Adjust value in display timing is still unknown
 * k037122.cpp: Adjust display timing register

-galaxian.cpp: fixed ROM loading order for highroll, now code flows correctly and sound is 'good' but still lots of problems (nw)
 [Ivan Vangelista]

-rf5c68.cpp: Verify default register map, Add notes reference: datasheet [cam900]

-msx: add note on xtals (nw) [hap]

-indy_indigo2: Removed MACHINE_NODEVICE_LAN from Indy drivers due to confirmation that networking works. [mhoes, Ryan Holtz]

-BIOS versions, drivers and documentation in at, pc, genpc and europc.cpp (#6758) [rfka01]
 * at.cpp updates: [rfka01]
   - Added NCR Class 3302 Model 0110 [Bavarese]
   - Added Schneider Tower AT. This and the EuroAT need an emulation of the JIM / BIGJIM chips found in the EuroPC models.
   - Added IBM PS/1 models 2011, 2021, 2121, and 2133
   - Schneider 386SX system 40 and 70
 * europc.cpp updates: [rfka01]
   - Added BIOS version (nw)
 * pc.cpp updates: [rfka01]
   - Added Corona PPC-21 (new), Juko 8 bit and DTK ERSO

-mw8080bw: 280zzzap netlist audio (#6760) [Colin Douglas Howell]
 * mw8080bw: update 280zzzap audio API in preparation for netlist audio
 * This is only API changes, following the pattern used by cuavas within the past year to update other games in mw8080bw.
 * mw8080bw: new netlist audio implementation for 280zzzap
 * New netlist-based audio implementation for 280zzzap (280-ZZZAP, 1976), derived from Midway game logic board schematic. The sound
    generally matches that heard in videos of the machine, though the real machine seems to have more bass and less treble. This may
    be a cabinet effect or something else, such as a difference in component values.
 * Due to the number of complex components being emulated and the nature of the circuits, this netlist adds a lot of overhead, but
    it's still fast enough to run at greater than real speed on modern hardware.
 * With minor changes, this implementation should also support lagunar (Laguna Racer, 1977); with somewhat more substantial changes,
    it would also support sspeedr (Super Speed Race, 1979). Both of these games use sound circuits based on those for 280-ZZZAP.

-new WORKING machines (Plug & Play) (#6764) [David Haywood]

-nes_apu.cpp: Correct noise algorithm [cam900]

-armedf : Fixed the resolution difference from PCB. (Testers-07640) [Sasuke]

-drivers with m, n: some macro removal (nw) [Ivan Vangelista]

-missed this behavior too while rewriting things, documented where it's needed (nw) (#6767) [David Haywood]

-(nw) jtc, mcb216: small cleanup [Robbbert]

-Gaplus : modify source code comments and change dipswitch defaults (#6752) [sasuke-arcade]
 * gaplus.cpp updates: [sasuke-arcade]
   - Modify source code comments and change dipswitch defaults
   - Changed Extend's default settings to Namco's factory settings (5k/15k/15k every)

-Have the -romident command skip the matching process and issue an error message when no files are found [AJR]

-driver starting with o: a very small bunch of macro removals (nw) [Ivan Vangelista]

-Remove empty debug fn (nw) [Angelo Salese]

-taitowlf: update documentation (nw) [Hydreigon]
 * Some of these components were already mentioned later in the driver. "TODO" wasn't really correct because main board (and rom
    board connected to main board) all communicate with the PC motherboard via PCI. Figuring out PCI comms between both boards as
    well as reading the two program roms, u1 and u2, may prove tricky.

-Fix build (nw) [AJR]

-Fix build even more (nw) [AJR]

-tms9995.cpp: fixed different behaviour of the tutor driver in the devnoclear branch (nw) [Ivan Vangelista]

-Fix Mac Clang build (nw) [R. Belmont]

-coco_fdc.cpp: fixed most coco drivers not working in devnoclear builds (nw) [Ivan Vangelista]

-wd_fdc.cpp: a bit improve HLD/HLT handling, fix FD1771 timings and enable spinup_on_interrupt [MetalliC]

-ZX-Spectrum Beta-disk interfaces improvements, all V2-V5 models should work fine now [MetalliC]

-forgot this one (nw) [MetalliC]

-little fix (nw) [MetalliC]

-MT 7664 (nw) [AJR]

-gameio.cpp: fixed missing initialization causing various apple2 computer not to work in devnoclear builds (nw) tms9995: updated
 some comments (nw) [Ivan Vangelista]

-MT 7668 (nw) [AJR]

-s14001a.cpp: zero-fill variables, fixes missing speech in some Fidel chess drivers in devnoclear builds (nw) [Ivan Vangelista]

-i82439tx.cpp: initiliaze a couple more variables to fix assert in devnoclear builds (nw) [Ivan Vangelista]

-pic17: Sample interrupt flags before writes can destroy them (nw) [AJR]

-Eliminate space.device() in watchpoint code (nw) [AJR]

-Revert "Fix Mac Clang build (nw)" [AJR]
 * This reverts commit e84a73843204721de4e1bc7884d0b6eb26dba678. The problem this addresses was fixed in
    bc0c1b74c7544566ecb1eed285484d7acbf99046.

-Bug fixes for hp9845c & remote488 (#6772) [fulivi]
 * hp9845: fixed a graphic memory addressing bug (nw)
 * remote488: fixed a signal corruption bug in IEEE488 remotizer (nw)

-sg1000.cpp, sms.cpp & associated buses: Simplify handler signatures (nw) [AJR]

-megadriv.cpp, megaplay.cpp, megatech.cpp: macro removal (nw) [Ivan Vangelista]

-(nw) v6809: small cleanup [Robbbert]

-pc_vga & co.: Simplify 8-bit handler signatures (nw) [AJR]

-(nw) v6809: new bios [Robbbert]

-Fix clang build (nw) [AJR]

-Update arcade.lua [MASH]

-bus/isa: Simplify signatures of most handlers (nw) [AJR]
 * sb16_lle: Add device map for host I/O (nw)

-apple3: fixed $CNxx and $C800 slot ROM not being visible in the debugger. [R. Belmont]

-wd_fdc.cpp do not delay SEEK with no Verify flag [MetalliC]

-sound/rf5c68.cpp: use STRUCT_MEMBER for state saving (nw) [Ivan Vangelista]

-msm58231.cpp: initialized one variable which was causing problems for some driver in fmtwons.cpp  in devnoclear builds (nw)
 [Ivan Vangelista]

-pc.cpp: added Sergey Kiselev's and monotech's modern XTs [rfka01]

-Plug and Play work (#6774) [David Haywood]
 * various SunPlus updates + new sets from Sean (nw)
 * tweak, still not correct tho (nw)

-(nw) [David Haywood]
-(nw)

-hornet.cpp: Add notes for scope screen, Fix raw parameters (#6776) [cam900]

-atlantis.cpp: dumped bios. 1.01 for mwskinst [coolmod]

-netlist: refactored ppmf.h [Couriersud]
 * Make more use of c++. Prepare coexistence of different delegate types. Untangle code. Reduced macro usage.

-netlist: Change use of NETLIB_DELEGATE macro. (nw) [couriersud]
 * The macro now has only one parameter, the local name of the delegate.

-netlist: debugger - use callbacks to access terminals. (nw) [couriersud]

-netlist: device factory enhancements. (nw) [couriersud]
 * Factory elements can now pass additional parameters to device constructors. This makes the design of interface objects like
    analog callbacks easier.
   - The change also allowed to remove some "deep" calls into the core from the MAME interface in netlist.h

-netlist: drop c++11 support. (nw) [couriersud]
 * This wasn't working since the last factory changes. Removed it. Basically replace C14CONSTEXPR with constexpr.

-netlist: move multiparameter streaming into nl_interface.h (nw) [couriersud]

-netlist: clang-tidy, header order fixes. (nw) [couriersud]

-netlist: fix dpatrol. (nw) [couriersud]

-tubep : Added text and sprite drop shadow (#6768) [sasuke-arcade]
 * tubep : Added text and sprite drop shadow

-supracan.cpp: get_tilemap_Region -> get_tilemap_region (nw) [Angelo Salese]

-New working clone [braintro]

-out of whatsnew: misc whitespace misc formatting Changed parent to Export Made "US" set a clone to new parent [braintro]

-New working clone [braintro]

-looks like I64 size qualifier is only needed for MSYS64 GCC 9 and earlier (nw) [Vas Crabb]

-wd_fdc.cpp honor write protection (nw) [MetalliC]

-special.cpp a bit less hacky banking (nw) [MetalliC]

-g65816: add preliminary w65c802 (nw) [hap]

-(nw) beehive: added 2 uarts, small cleanup [Robbbert]

-sega_sawatte.cpp: Research note (nw) [AJR]

-prepare SunPlus rendering code for sharing between SPG2xx and GPL16250 (nw) (#6780) [David Haywood]

-f2mc16: Disassembly fixes: [AJR]
 * Add/improve support for EA forms of numerous instructions
 * Correct the number of bytes for CLRB and SETB with 16-bit address
 * Correct some formatting mistakes, including one that substituted "1" for the mnemonic in absolute EA forms

-apple3: fixed another side effect (nw) [arbee]

-Fixed MT#7671 (nw) [Scott Stone]

-(nw) expro02.cpp: Restore pm019u_u93-01.u93 for the US set and remove from the export [braintro]

-New working clone [braintro]

-out of whatsnew: Made this new v1.3B set the new parent updated / corrected misc comments [braintro]

-hp_ipc_kbd: implement autorepeat (nw) [Sergey Svishchev]

-consola_emt.cpp: Small fixes (nw) [ClawGrip]
 * N80C188XL25 is known to work at 25MHz (nw)
 * This specific ROMset is from 24/Mar/2003 (nw)

-consoemt: Map RTC and LCD [Dirk Best]

-(nw) czk80: cleanup [Robbbert]

-consoemt: Hook up dip switches [Dirk Best]

-(nw) ccs300: cleanup, fixed regression from 2018. [Robbbert]

-drivers starting with p, q, r and s: some macro removal (nw) [Ivan Vangelista]

-New machine: zex8085 (Zexall tester for i8085). (nw) All tests pass on a real machine but fail in MAME. [Robbbert]

-(nw) removed zex8085 because it's not wanted. Moved to hbmame. [Robbbert]

-Fix clang build [-Werror,-Wunused-private-field] (nw) [AJR]

-some more drivers starting with s: a little more macro removal (nw) [Ivan Vangelista]

-tubep: mark imperfect sound, filters not emulated (nw) [hap]

-consola_emt.cpp: Correct MCU type (nw) [AJR]
 * i186.cpp: Add clock note (nw)

-altos486, bbc_tube_80186, ngen, sad8852, slicer: Double clock inputs due to misunderstanding of internal clock divider [AJR]

-msx: add matra ink cartridge (nw) [hap]

-msx1_cart: new slot param for ink (nw) [hap]

-beehive.cpp: Checkpoint (nw) [AJR]
 * Add PPIs and PITs
 * Use required_device_array
 * Convert screen to rgb32 in anticipation of refactoring for CRTC use

-fix build (nw) [MetalliC]

-fmtowns_cd.xml: 8 new dumps, 5 replacements [r09]
 * New dumps from redump.org (working):
 * Dracula Hakushaku - Bishoujo-tachi no Chi no Shitatari Hyper Planet Lemon Cocktail Collection Maerchen Toshokan - Grimm Douwa -
    Bremen no Ongakutai Nihon no Rekishi - Ishin-hen - Kurofune Raikou Phobos Towns Chiri - Jigsaw World
 * New dumps from redump.org (not working):
 * Lip 3 - Lipstick Adventure 3
 * Replaced entries with dumps from redump.org:
 * Ballade for Maria Mobile Suit Gundam - Hyper Desert Operation Populous & The Promised Lands SimEarth - The Living Planet Tunnels
    & Trolls - Crusaders of Khazan

-New not working system: Ultim809 [Robbbert]

-(nw) czk80: evidence suggests it could be ckz80 - renamed. [Robbbert]

-(nw) pencil2: small cleanup [Robbbert]

-drivers starting with t, u, v, w, x: more macro removal + some others (nw) [Ivan Vangelista]

-Reinstated TODO item (nw) [Angelo Salese]

-dp8390: Eliminate CS line handler; use separate read and write handlers instead (nw) [AJR]

-spec128.cpp remove old hacks, misc minor notes (nw) [MetalliC]

-Correct Game Name Machine fredmem and clones (#6784) [phweda]
 * dcheese.cpp: fixed name of Fred Flintstone's Memory Match

-SunPlus refactoring checkpoint (nw) (#6793) [David Haywood]

-devices/bus/interpro/sr/gt.cpp, src/mame/machine/interpro_ioga.cpp: initialize some variables to avoid problems in devnoclear build
 (nw) [Ivan Vangelista]

-twinkle.cpp physical aspect ratio should be 16:9 [tertu marybig]

-Add disassembler and skeleton CPU device for Panasonic MN1880 architecture [AJR]

-devices/cpu/r4000.cpp: initialized one variable to fix problem in devnoclear build (nw) [Ivan Vangelista]

-dotrikun: remove unneeded layout file (nw) [hap]

-Support Colecovision Megacart. (#6788) [Andrew Green]
 * Support Colecovision Megacart. Assume that a rom file that is more than 32K in size is a megacart and that it should be
    bankswitched using Megacart protocol.
 * Put megacart functionality in its own cartridge type.

-coleco megacart: savestate support (nw) [hap]

-(nw) forgot to update mess.flt [Robbbert]

-spg renderer / gpl16250 - remove some palette bank hacks (nw) [DavidHaywood]

-konppc: remove 7seg led hack (nw) [hap]

-(nw) various cleanups [Robbbert]

-consoemt: Hook up UARTs [Dirk Best]

-(nw) ravens: cleanup; ravens2: fixed bug of unwanted B & C chars on screen. [Robbbert]

-drivers starting with a and b: finished removing READ/WRITE macros (nw) [Ivan Vangelista]

-Update Travis CI build environments [Julian Sikorski]
 * Switch Ubuntu build from gcc-9 to gcc-10 Switch macOS build from Xcode 11.0 (macOS 10.14.6) to Xcode 11.5 (macOS 10.15.4)

-(nw) pro80,pyl601,pipbug: cleanup [Robbbert]

-(nw) plan80: cleaned [Robbbert]

-Neo-Geo documentation updates  [JacKc]

-gpl16250 / sunplus rendering - improvements for jak_pf (double height tilemaps etc.) (nw) (#6797) [David Haywood]

-apple2e.cpp updates [R. Belmont, Peter Ferrie]
 * Added IIc+ accelerator support
 * Added 4 MHz Zip Chip accelerator support for IIe and IIc systems
 * Added Laser 128EX and EX/2 accelerator support
 * Fixed ROM loading for Brazilian "Spectrum ED" IIe clone, system now boots
 * Fixed IOUDIS interaction with IIc mouse softswitches
 * Added IIc-specific SETIOUDIS/CLRIOUDIS mirror locations
 * Fixed value returned when reading IOUDIS at $C07E

-(nw) apple2e: fixed the build [Robbbert]

-(nw) ptcsol: cleanup [Robbbert]

-devices/machine/8042kbdc.cpp: initilized variable that caused problems for the PCI PC drivers in devnoclear builds (nw)
 [Ivan Vangelista]

-devices/machine/pci.cpp: fixed problem in pcipc driver in devnoclear builds (nw) [Ivan Vangelista]

-(nw) pegasus: clean [Robbbert]

-(nw) sys2900: clean [Robbbert]

-(nw) argo: don't write to regions [Robbbert]

-Graphics emulation for Tiki-100 redone to be accurate down to whole scanlines. Also fixed a small inacuracy in the keyboard.
 (#6785) [Frodevan]

-sid.cpp: Fix issue #6798 (#6799) [cam900]
 * sid.cpp: Fix issue #6798
 * sid.cpp: Constant here

-pc.cpp: more consistent ROM naming, versions 0.7e to 0.9 of the ROMs you find on the project page don't have versioned filenames.
 (#6782) [rfka01]

-Debugger: add `condump` command to export console buffer to a log file (#6781) [Stevie-O]
 * This is another debugger enhancement -- it allows you to export the current contents of the debug console window to a file.
   - The filename parsing is based on the `trace` command, and as such, supports both the "{game}" placeholder, and the ">>" prefix
      for appending instead of overwriting.

-(nw) unior: cleaned [Robbbert]

-(nw) proteus3: cleaned [Robbbert]

-various devices used by hp9k_3xx.cpp: initialized some variables to fix problems found in devnoclear debug builds (nw)
 [Ivan Vangelista]

-devices/video/psx.cpp: initialized a couple of variables that were causing problems in devnoclear debug builds (nw)
 [Ivan Vangelista]

-netlist: Enable utf7 filenames on windows. (nw) [couriersud]

-netlist: code maintenance. (nw) [couriersud]
 * Fix visibility of classes in nlid_system.h. Fix tidy warning for penum.

-netlist: Reduce macro usage and make use of pstring utf8. (nw) [couriersud]

-netlist: remove more macro usage, fix win float exceptions. (nw) [couriersud]

-beehive: Rewrite video emulation using CRTC and DMAC; add interrupts [AJR]

-gaelco2.cpp: fixed MT07675 and MT07676 (nw) [Ivan Vangelista]

-beehive: Add beep [AJR]

-spectred: Put the $C300 ROM in the right place (nw) [arbee]

-Plug and Play work (new working machine) (#6800) [David Haywood]
 * SunPlus current progres (nw)
 * defer expensve operation (nw)

-reworked / tweaked some of the SPG rendering based on my own research (nw) [David Haywood]
 * param no longer required (nw)
 * move speedups (nw)
 * (nw)
 * fix asror, fixes piggy golf and ball shooter on unsp20 (nw)

-beehive: Add ESC key; rename to dm3270 [AJR]

-(nw) removed myself from some drivers [Robbbert]

-skylncr.cpp: arrays, templates and state saving (nw) [Ivan Vangelista]

-Switch ketsui arrange to 4 button inputs [Alex Marshall]
 * Ketsui Arrange adds an option formation change button on button 4, this wasn't available with the ddp3 input setting.

-(nw) excali64, br8641: cleaned [Robbbert]

-schess: funny typo (nw) [hap]

-(nw) aussiebyte: don't write to regions [Robbbert]

-(nw) micral: don't write in regions [Robbbert]

-ibm5150.xml: add original dumps for Centipede and Ms. Pac-Man (#6801) [r09]
 * ibm5150.xml: add original dumps for Centipede and Ms. Pac-Man
 * add cloneof (nw)

-(nw) okean240, tavernie : small cleanups [Robbbert]

-gaelco2.cpp: actually fixed MT07676 (nw) [Ivan Vangelista]

-more metadata corrections [quasiscroto]

-tti: Convert driver to QBUS device (qts1) [AJR]

-beta128.cpp start documenting clone firmwares (nw) [MetalliC]

-naomi.cpp note (nw) [MetalliC]

-bus/coco: Simplify handler signatures and uint type names (nw) [AJR]

-bus/cpc: Simplify handler signatures (nw) [AJR]

-bus/a1bus, bus/a2bus, bus/acorn, bus/bbc: Simplify handler signatures (nw) [AJR]

-netlist: code maintenance. (nw) [couriersud]
 * more c++14, use enable_if_t instead of enable_if
 * cleaned up the use of memory allocation arenas
 * reduce MACRO usage, use std::conditional where possible

-netlist: ppmf simplification. (nw) [couriersud]

-netlist: arena code maintenance. (nw) [couriersud]

-netlist: Fix MSVC build. [Couriersud]
 * MSVC has an issue with SFINAE and overloading resolution. A discussion can be found here:
   - https://stackoverflow.com/questions/31062892/overloading-on-static-in-conjunction-with-sfinae
     * The previous code compiled with gcc and clang on all platforms and compilers apart from MSVC. Replaced with double template
        specialization.

-netlist: allow selection of base arena for pmempool_arena. (nw) [couriersud]

-netlist: further optimize ppmf.h [Couriersud]
 * Move towards a pure c++ constexpr solution to derive the optimal pointer to member function solution.
   - All the macro madness is centralized to a compile_info struct with static members.
     * For the time being the evaluation result is compared against the previous approach. Going forward this will be dropped as
        well as the support for MINGW with GCC <= 4.6

-netlist: prepare path to non-virtual update functions. (nw) [couriersud]

-devices/sound/rf5c68: correct use of STRUCT_MEMBER, thanks to Vas (nw) [Ivan Vangelista]

-netlist: fix mingw7.2 compile. (nw) [couriersud]

-cps3sound: correct copyright header (nw) [hap]

-iqunlim.cpp: Redumped 'iqunlimgr' as its right size [TeamEurope]

-rf5c68.cpp: Implement some chip variant differences, Verify,Implement RF5C164 default register map Reference: RF5C68 Datasheet,
 Mega CD hardware manual PCM sound source segas18.cpp, segas32.cpp: Add notes for sound chip megacd.cpp: Correct sound chip
 variation [cam900]

-drivers starting with c and d: completed read* and write* macros removal (nw) [Ivan Vangelista]

-New working clones (#6808) [ClawGrip]

-drivers starting with e: removed read* and write* macros (nw) [Ivan Vangelista]

-Fix clang error: unused variable 'space' [-Werror,-Wunused-variable] (nw) [AJR]

-Fix clang error: unknown warning group '-Wpmf-conversions', ignored [-Werror,-Wunknown-pragmas] (nw) [AJR]

-Typo that prevents linking, sorry (nw) (#6810) [ClawGrip]

-unsp20 - fix asr (nw) [DavidHaywood]

-mame.lst: Fix minor mistake (nw) [AJR]

-gnat10: Fill in a few more things (nw) [AJR]

-sensorboard: save last board position on exit (nw) [hap]

-ti99/tn_ide: Comment edits, changed default switch setting. (nw) [Michael Zapf]

-bq4847: Derived from di_rtc, several fixes. [Michael Zapf]

-sensorboard: only load last position when the chesscomputer expects it (nw) [hap]

-rename function (nw) [hap]

-apple2: Better slot slowdown detection for the TransWarp (nw) [arbee]

-drivers starting with letters: removed read* and write* macros (nw) [Ivan Vangelista]

-nvram: don't save 0byte file (nw) [hap]

-sensorboard: add nvram override setting (nw) [hap]

-fix compile? untested (nw) [hap]

-m68000: fix the lst file too (nw) [hap]

-drivers starting with f: removed read* and write* macros (nw) [Ivan Vangelista]

-some spg2xx bits (nw) (#6814) [David Haywood]

-namcos22: tweak some analog minmax, add note (nw) [hap]

-(nw) okean240: more work [Robbbert]

-netlist: fix win32 compile (nw) [couriersud]
 * ... and all targets without INT128 support.

-sensorboard: add missing var to savestate (nw) [hap]

-40love: use mb14241 device (nw) [hap]

-excali64: new software list --- boot (CP/M Boot Disk) [Robbbert]

-m37710: nop unused SFR area (nw) [hap]

-m37710: actually SFR area 2-9 is external on some chips (nw) [hap]

-eti660: New software list ---- Maze 2 (not working) Music Maker Pong Space Invaders (not working) Wipeout [Robbbert]

-(nw) mmd1, mmd2: cleanup [Robbbert]

-drivers starting with g, h and i: removed read* and write* macros (nw) [Ivan Vangelista]

-btime3:  Fix Bonus Life values.  Fixes MT#7678 (nw) [Scott Stone]

-wd_fdc.cpp set BUSY during initial restore to make it correctly interruptable [MetalliC]

-spectrum/beta.cpp add original TR-DOS v4.12 firmware [Luzie]

-cdi: Initial changes to get Quizard 3 and Quizard 4 Rainbow working. [Ryan Holtz]

-cdi: More CDIC fixes, Hotel Mario now has correct audio. [Ryan Holtz]

-spg2xx: Revised ADC behavior. Does not currently work properly. Checking in so that others can debug. nw [Ryan Holtz]

-spg2xx: Fix up ADC support. fordrace now polls all six ADC channels. [Ryan Holtz]

-(nw) more cleanups [Robbbert]

-namco54: longer irq to fix bosco shot sound regression (nw) [hap]

-(nw) more cleanups [Robbbert]

-okiadpcm.cpp: Add looped sample support, Allow reading current output without decoding Fix initial values, Fix descriptions
 qs1000.cpp: Add save state related to loop support (disabled currently) [cam900]

-Add DS80C320, SAB80(C)515 and RUPI-44 disassemblers [AJR]

-New clones marked as NOT_WORKING (#6817) [ClawGrip]

-Add 'arac6spa' (nw) [ClawGrip]

-cdicdic: Fix unused variable warning (nw) [AJR]

-slapstic: Eliminate address_space argument from legacy read/write handlers (nw) [AJR]

-merits.cpp: Update CPU type and PCB notes (nw) [AJR]

-namco5*: set_input_line is synced, don't need extra synchronize (nw) [hap]

-drivers starting with j, k, l and part of m: read* and write* macro removal (nw) [Ivan Vangelista]

-dinvram: rename pre write/save to can write/save (nw) [hap]

-gah missed one (nw) [hap]

-(nw) applix: fixed keyboard [Robbbert]

-Hyperscan updates: [Sandro Ronco]
 * Added emulation of the SPG290 CDServo
 * Added joypad inputs
 * Added RFID card support
 * Split SPG290 PPU, Timers and I2C into separate devices
 * Added a softlist for the RFID cards

-spg2xx_io: Better ADC behavior when reading converted data. [Ryan Holtz]

-arachnid.cpp: Add notes about dipswitches (nw) [ClawGrip]

-Software list updates [ICEknigh7]
 * specpls3_flop.xml: Added more disk images, some of which were previously missing from the internet due to them being considered
    "Distribution Denied".
    [Antonio M, Fede Jerez, Gorski, Jaime Gonzalez Soriano, Jose Manuel, Marino Arribas, Metalbrain, robcfg, Simon Owen, Syx, Zup,
    TZX Vault]
 * spectrum_cass: Added verified dump of Load'N'Run (Spain) (Especial) [Manu128k]
 * Created softlist for Timex cassettes (timex_cass)
 * megadriv.xml Added some info on games which need redumps.

-adb logging [Olivier Galibert]

-pic1670: Add a disassembler [O. Galibert]

-Revert "adb logging" [hap]
 * This reverts commit 757c179183c6b4f80375c58900716a1df2b5ac34.

-xbox_nv2a.cpp: big update to chihiro/xbox 3d graphics [Samuele Zannoli]
 * vertex shader and pixel shader refactoring
 * register combiners support multithreading
 * corrected reading of vertex attributes
 * perspective correct vertex attribute interpolation and texture mapping
 * basic support for texture address modes
 * secondary color and fog color available as inputs to pixel shader
 * interpolate all 4 possible texture coordinates
 * corrected order of vertices when drawing quad list primitives
 * debug aid to write in a text file the vertex shader disassembly, input and constant registers values To test the update enable
    the register combiners with the "xbox nv2a_combiners" debugger command

-vt420: Add dump of V1.4 program [unknown]

-spectrum/beta.cpp add most of known clone ROMs [MetalliC]

-First completed pass of commandline parameters. (nw) (#6711) [Firehawke]
 * First completed pass of commandline parameters. (nw)
 * Further refinements on commandline (nw)
 * Get the audio latency numbers right and add PortAudio info.
 * FreeSync/GSync information cleanup.
 * Minor additions to G-Sync/FreeSync.
 * Add tip for keyboardprovider, remove biospath, correct anchor positioning (nw)
 * A few corrections per Vas (nw)

-asmjist: sync with upstream (nw) [Patrick Mackinlay]

-asmjit: mame changes (nw) [Patrick Mackinlay]

-(nw) bigbord2: don't write to regions [Robbbert]

-bosco: fix tilemap offset problem (nw) [hap]

-rallyx: add note (nw) [hap]

-okiadpcm.cpp: Fix looping [cam900]

-xbox_nv2a.cpp: try to remove gcc 7.2.0 warning (nw) [yz70s]

-tubep: no sprites on left edge (nw) [hap]

-Setting analog inputs don't work in LUA (#6812) [tim lindner]
 * fixed set_value for analog inputs.

-Super Motor: Added ASCII PCB layout. Corrected some tech notes. [Roberto Fresca]

-bosco: add "star destroyer" sub title to description (nw) [hap]

-(nw) kaypro: don't use regions as ram. [Robbbert]

-drivers starting with m, n and o: removed read* and write* macros (nw) [Ivan Vangelista]

-expose ioport_setting to luaengine [feos]

-(nw) more cleanups [Robbbert]

-galaga.h: saw a typo (nw) [hap]

-Fix OS X build with Xcode 7 (nw) [AJR]

-icatel: Fix address map (nw) [AJR]
 * Note that this causes the LCD to display nothing, but the previous behavior definitely wasn't correct.

-t11: Change default interrupt vector (nw) [AJR]

-dm3270: Revert to 50 Hz setting; correct baud clock hookup (nw) [AJR]

-(nw) more cleanups [Robbbert]

-(nw) bml3: don't write to regions [Robbbert]

-drivers starting with p and q: removed read* and write* macros (nw) [Ivan Vangelista]

-netlist: Improve static solver performance by 5%. [Couriersud]
 * Use a more condensed matrix format for go, gt and Id matrices. In addition, optimize the static compilation code.

-netlist: Make fostrm actually write to file. (nw) [couriersud]
 * Also fix typos and a tidy warning.

-netlist: Performance improvement and refactoring. [Couriersud]
 * Kidniki now achieves up to 910% when run with static solvers and with nltool. That is significant better than the 860% we have
    seen previously.
   - This increase is driven by using a global memory pool in the solver code.
     * In addition the following refactoring and code maintenance work is included. Please excuse the large commit, some of this
        took interfered with other work and the detail development steps were ugly.
       - gsl support: This commit adds pgsl.h which implements a very limited number of the functionality of the gsl header
          described in the c++ core guidelines.
       - clang-tidy fixes
       - A significant refactoring of palloc.h. Aligned hints were removed, they added complexity without a significant performance
          gain. Vector operations should better be done on special spans/views.
       - The code has been tested on linux with g++-7, g++-9, clang-11. On Windows mingw-10 and VS2019, OSX clang-11.

-Witch Card (ICP1 board, encrypted): Reversed the NVRAM and set by default to promote the game to working status [Roberto Fresca]

-drivers starting with r: removed read and write macros (nw) [Ivan Vangelista]

-(nw) more cleanups [Robbbert]

-ui: only warn about external artwork when it wasn't loaded (nw) [hap]

-ibm1570.xml: add 4 new dumps [r09]
 * All working and dumped by me from the original disks.
   - Gravis UltraSound (GUS) Installation - V2.05 Chuck Yeager's Air Combat (Gravis Ultrasound version) Dune (3.5") Frontier - Elite
      II

-video: don't do frameskip related calculations at init time (nw) [hap]

-hh_sm510: add requires_artwork flag to games that have lcd backdrops/overlays (nw) [hap]

-nl_setup.cpp: Fix for some compilers not being CWG 1579 compliant (nw) [AJR]

-a few tweaks relating to recent SPG ADC work (nw) (#6826) [David Haywood]
 * give fordrace some controls (nw)
 * move some adc reads to the correct channels (nw)
 * stop jak_capb from crashing, plunger no longer works with new code however (nw)
 * hook up battery states (nw)

-netlist: fix some clang-tidy warnings. (nw) [couriersud]

-netlist: Fix copy elusion bug on OSX and clang < 8 [AJR, Couriersud]
 * Solution discussed with AJR in chat.

-neogeo.xml: Neo-Geo documentation updates  [JacKc]

-Add ImageDisk IMD save support [lfantoniosi]
 * Allow to save IMD floppy image disk. Tested on Zorba and Kaypro II

-m68hc05: Simplify handler signatures; add MC68HC705C4A type (nw) [AJR]

-(nw) more cleanups [Robbbert]

-(nw) model3.cpp: Document known Dirt Devils (USA) information [braintro]

-New working clones [braintro]

-gei.cpp: Documented Trivia sets series 12 through 19. [Brian Troha]
 * out of whatsnew: Sorted out question ROMs as per documentation results in 3 new clones. Add lots of misc information to various
    sets. correct a couple of comments.

-(nw) gei.cpp: Singular VS. plural [braintro]

-(nw) even more cleanups [Robbbert]

-novag*: make lcd screen taller, it's not 1:1 (nw) [hap]

-(nw) more cleanups [Robbbert]

-(nw) phc25: some sounds [Robbbert]

-video: frameskip setting is now upper frameskip limit when autoframeskip setting was enabled (nw) [hap]

-h8s2000: Allow ANDC, ORC and XORC operations on EXR; correct disassembly for multiword instructions with 8-bit immediate operands
 [AJR]

-video: show frameskip max value in speed_text (nw) [hap]

-intelfsh: Fujitsu updates (nw) [AJR]
 * Add MBM29LV800B type
 * Identify MBM29F160TE and MBM29DL164BD types more specifically
 * Correct device ID for MBM29F160TE

-pc98.xml: softlist updates, part 6 (E) (#6813) [r09]
 * pc98.xml: softlist updates, part 6 (E)
   - Added new software items from the Neo Kobe Collection (working):
   - Eimmy to Yobanaide (Demo) Ekispert Ekudorado - Kagami no Naka no Oukoku Elm Knight - A Living Body Armor (Demo) Elthlead Senshi
      EO System 3.0 (v1.10 installer) EPSON Jiko Shindan Program EPSON MS-DOS 2.11 (Rev. E22) EPSON MS-DOS 2.11 (Rev. R15) EPSON
      Nihongo Disk BASIC v2.0 Estate eXOn eXOn (Demo) Expert-98
   - Added new software items from the Neo Kobe Collection (not working):
   - Eisei Meijin II Elysion (2DD version) EPSON Software Installation Program (v2.17) EPSON Software Installation Program (v2.23)
      EPSON Software Installation Program (v2.27) EPSON Software Installation Program (v3.02)
   - Re-tested software entries with current MAME
   - Relabeled disks with their actual names
   - Added usage notes for software that needs DOS
   - Removed duplicate images where the only differences are in the saved game data
   - Reordered some disks so they are auto-mounted in a more logical way
   - Some minor title / spelling fixes
 * forgot a few supported tags (nw)

-e132xs.cpp, sharc.cpp: fixed DRC crashes in devnoclear debug builds (nw) [Ivan Vangelista]

-electron_cass.xml: Note (nw) [AJR]

-ics2115.h: Add imperfect_features related to incorrect/unverified interrupt, interpolation, ramping (#6809) [cam900]
 * ics2115.h: Add imperfect_features related to interrupt, interpolation.  Interpolation issue is most noticeable in Cave PGM
    hardware game music.

-devices/bus/vcs: removed read / write macros (nw) [Ivan Vangelista]

-mmdisplay2: lcd screen was missing 1 line (nw) [hap]

-microtch.cpp: Typo on the ROM label (nw) [ClawGrip]

-wd_fdc.cpp: accept new commands while in busy state, workaround for spurious recursive calls if HLD used for drive motor control,
 don't change track and data registers during reset [MetalliC]

-einstein: Added quickload option for .COM files. [Nigel Barnes]

-i8271: Invert signal to seek/step when writing to drive control port. Fixes MT07674 [crazyc]

-startouch.cpp: Add notes about hardware variants (nw) [ClawGrip]

-mmdisplay2: adjust internal layouts (nw) [hap]

-drivers starting with s: removed read* and write* macros (nw) [Ivan Vangelista]

-bus/bbc/fdc: Added Solidisk DDFS Issues 1/2 and DFDC disk controller boards. [Nigel Barnes]

-new WORKING machine (#6830) [David Haywood]

-replaced both dgun2573 sets with good dumps of respective units (nw) [David Haywood]
 * switch these sets after identifying which is older / newer (nw)

-dbox: fix crash, array out of bounds access (nw) [hap]

-machine/n64.cpp: initialized variable that caused problems in devnoclear debug builds (nw) [Ivan Vangelista]

-New working clone [braintro]

-(nw) trs80: added save state [Robbbert]

-drivers starting with t, u, v, w and most of drivers starting with x: removed read* and write* macros (nw) [Ivan Vangelista]

-finished removing read* and write* macros from the mame part of the tree. the devices tree will be next (nw) [Ivan Vangelista]

-xbox_nv2a.cpp: small 3d update (nw) [yz70s]
 * read textures with pixel formats X8R8G8B8 and A8
 * more changes to vertex reading and processing
 * corections to negative-w vertices clipping

-bbc.cpp: No need for both wd1770 and wd1772 devices. (nw) [Nigel Barnes]

-atarifb: improve interrupts, led multiplexing, sprite raster effects (nw) [hap]

-don't prefix generic atari gametitles with "Atari" (nw) [hap]

-bsktball: improve interrupts (nw) [hap]

-readd Atari to some titles, since it does clearly show on marquee/flyers (nw) [hap]

-bsktball: don't change vertical resolution (nw) [hap]

-ics2115.cpp: Use device_memory_interface for fetch external samples device_memory_interface for later DMA and DRAM interface
 support Allow ulaw interpolation (some instrument sound samples in IGS PGM Motherboard sound ROM is u-law) Add notes, Reduce
 duplications [cam900]

-(nw) mbee: checkpoint 1;; ipc: the rom that never was. [Robbbert]

-hh_sm510: add note (nw) [hap]

-Allow debugger dump command to dump with byte granularity from address spaces with positive shifts [AJR]

-vt50: Fix disassembly of L40M (stands in for B2M, not M2X) [AJR]

-(nw) mbeett: fixed regression from 2 years ago [Robbbert]

-bbc_cv1797: Implemented side and motor control, and now works. [Nigel Barnes]

-bbc_cc500: Use pal4bit (nw) [Nigel Barnes]

-bbc_opus3: Added notes on motor control (nw) [Nigel Barnes]

-devices/machine, sound and video: removed read and write macros (nw) [Ivan Vangelista]

-fix sf2rk gfx rom load and decode [TwistedTom]

-capbowl.cpp: Corrected ROM names and added additional documentation. [Brian Troha]

-(nw) mbee: checkpoint 2 [Robbbert]

-asmjit: sync with upstream (nw) [Patrick Mackinlay]

-drcbex64: use asmjit [Patrick Mackinlay]
 * (nw)This is essentially a 1-for-1 substitution of x86emit code with its asmjit equivalent. There are opportunities for
    refactoring some of the original code using C++ as well as asmjit features, but this first pass simplified identifying and
    correcting any problems.
   - Selective tests with mips3, hyperstone and sh4 appear to reproduce existing behaviour but more testing is needed.

-okim6295.cpp: Fix file name [cam900]

-(nw) mbee: fixed stupid error causing random crash in mbee56/mbee128. [Robbbert]

-(nw) mbee: seems mac doesn't like saving a size_t [Robbbert]

-Fix OS X build on older Xcode versions (nw) [AJR]

-emumem: Fix bad destruction order by not removing the notifier on cache destruction, they're supposed to be long-lived anyway
 [O. Galibert]

-finally retired the READ8/16/32/64 and WRITE8/16/32/64 macros (nw) [Ivan Vangelista]

-(nw) mbeepp: pushed the ram to the max 1024k [Robbbert]

-arachnid.cpp: Add notes about ROM versions (nw) (#6829) [ClawGrip]

-ti99: Retire custom READ8Z/SETADDRESS macro. [Michael Zapf]

-Fix nltool build on CWG 1579-noncompliant compilers (nw) [AJR]

-gamegear.xml: correct a title (nw) [hap]

-nycaptor: coin inputs active high, fixes high score entry (nw) [hap]

-tlcs900: Split derived types into separate files; no need for separate 8-bit and 16-bit maps now (nw) [AJR]

-tmp95c061, tmp95c063: Break up the register blocks (nw) [AJR]

-tlcs900: Misc. fixups (nw) [AJR]

-Fix the Williams audio hc55516 digit write to mask the digital input bit correctly (instead of sending a whole byte), and fixed the
 clock set and clear logic to accurately reflect schematics. Fix wpcsnd memory map to explicitly define mirrors and fixed two
 swapped write handlers in the map. Add some notes about getting funhouse pinball in-game. [Lord Nightmare]

-(nw) mbeepc85b: fixed background colour regression reported by Tafoid. [Robbbert]

-recording: fix frame sync regression (nw) [hap]

-emu: correct some file headers (nw) [hap]

-Revert "remove colon as a patch seperator" [hap]
 * This reverts commit e07e2c8b017a4f80641a2ae3bbb8566ef51e8a03.

-pengo.cpp: improved schick decryption, gets in game. Still lots to do before it can be considered playable (nw) [Ivan Vangelista]

-(nw) split llc into llc1 and llc2, as they are completely different. [Robbbert]

-(nw) forgot this [Robbbert]

-(nw) merged ccs300 into ccs2810, as fdc is the same. [Robbbert]

-smotor.cpp: enabled state saving, since everything is already in place (nw) [Ivan Vangelista]

-move schick out of pengo driver + misc promotions (#6842) [David Haywood]
 * moved schick.cpp out of pengo driver, too many small modifications to the hardware make it messy to keep there  (nw)
 * also promoted some sunplus games I've decided work well enough to promote (nw)
 * (nw)
 * (nw)

-arcade.flt: added newly created schick.cpp (nw) [Ivan Vangelista]

-Correct cycle counts for TLCS-900/H CPU core; prepare to add support for original TLCS-900 devices [AJR]

-se70: System name correction (nw) [AJR]

-schick.cpp: added PROMs place-holders, updated flags and comments (nw) [Ivan Vangelista]

-spectrum/beta.cpp add remaining known clone devices [MetalliC]

-(nw) ccs: fixed possible invalid construct [Robbbert]

-bgfx: Corrected a data overrun in the d3d12 backend from allocating only enough texture data for width*height, not
 rowpixels*height. [Ryan Holtz]

-bgfx: Don't try to invoke a frame immediately after resetting the renderer during tear-down. Fixes crash on exit with the d3d12
 backend. [Ryan Holtz]

-bgfx: Corrected hlsl.json to apply the intended screen tint. [Ryan Holtz]

-umipoker.cpp: state saving support, templates and array (nw) [Ivan Vangelista]

-(nw) homelab: checkpoint 1 [Robbbert]

-ti99: Remove include file ti99defs.h [Michael Zapf]

-br8641: Add SIO (nw) [AJR]

-bq48x2: Derive clock chip from device_rtc_interface. [Michael Zapf]

-braiplus: Separate driver (nw) [AJR]

-spectrum.cpp: add Didaktik D40/D80 disk interface [MetalliC]

-(nw) d40_dsk: fixed the build [Robbbert]

-(nw) homelab: simplified classes [Robbbert]

-srcclean and cleanup (nw) [Vas Crabb]

-revert 5dca949285d9057fa74994cbb8bdf15296d20394 - it causes SDL builds to fail to link on Windows [Vas Crabb]

-bbc.cpp: Fixed video regression in modes 3 and 6 (nw) [Nigel Barnes]

-drcbex64: fix pushf/popf bug (nw) [Patrick Mackinlay]
 * @cuavas please cherry-pick into release branch to fix drc crashes.

-Revert "drcbex64: fix pushf/popf bug (nw)" [Vas Crabb]
 * This reverts commit 177af2ed670565422b2fd7863da48bbd50aef232.

-Revert "drcbex64: use asmjit" [Vas Crabb]
 * This reverts commit 9b80f38c2ccbe719d18d8b249980d346a0c56a56.

-gridcomp.cpp: fix up flags for grid1101 (MACHINE_TYPE_COMPUTER shouldn't be used directly, the machine has no built-in printer, and
 it has a modem but no LAN interface) [Vas Crabb]

-cpu/i960: Log unimplemented IACs [Vas Crabb]

-bus/coco/coco_ram.cpp: fix a rather obvious bug in shift/mask [Vas Crabb]
-misc. formatting consistency

-(Grant Searle drivers) Add license headers [Frank Palazzolo]

-gridcomp.cpp: I forgot how that flag works [Vas Crabb]

-cleanup and loose ends: [Vas Crabb]
 * Added AsmJit to COPYING
 * Changed some added code to better match surrounding code style
 * Removed completely unused members from mw8080bw.h state class
 * Made some code better align with MAME standards

-version bump (nw) [Vas Crabb]
